2010-02-02 15:33 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (d11da0283f03 [tip])

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/query/plaintorich.cpp, src/query/recollq.cpp,
	src/query/wasatorcl.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/searchdata.cpp, src/rcldb/stoplist.cpp,
	src/rcldb/stoplist.h:
	cosmetics: use derived class for actual splitter instead of callback

2010-02-02 10:24 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (a8caf709bcd3)

	* src/qt4gui/rclmain.ui, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp:
	QT GUI: define accelerators for res list page movements

2010-02-02 08:20 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (ec31e285a553)

	* src/qtgui/reslist.cpp, src/query/reslistpager.h:
	Qt GUI: ensure that new page size is taken into account ASAP (no
	need for restarting app)

2010-02-01 17:51 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (db953bb94c7f)

	* src/qt4gui/rclmain.ui, src/qtgui/preview_w.cpp,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h:
	QT GUI: add fullscreen mode

2010-02-01 10:31 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (1eda55ae3be9)

	* src/mk/manifest.txt: new file.
	* src/excludefile, src/makesrcdist.sh, src/mk/manifest.txt:
	Making a source dist: check the new list against old reference +
	other checks

2010-01-31 19:53 +0100  Israel G. Lugo  <Israel G. Lugo>  (74d4e25d43c2)

	* src/recollinstall.in:
	Install recollq and its manpage when in cmdline mode. Don't install
	the recoll.1 manpage when in cmdline mode.

2010-01-31 19:47 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (c88b0ef40512)

	* src/common/autoconfig.h.in:
	use 3-arg version of ac_define as the 1-arg one is being obsoleted

2010-01-31 19:45 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (1960435ccb68)

	* src/configure.ac:
	Dispense with the x11-monitoring when neither fam nor inotify are
	configured

2010-01-31 19:35 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (08e6abfc5fdf)

	* src/configure.ac:
	use 3-arg version of ac_define as the 1-arg one is being obsoleted

2010-01-31 19:34 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (c0add9dd8ad4)

	* website/download.html:
	none

2010-01-30 17:47 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (5ed138ff2230)

	* src/qtgui/spell_w.cpp, src/qtgui/spell_w.h:
	QT GUI: fix small problems in newly native qt4 term expander

2010-01-30 17:31 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (6ecf959a8e01)

	* src/qt4gui/spell.ui: new file.
	* src/qt4gui/recollmain.ui: deleted file.
	* .hgignore, src/qt4gui/recollmain.ui, src/qt4gui/spell.ui,
	src/qt4gui/uifrom3, src/qtgui/spell_w.cpp, src/qtgui/spell_w.h:
	QT GUI: converted the qt4 term expander dialog to native qt4

2010-01-30 14:09 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (df8a91aaff88)

	* src/qt4gui/rclmain.ui: new file.
	* .hgignore, src/qt4gui/rclmain.ui, src/qt4gui/uifrom3,
	src/qtgui/confgui/confguiindex.h, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h:
	Qt GUI: made the Qt4 main window native Qt4 (no more use of
	Q3MainWindow)

2010-01-30 08:23 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (ed18703563b7)

	* .hgignore, src/ChangeLog, website/BUGS.html, website/devel.html,
	website/doc.html, website/download.html, website/index.html.en:
	none

2010-01-30 08:23 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (22044a3b2e2c)

	* src/qtgui/rclmain_w.h:
	Qt 4.6.1 Uic bug: change qt version test from == to <= as bug still
	here in 4.6.2

2010-01-30 08:21 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (b1cb8c664953)

	* src/common/autoconfig.h.in, src/configure, src/configure.ac,
	src/index/recollindex.cpp, src/utils/x11mon.cpp:
	Renamed WITHOUT_X11 to DISABLE_X11MON for clarification

2010-01-30 08:18 +0100  Israel G. Lugo  <Israel G. Lugo>  (be03b72e1258)

	* src/configure.ac:
	Rename option without-gui to disable-qtgui. New option disable-
	x11mon. Separate control of creation of the gui and X11 session
	monitoring.

2010-01-29 19:00 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (d95c21312a15)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	KIO slave: fixed CMakeList to configure Recoll with --enable-pic

2010-01-29 17:22 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (266941720a99)

	* src/python/README.txt: new file.
	* src/configure, src/configure.ac, src/doc/user/usermanual.sgml,
	src/lib/Makefile, src/lib/mkMake, src/mk/commondefs,
	src/mk/localdefs.in, src/php/00README.txt, src/python/README.txt,
	src/python/recoll/setup.py:
	Implemented configure --enable-pic flag to build the main lib with
	position-independant objects. This avoids having to edit localdefs
	by hand to build the new php extension, and voids the need for the
	Python module to recompile Recoll source files.

2010-01-29 15:47 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (69c42078b8d3)

	* src/php/00README.txt: new file.
	* src/php/00README.txt, src/php/recoll/make.sh,
	src/php/recoll/recoll.cpp:
	PHP extension by Wenqiang Song : make ready for external use.
	- added minimal doc
	- fixed build script to work around php/libtool issue
	- have the module default to Query Language (instead of AND)

2010-01-28 18:22 +0100  Jean-Francois Dockes  <jfd@recoll.org>  (45e7ec5e16c5)

	* .hgignore, website/usermanual/README-dir.txt: new file.
	* packaging/debian/changelog, packaging/debian/compat,
	packaging/debian/control, packaging/debian/copyright,
	packaging/debian/docs, packaging/debian/menu,
	packaging/debian/rules, packaging/debian/watch: deleted file.
	* .hgignore, packaging/debian/changelog, packaging/debian/compat,
	packaging/debian/control, packaging/debian/copyright,
	packaging/debian/docs, packaging/debian/menu,
	packaging/debian/rules, packaging/debian/watch, src/makesrcdist.sh,
	website/usermanual/README-dir.txt:
	svn->mercurial modifications

2010-01-28 16:13 +0000  convert-repo  <convert-repo>  (e85c82d42126)

	* .hgtags: new file.
	* .hgtags:
	update tags

2010-01-26 13:23 +0000  dockes  <dockes>  (c0cb63a2702a)

	* last before trial switch to mercurial. really. Yeah

2010-01-26 13:22 +0000  dockes  <dockes>  (c40e044c63dd)

	* tests/chm/chm.sh, tests/chm/chm.txt, tests/ics/ics.sh,
	tests/ics/ics.txt, tests/zip/mcKee.zip, tests/zip/zip.sh,
	tests/zip/zip.txt, website/download-1.12.html: new file.
	* tests/chm/chm.sh, tests/chm/chm.txt, tests/ics/ics.sh,
	tests/ics/ics.txt, tests/zip/mcKee.zip, tests/zip/zip.sh,
	tests/zip/zip.txt, website/download-1.12.html:
	last before trial switch to mercurial. really

2010-01-26 13:21 +0000  dockes  <dockes>  (7918f7073757)

	* website/BUGS.html, website/CHANGES.html, website/download.html,
	website/index.html.en, website/index.html.fr:
	last before trial switch to mercurial

2010-01-26 07:06 +0000  dockes  <dockes>  (0b5ec08c2ba2)

	* src/INSTALL, src/README:
	

2010-01-26 07:06 +0000  dockes  <dockes>  (f6a420527382)

	* src/VERSION:
	1.13.02

2010-01-26 06:50 +0000  dockes  <dockes>  (b223f221578a [RECOLL_1_13_02])

	* src/doc/user/usermanual.sgml:
	clarified --prefix et al

2010-01-25 20:43 +0000  dockes  <dockes>  (7d69ae778654)

	* src/qt4gui/ui_rclmain.h-4.5: new file.
	* src/qt4gui/ui_rclmain.h-4.5, src/qtgui/rclmain_w.h:
	use older ui include file under qt 4.6.1, the one its uic generates
	is broken

2010-01-25 11:08 +0000  dockes  <dockes>  (e2e5a1dd802d)

	* src/php/recoll/recollq.h: deleted file.
	* src/php/recoll/recollq.h:
	not used?

2010-01-25 11:06 +0000  dockes  <dockes>  (1683475297c1)

	* src/php/recoll/config.m4, src/php/recoll/make.sh,
	src/php/recoll/php_recoll.h, src/php/recoll/recoll.cpp,
	src/php/recoll/recollq.h, src/php/sample/shell.php: new file.
	* src/php/recoll/config.m4, src/php/recoll/make.sh,
	src/php/recoll/php_recoll.h, src/php/recoll/recoll.cpp,
	src/php/recoll/recollq.h, src/php/sample/shell.php:
	initial import from W. Song

2010-01-20 07:42 +0000  dockes  <dockes>  (4df8ebfbb72d)

	* packaging/rpm/recoll.spec, packaging/rpm/recollfedora.spec,
	packaging/rpm/recollfedora10.spec, packaging/rpm/recollmdk.spec:
	change mail address

2010-01-10 10:18 +0000  dockes  <dockes>  (1c62f24a5ca4)

	* packaging/rpm/recollfedora.spec:
	updated for fc12: depend on xapian-core, use qt4

2010-01-07 15:20 +0000  dockes  <dockes>  (01eb4176400c)

	* src/query/recollq.cpp:
	add option to print abstracts

2010-01-07 08:42 +0000  dockes  <dockes>  (a41bbccff862)

	* src/VERSION:
	1.13.01

2010-01-07 08:41 +0000  dockes  <dockes>  (dde7b27846ef)

	* src/Makefile.in:
	distclean removes rclexecm.pyc

2010-01-07 08:34 +0000  dockes  <dockes>  (324bea9902a4)

	* src/qtgui/main.cpp, src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/ssearch_w.cpp, src/qtgui/ssearch_w.h:
	moved initial db open and possible message boxes from main.cpp to
	rclmain_w.cpp first post-init job to avoid random crashes apparently
	related to the dialogs being created before app.exec(). Exact cause
	not certain, but crashes gone...

2010-01-07 08:29 +0000  dockes  <dockes>  (0629e02f12fe)

	* src/rcldb/searchdata.cpp:
	field values were not used in case term expansion was not performed
	(phrase or capitalized term)

2010-01-06 13:29 +0000  dockes  <dockes>  (e10bbaeefab5)

	* src/kde/kioslave/recoll/htmlif.cpp, src/query/recollq.cpp,
	src/query/xadump.cpp:
	adapt kio and recollq to the new internfile interface

2010-01-06 13:06 +0000  dockes  <dockes>  (0f2378be2603)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	add libz

2010-01-05 15:00 +0000  dockes  <dockes>  (1ca577447878)

	* src/utils/closefrom.cpp, src/utils/fstreewalk.cpp,
	src/utils/fstreewalk.h, tests/Maildir/Maildir.txt,
	tests/andor/andor.sh, tests/andor/andor.txt, tests/cjk/cjk.sh,
	tests/cjk/cjk.txt, tests/mail/mail.txt, tests/msword/msword.txt,
	tests/txt/txt.txt, website/download.html:
	1.13 tests txt mods + solaris port (FNM_LEADING_DIR)

2010-01-05 13:27 +0000  dockes  <dockes>  (0ab6a2dfc2c3)

	* website/BUGS.html, website/CHANGES.html, website/copydocs,
	website/credits.html, website/download.html, website/features.html,
	website/index.html.en, website/index.html.fr:
	web update for 1.13

2010-01-05 07:14 +0000  dockes  <dockes>  (cb08729afcd2)

	* src/INSTALL, src/README:
	

2010-01-05 07:14 +0000  dockes  <dockes>  (a1ba9ba640f7)

	* src/VERSION, src/common/rclconfig.cpp, src/doc/man/recoll.conf.5,
	src/doc/user/usermanual.sgml:
	1.13.00: fixed doc ortographic typos

2009-12-31 08:20 +0000  dockes  <dockes>  (c2ae39772161)

	* src/INSTALL, src/README:
	

2009-12-31 08:15 +0000  dockes  <dockes>  (851e5b82f3d5)

	* src/VERSION:
	1.13.0

2009-12-31 08:15 +0000  dockes  <dockes>  (04512125010e)

	* src/recollinstall.in:
	handle --without-gui config inside recollinstall.in

2009-12-20 14:31 +0000  dockes  <dockes>  (2cbda11286c5)

	* src/configure, src/configure.ac:
	typo in WIHOUT_X11

2009-12-17 20:23 +0000  dockes  <dockes>  (95eb8a010525)

	* src/doc/user/usermanual.sgml:
	There was an error in the mimemap format in the config exemple

2009-12-14 10:33 +0000  dockes  <dockes>  (1e774739395e)

	* src/INSTALL, src/README:
	

2009-12-14 10:33 +0000  dockes  <dockes>  (49cdfe826199)

	* src/ChangeLog:
	snapshot du jour

2009-12-14 10:23 +0000  dockes  <dockes>  (437be900fa14)

	* src/doc/user/Makefile, src/doc/user/usermanual.sgml:
	add --enable-camelcase doc + fix typo in doc Makefile comment

2009-12-14 10:10 +0000  dockes  <dockes>  (009ed00592fd)

	* src/common/autoconfig.h.in, src/common/textsplit.cpp, src/configure,
	src/configure.ac:
	add --enable-camelcase option to configure

2009-12-14 09:46 +0000  dockes  <dockes>  (1fabd736d16f)

	* src/doc/user/usermanual.sgml, src/index/fsindexer.cpp:
	use : as separator in localfields value before parsing as confsimple

2009-12-14 09:44 +0000  dockes  <dockes>  (2b09276dedc8)

	* src/utils/circache.cpp:
	fix pointer casting to make gcc happy

2009-12-14 09:44 +0000  dockes  <dockes>  (4ee0085fa59e)

	* src/sampleconf/fields:
	typo: keywords->keyword in prefixes

2009-12-14 09:43 +0000  dockes  <dockes>  (87b2caa6ec9c)

	* src/filters/rclabw, src/filters/rcldjvu, src/filters/rcldoc,
	src/filters/rcldvi, src/filters/rclflac, src/filters/rclgaim,
	src/filters/rclid3, src/filters/rclkwd, src/filters/rcllyx,
	src/filters/rclman, src/filters/rclogg, src/filters/rclopxml,
	src/filters/rclpdf, src/filters/rclppt, src/filters/rclps,
	src/filters/rclpurple, src/filters/rclrtf, src/filters/rclscribus,
	src/filters/rclsiduxman, src/filters/rclsoff, src/filters/rclsvg,
	src/filters/rcltex, src/filters/rcltext, src/filters/rclwpd,
	src/filters/rclxls, src/filters/recfiltcommon:
	iscmd: supplement -x with -d test not a dir

2009-12-14 07:26 +0000  dockes  <dockes>  (b8eceb552b3e)

	* src/INSTALL, src/README:
	

2009-12-14 07:25 +0000  dockes  <dockes>  (16dc2e0ed9fa)

	* src/makesrcdist.sh:
	

2009-12-14 07:13 +0000  dockes  <dockes>  (e5aae08ee26d)

	* src/Makefile.in:
	

2009-12-14 07:07 +0000  dockes  <dockes>  (c66c86594b35)

	* src/VERSION:
	

2009-12-14 07:06 +0000  dockes  <dockes>  (7229a431d686)

	* src/makesrcdist.sh:
	use different release name for beta versions

2009-12-13 21:40 +0000  dockes  <dockes>  (e0033b00df1e)

	* src/doc/user/usermanual.sgml:
	anacron

2009-12-13 16:16 +0000  dockes  <dockes>  (e148cd3f92c1)

	* src/sampleconf/recoll.conf.in:
	add localfields example

2009-12-13 16:13 +0000  dockes  <dockes>  (89ebf91076d8)

	* src/common/textsplit.cpp, src/internfile/mh_html.cpp,
	src/query/plaintorich.cpp, src/utils/base64.cpp:
	small amd64 fixes: 64 bits size_type, signed chars

2009-12-08 07:43 +0000  dockes  <dockes>  (026aa6df356f)

	* src/doc/man/recollindex.1, src/doc/man/recollq.1:
	clarify stemming options

2009-12-08 07:43 +0000  dockes  <dockes>  (0c698007055e)

	* src/query/recollq.cpp:
	add option -s to select stemming language

2009-12-08 07:42 +0000  dockes  <dockes>  (fcb5bca6adf8)

	* src/rcldb/stemdb.cpp:
	traces

2009-12-07 18:47 +0000  dockes  <dockes>  (6631c645c9df)

	* src/index/recollindex.cpp:
	use setpriority() to be a nice indexer

2009-12-07 17:43 +0000  dockes  <dockes>  (76128d18110e [RECOLL_1_13_0, RECOLL_20091214, RECOLL_1_13_01, RECOLL_1_13_00])

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	reimplemented Q3TextDocument::find() to be like the qt3 version

2009-12-07 14:32 +0000  dockes  <dockes>  (b02171ea3078)

	* src/qtgui/preview_w.cpp:
	switch preview qtextedit format back to plain text after loading so
	that selections copy plain text not html

2009-12-07 13:27 +0000  dockes  <dockes>  (3d37dc441cc9)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/searchdata.cpp:
	Term expansion: handle field issues inside rcldb::termmatch,
	ensuring that we take the field name into account for all
	expansions. Ensures that File Name searches and filename: query
	language searches work the same, + overall better consistency

2009-12-07 13:24 +0000  dockes  <dockes>  (fe625ef90a21)

	* src/configure.ac:
	Israel G. Lugo: make sure that only one of inotify or FAM gets
	enabled, giving priority to inotify.

2009-11-30 10:04 +0000  dockes  <dockes>  (a75cd5af7c71)

	* src/VERSION, src/internfile/mimehandler.cpp,
	src/kde/kioslave/recoll/htmlif.cpp, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h, src/query/plaintorich.cpp,
	src/query/plaintorich.h, src/sampleconf/mimeconf:
	add <pre> tag to text/plain translated into qt html to preserve
	indentation. Removes need for rcltext (which did just this). Allow
	specifying any text/xxx as internal (allows having specific editor
	but no filter)

2009-11-30 06:34 +0000  dockes  <dockes>  (c4fdcda7df89)

	* src/index/rclmonrcv.cpp:
	compile either fam or inotify not both

2009-11-29 15:00 +0000  dockes  <dockes>  (6b9ed9ae0949)

	* src/doc/user/usermanual.sgml:
	change defaults for big text params

2009-11-29 12:56 +0000  dockes  <dockes>  (a04f5006fe89)

	* src/sampleconf/recoll.conf.in:
	add new 1.13 variables and defaults

2009-11-28 09:15 +0000  dockes  <dockes>  (4b56c2068545)

	* src/internfile/mh_execm.cpp, src/internfile/mh_text.cpp,
	src/query/docseqhist.cpp, src/utils/circache.cpp:
	new glibc missing includes

2009-11-28 08:45 +0000  dockes  <dockes>  (012b4b63e260)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts:
	

2009-11-28 08:14 +0000  dockes  <dockes>  (b0e70a20b7f1)

	* src/index/beaglequeue.cpp, src/internfile/mh_text.cpp,
	src/qtgui/confgui/confguiindex.cpp, src/qtgui/guiutils.cpp:
	set defaults usedesktoprefs, maxtext 20mb pagesz 1000k webcache 40m

2009-11-28 08:11 +0000  dockes  <dockes>  (ed3a574543f5)

	* src/doc/user/usermanual.sgml:
	clean-up + documented 1.13 new features

2009-11-28 06:39 +0000  dockes  <dockes>  (c45a690ee533)

	* src/internfile/mh_mbox.cpp:
	converted iostream to stdio because of mysterious read errors at the
	last position in the offsets file

2009-11-27 13:23 +0000  dockes  <dockes>  (7fa95cd57200)

	* src/internfile/mh_mail.cpp:
	add cnf(maildefcharset) to set specific mail default charset (mainly
	for readpst extracts which are utf-8 but have no charset set)

2009-11-27 13:11 +0000  dockes  <dockes>  (385305ee1820)

	* src/rcldb/rcldb.cpp:
	loglevel

2009-11-27 13:08 +0000  dockes  <dockes>  (8cc1ab099807)

	* src/internfile/mh_mbox.cpp:
	include sys/stat

2009-11-27 12:41 +0000  dockes  <dockes>  (c3039d4eab51)

	* src/internfile/Filter.h, src/internfile/internfile.cpp,
	src/internfile/mh_mbox.cpp, src/internfile/mh_mbox.h,
	src/internfile/mimehandler.h, src/query/docseqhist.cpp:
	implemented a cache for mbox message header offsets

2009-11-27 07:07 +0000  dockes  <dockes>  (a1a92e0952dd)

	* src/internfile/mh_mbox.cpp:
	Support From "bla bla" (quoted) From lines

2009-11-27 07:00 +0000  dockes  <dockes>  (64f09e3ad5a7)

	* src/internfile/internfile.cpp:
	update test driver

2009-11-26 14:03 +0000  dockes  <dockes>  (023c2a8520de)

	* src/aspell/rclaspell.cpp, src/aspell/rclaspell.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h, src/query/docseq.h,
	src/query/docseqdb.cpp, src/query/docseqdb.h,
	src/query/reslistpager.cpp, src/query/reslistpager.h,
	src/rcldb/rcldb.cpp, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h:
	suggest alternate spellings if no results

2009-11-26 13:52 +0000  dockes  <dockes>  (4270622aa3e0)

	* src/qtgui/guiutils.cpp:
	suppressed core dump at exit on unexisting config

2009-11-26 07:17 +0000  dockes  <dockes>  (f02bf2b6ea30)

	* src/rcldb/rcldb.cpp, src/rcldb/rclquery.cpp, src/rcldb/rclquery.h:
	use only match terms to build doc abstract, not all query terms
	(might save a little effort)

2009-11-26 07:15 +0000  dockes  <dockes>  (90776b10554c)

	* src/qtgui/rclmain_w.cpp:
	spell tool must be created even is USE_ASPELL is undefined

2009-11-25 14:37 +0000  dockes  <dockes>  (e3faedd237b8)

	* src/utils/md5.cpp:
	suppress unused parm warning

2009-11-25 11:07 +0000  dockes  <dockes>  (f8011c9579c8)

	* packaging/debian/debiankio/changelog,
	packaging/debian/debiankio/compat,
	packaging/debian/debiankio/control,
	packaging/debian/debiankio/copyright,
	packaging/debian/debiankio/dirs, packaging/debian/debiankio/docs,
	packaging/debian/debiankio/rules, packaging/debian/debiankio/watch,
	packaging/debian/debianrecoll/changelog,
	packaging/debian/debianrecoll/compat,
	packaging/debian/debianrecoll/control,
	packaging/debian/debianrecoll/copyright,
	packaging/debian/debianrecoll/docs,
	packaging/debian/debianrecoll/menu,
	packaging/debian/debianrecoll/rules,
	packaging/debian/debianrecoll/watch: new file.
	* packaging/debian/debiankio/changelog,
	packaging/debian/debiankio/compat,
	packaging/debian/debiankio/control,
	packaging/debian/debiankio/copyright,
	packaging/debian/debiankio/dirs, packaging/debian/debiankio/docs,
	packaging/debian/debiankio/rules, packaging/debian/debiankio/watch,
	packaging/debian/debianrecoll/changelog,
	packaging/debian/debianrecoll/compat,
	packaging/debian/debianrecoll/control,
	packaging/debian/debianrecoll/copyright,
	packaging/debian/debianrecoll/docs,
	packaging/debian/debianrecoll/menu,
	packaging/debian/debianrecoll/rules,
	packaging/debian/debianrecoll/watch:
	added debian dir to build kio-recoll

2009-11-24 10:25 +0000  dockes  <dockes>  (87057b6e2cba)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	execute minimum recoll config inside cmakelists to create rclversion
	and autoconfig includes

2009-11-24 10:24 +0000  dockes  <dockes>  (a6e854084ffb)

	* src/utils/smallut.h:
	gcc4

2009-11-23 19:51 +0000  dockes  <dockes>  (42785e498950)

	* src/index/beaglequeue.cpp:
	store beagle fields before interning the file

2009-11-23 17:38 +0000  dockes  <dockes>  (aaccb7e813a8)

	* src/qtgui/preview_w.cpp:
	if text is empty, display fields by default

2009-11-23 17:37 +0000  dockes  <dockes>  (129654f22b3c)

	* src/internfile/internfile.cpp:
	in FileInterner::FileInterner(Rcl::Doc) (query), declare the
	BeagleQueue static so that the cache persists between FileInterner
	objects

2009-11-23 17:36 +0000  dockes  <dockes>  (2292efb797b4)

	* src/internfile/internfile.h:
	comments

2009-11-23 16:12 +0000  dockes  <dockes>  (a7ed9c85c313)

	* src/query/dynconf.cpp, src/query/dynconf.h: new file.
	* src/query/history.cpp, src/query/history.h: deleted file.
	* src/lib/Makefile, src/lib/mkMake, src/qtgui/guiutils.cpp,
	src/qtgui/main.cpp, src/qtgui/preview_w.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/recoll.h,
	src/query/docseqhist.cpp, src/query/docseqhist.h,
	src/query/dynconf.cpp, src/query/dynconf.h, src/query/history.cpp,
	src/query/history.h:
	revamped history feature to be udi-based while supporting old format

2009-11-23 16:11 +0000  dockes  <dockes>  (8a494a30e71f)

	* src/rcldb/rcldb.cpp:
	set udi in meta from getDoc(udi)

2009-11-23 16:10 +0000  dockes  <dockes>  (c432dcb83d8f)

	* src/index/beaglequeue.cpp, src/utils/circache.cpp,
	src/utils/circache.h:
	Beaglequeue: simplify index from cache now that udi entries are
	unique in cache

2009-11-22 17:27 +0000  dockes  <dockes>  (112515ddfd1b)

	* src/index/beaglequeue.cpp, src/utils/circache.cpp,
	src/utils/circache.h:
	only keep the latest entry for a given udi in the cache

2009-11-22 17:26 +0000  dockes  <dockes>  (c47346e105ac)

	* src/utils/smallut.h:
	added tempbuf class

2009-11-21 13:36 +0000  dockes  <dockes>  (d497773469db)

	* src/internfile/mimehandler.cpp, src/qtgui/rclmain_w.cpp:
	allow setting attrs on mimeview defs, factorize some code with
	mhExecFactory

2009-11-21 13:35 +0000  dockes  <dockes>  (77639dc8a584)

	* src/common/rclconfig.cpp, src/common/rclconfig.h:
	added valueSplitAttributes() method

2009-11-21 11:18 +0000  dockes  <dockes>  (50c2c8c764bb)

	* src/internfile/mimehandler.cpp:
	use a confsimple to parse the additional filter attributes

2009-11-21 11:14 +0000  dockes  <dockes>  (ba1b73290998)

	* src/qtgui/guiutils.h:
	add ipath to default paragraph format

2009-11-18 15:32 +0000  dockes  <dockes>  (132c512aacde)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	added beaglequeue/circache to kio build because of internfile
	dependancy

2009-11-18 14:27 +0000  dockes  <dockes>  (d1587dd98290)

	* src/utils/circache.cpp:
	warning

2009-11-18 14:26 +0000  dockes  <dockes>  (812296ef15d8)

	* src/rcldb/rclquery.cpp:
	query::getrescnt() would only work once following 1.13 mods (affects
	python api)

2009-11-18 14:25 +0000  dockes  <dockes>  (cc1924f2d969)

	* src/python/samples/recollq.py:
	

2009-11-18 14:03 +0000  dockes  <dockes>  (e60f229404a4)

	* src/python/recoll/pyrecoll.cpp:
	add some casts to avoid kwargs const warnings

2009-11-18 13:46 +0000  dockes  <dockes>  (0e29576743b0)

	* src/index/rclmonrcv.cpp:
	typo

2009-11-18 12:33 +0000  dockes  <dockes>  (da553b8d1e93)

	* src/filters/rclchm, src/filters/rclexecm.py, src/filters/rclics,
	src/internfile/mh_execm.cpp, src/internfile/mh_execm.h:
	handle REFILTERROR in execm

2009-11-18 10:26 +0000  dockes  <dockes>  (f28392bec173)

	* src/internfile/mh_mail.cpp, src/rcldb/rcldb.cpp:
	mh_mail: use truncate_to_word to avoid cutting an utf8 char. rcldb:
	logdeb text_to_word errors

2009-11-18 08:24 +0000  dockes  <dockes>  (c9b8704e7ffa)

	* src/index/beaglequeue.cpp, src/mk/FreeBSD:
	beaglequeue fully functional, small fixes remaining?

2009-11-18 07:57 +0000  dockes  <dockes>  (0f863324690f)

	* src/index/beaglequeue.cpp:
	ok with compression

2009-11-18 07:46 +0000  dockes  <dockes>  (7925e58ac0d9)

	* src/utils/circache.cpp, src/utils/circache.h:
	compression works

2009-11-17 14:52 +0000  dockes  <dockes>  (122d9a523dc7)

	* src/utils/circache.cpp, src/utils/circache.h:
	circache ok

2009-11-16 16:18 +0000  dockes  <dockes>  (88021fc84abd)

	* src/internfile/internfile.cpp:
	Lack of error checking after have_document() in preview case could
	lead to looping, and cancellation was not checked to make things
	worse

2009-11-16 16:16 +0000  dockes  <dockes>  (22e0540453bc)

	* src/configure:
	--without-gui

2009-11-16 16:12 +0000  dockes  <dockes>  (d3e16fb089de)

	* src/qt4gui/recoll.pro.in:
	stupid mistake in previous cosmetic change

2009-11-16 16:11 +0000  dockes  <dockes>  (a422d8f6d6fd)

	* src/index/fsindexer.cpp:
	make very sure ~/.beagle is in the skippedPaths

2009-11-16 16:10 +0000  dockes  <dockes>  (effac8983ab5)

	* src/internfile/mh_mail.cpp:
	reason msg

2009-11-16 12:50 +0000  dockes  <dockes>  (bfc0df6ab067)

	* src/Makefile.in, src/common/autoconfig.h.in, src/configure.ac,
	src/index/Makefile, src/mk/localdefs.in, src/utils/x11mon.cpp:
	add --without-gui configure option

2009-11-15 16:41 +0000  dockes  <dockes>  (81edb2c4cef7)

	* src/index/beaglequeue.cpp, src/index/fsindexer.cpp,
	src/utils/circache.cpp:
	catch cancel exceptions cast by internfile()

2009-11-15 14:39 +0000  dockes  <dockes>  (4539869b5761)

	* src/index/fsindexer.h, src/qtgui/rclmain_w.cpp,
	src/query/reslistpager.cpp, src/rcldb/rcldoc.cpp,
	src/rcldb/rcldoc.h, src/sampleconf/fields:
	changed apptag field name to rclaptg

2009-11-15 14:18 +0000  dockes  <dockes>  (b41678f5ad12)

	* src/qt4gui/recoll.pro.in, src/qtgui/recoll.pro.in:
	add -ldl -lX11 for binutils-gold

2009-11-15 08:38 +0000  dockes  <dockes>  (3801ee9a51c6)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/index/fsindexer.cpp, src/index/rclmonrcv.cpp,
	src/utils/fstreewalk.cpp, src/utils/fstreewalk.h,
	src/utils/smallut.cpp, src/utils/smallut.h:
	rationalized how we recompute things on setkeydir. recoll_noindex
	and skippedNames can now be changed at any point in the tree

2009-11-14 11:34 +0000  dockes  <dockes>  (a922eac98d16)

	* src/index/rclmonprc.cpp:
	monitor: accumulate mods during 30S before indexing

2009-11-14 10:29 +0000  dockes  <dockes>  (ea134de640e0)

	* src/index/beaglequeue.cpp, src/index/beaglequeue.h,
	src/index/fsindexer.cpp, src/index/indexer.cpp,
	src/index/rclmonrcv.cpp, src/index/recollindex.cpp,
	src/utils/circache.cpp:
	monitor the beagle queue

2009-11-14 10:25 +0000  dockes  <dockes>  (42421f027b94)

	* src/filters/rclchm, src/filters/rclics, src/filters/rcltext:
	emit helpernotfound

2009-11-14 08:21 +0000  dockes  <dockes>  (93baac7e87ac)

	* src/index/beaglequeue.cpp, src/index/beaglequeue.h,
	src/index/fsindexer.cpp, src/index/fsindexer.h,
	src/index/indexer.cpp, src/index/indexer.h,
	src/index/recollindex.cpp, src/index/recollindex.h,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	beaglequeue indexFiles

2009-11-13 13:29 +0000  dockes  <dockes>  (7d0c4d7a917c)

	* src/index/beaglequeue.cpp, src/index/beaglequeue.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/confgui/confguiindex.cpp, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h, src/qtgui/rclmain_w.cpp,
	src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h, src/rcldb/rclquery.cpp,
	src/sampleconf/fields:
	1st beagle version with index/preview working

2009-11-13 09:08 +0000  dockes  <dockes>  (71f8c28cbeba)

	* src/qtgui/idxthread.cpp:
	integrate beaglequeueindexer for indexing. Work remains for
	indexfiles() at least

2009-11-13 09:08 +0000  dockes  <dockes>  (dda5121a7c45)

	* src/utils/circache.cpp, src/utils/circache.h:
	integrate beaglequeueindexer for indexing. Work remains for
	indexfiles() at least

2009-11-13 09:07 +0000  dockes  <dockes>  (364d46e16faf)

	* src/index/beaglequeue.cpp, src/index/beaglequeue.h,
	src/index/fsindexer.cpp, src/index/fsindexer.h,
	src/index/indexer.cpp, src/index/indexer.h,
	src/index/recollindex.cpp:
	integrate beaglequeueindexer for indexing. Work remains for
	indexfiles() at least

2009-11-13 09:04 +0000  dockes  <dockes>  (7e32466740a7)

	* src/configure.ac:
	Israel G. Lugo: give priority to the user's PATH when looking for
	qmake (fixes detecting the wrong qmake when more than one exists).

2009-11-13 09:01 +0000  dockes  <dockes>  (3503bfba6b70)

	* src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h:
	make dump const

2009-11-13 09:01 +0000  dockes  <dockes>  (b4c8330037e7)

	* src/lib/Makefile, src/lib/mkMake:
	add beaglequeue, fsindexer

2009-11-13 08:58 +0000  dockes  <dockes>  (63ee628229e7)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h:
	add panel for beaglequeue parameters + arrange so that a checkbox
	can enable/disable other params

2009-11-13 08:54 +0000  dockes  <dockes>  (5edf24b7552e)

	* src/sampleconf/fields:
	comments

2009-11-13 08:15 +0000  dockes  <dockes>  (a829fce15458)

	* src/filters/rclchm, src/filters/rclexecm.py, src/filters/rclics,
	src/filters/rclimg, src/filters/rclzip, src/internfile/mh_execm.cpp:
	dont use 0-sized doc to mean eof now

2009-11-11 18:09 +0000  dockes  <dockes>  (21b6ba1309c7)

	* src/filters/rclimg:
	send mimetype

2009-11-11 18:07 +0000  dockes  <dockes>  (7f2a7a7214fb)

	* src/internfile/mh_execm.cpp:
	set mimetype for the non-ipath case

2009-11-11 07:47 +0000  dockes  <dockes>  (75f9d10cf2f3)

	* src/index/fsindexer.cpp, src/index/fsindexer.h,
	src/index/indexer.cpp, src/index/indexer.h,
	src/index/recollindex.cpp:
	moved common db code from fsindexer to confindexer

2009-11-10 18:11 +0000  dockes  <dockes>  (e079c8ce273f)

	* src/index/beaglequeue.cpp, src/index/beaglequeue.h: new file.
	* src/index/beaglequeue.cpp, src/index/beaglequeue.h:
	

2009-11-10 18:10 +0000  dockes  <dockes>  (698e70099ec0)

	* src/index/fsindexer.cpp, src/index/fsindexer.h,
	src/index/recollindex.h: new file.
	* src/index/fsindexer.cpp, src/index/fsindexer.h,
	src/index/indexer.cpp, src/index/indexer.h, src/index/rclmonprc.cpp,
	src/index/recollindex.cpp, src/index/recollindex.h:
	dbindexer->fsindexer, split into its own file

2009-11-10 17:42 +0000  dockes  <dockes>  (ccf674432104)

	* src/ChangeLog:
	

2009-11-10 17:42 +0000  dockes  <dockes>  (065c40b8964d)

	* src/index/recollindex.cpp:
	small cleanups and add option to call beaglequeue

2009-11-10 17:41 +0000  dockes  <dockes>  (d4ff290d1615)

	* src/index/indexer.cpp:
	small cleanups and comments

2009-11-10 17:39 +0000  dockes  <dockes>  (00c5f0c09ef9)

	* src/index/indexer.h:
	comments

2009-11-10 17:38 +0000  dockes  <dockes>  (02b632bcbeca)

	* src/index/rclmonrcv.cpp:
	remove indexer.h include

2009-11-10 17:38 +0000  dockes  <dockes>  (ba2255ec8b62)

	* src/common/rclinit.h:
	comment

2009-11-10 17:37 +0000  dockes  <dockes>  (915bf923b8da)

	* src/utils/fstreewalk.cpp, src/utils/fstreewalk.h:
	add nocanon option

2009-11-10 17:34 +0000  dockes  <dockes>  (29b753cd1f78)

	* src/utils/circache.cpp, src/utils/circache.h:
	intermediary checkpoint (things work, no index, no compression)

2009-11-10 17:32 +0000  dockes  <dockes>  (16e0d5965055)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	removed the useless keep_updated flag

2009-11-10 17:31 +0000  dockes  <dockes>  (75878eb08588)

	* src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h:
	added dump function

2009-11-10 17:30 +0000  dockes  <dockes>  (35b43d00db47)

	* src/query/recollq.cpp:
	added explicit flag parameter to Internfile constructeur for helping
	with beagle queue integration

2009-11-10 17:29 +0000  dockes  <dockes>  (75255bb8d7a0)

	* src/sampleconf/fields:
	add dc:description as keywords alias

2009-11-10 09:39 +0000  dockes  <dockes>  (ee6104876da9)

	* src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/kde/kioslave/recoll/htmlif.cpp, src/qtgui/preview_w.cpp:
	added explicit flag parameter to Internfile constructeur for helping
	with beagle queue integration

2009-11-09 09:26 +0000  dockes  <dockes>  (7c3c0eed036b)

	* src/utils/circache.cpp, src/utils/circache.h: new file.
	* src/lib/Makefile, src/lib/mkMake, src/utils/Makefile,
	src/utils/circache.cpp, src/utils/circache.h:
	circache

2009-11-09 09:26 +0000  dockes  <dockes>  (877bb76973aa)

	* src/utils/conftree.cpp, src/utils/conftree.h:
	add some constness

2009-11-06 11:33 +0000  dockes  <dockes>  (944e0b9d1d53)

	* src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/query/docseq.h, src/query/docseqdb.cpp, src/query/docseqdb.h,
	src/query/docseqhist.cpp, src/query/docseqhist.h,
	src/utils/fileudi.h, src/utils/pathut.cpp, src/utils/pathut.h:
	allow opening parent/enclosing doc with native editor in reslist

2009-11-06 11:26 +0000  dockes  <dockes>  (1d9a5530d7bf)

	* src/sampleconf/mimeview:
	added okular as chm viewer

2009-11-04 13:52 +0000  dockes  <dockes>  (226d88ccb6c1)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp:
	store file names using local8bit qstring conversions

2009-11-04 13:43 +0000  dockes  <dockes>  (b57bd81d3e8e)

	* src/utils/fstreewalk.h:
	comment

2009-11-04 13:42 +0000  dockes  <dockes>  (2037ae120bcf)

	* src/utils/cancelcheck.h:
	comment

2009-10-31 09:00 +0000  dockes  <dockes>  (3ad7f6c85ce2)

	* src/internfile/mh_mail.cpp, src/internfile/mh_mail.h:
	extract msgid + generate abstract at start of txt, excluding headers

2009-10-31 08:59 +0000  dockes  <dockes>  (9e7ae93bd35b)

	* src/utils/mimeparse.cpp:
	change rfc2047 mail header decoding (=?iso-xx stuff) so that a start
	of encoding section can be recognized even not after white space

2009-10-30 19:05 +0000  dockes  <dockes>  (eb9ed35f9fe0)

	* src/qtgui/rclmain_w.cpp:
	allow substituting all doc fields in viewer command line

2009-10-30 19:04 +0000  dockes  <dockes>  (d8065c96ceae)

	* src/qtgui/viewaction.ui:
	clarify using desktop defs in action choice dialog

2009-10-30 10:16 +0000  dockes  <dockes>  (4a744302db21)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/qtgui/rclmain_w.cpp, src/query/reslistpager.cpp,
	src/sampleconf/fields:
	Allow setting fields in fs subtree. Use for an application tag used
	for starting a specialized viewer

2009-10-30 08:59 +0000  dockes  <dockes>  (bdd54ae7a182)

	* src/VERSION, src/common/rclconfig.h, src/index/indexer.cpp,
	src/index/indexer.h, src/internfile/mimehandler.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rclquery.cpp, src/utils/conftree.cpp,
	src/utils/conftree.h:
	Allow fields local to a subtree to be set in the configuration

2009-10-30 08:53 +0000  dockes  <dockes>  (aa8c442a67ec)

	* src/configure.ac:
	use /bin/sh to execute recollinstall instead of making it executable

2009-10-30 08:53 +0000  dockes  <dockes>  (0faf1f6ccf5f)

	* src/Makefile.in, src/configure:
	use /bin/sh to execute recollinstall instead of making it executable

2009-10-29 18:11 +0000  dockes  <dockes>  (2338d18226f2)

	* src/qtgui/uiprefs.ui:
	move the use-desktop-preference checkbox close to the choose editors
	button

2009-10-29 18:10 +0000  dockes  <dockes>  (4b6f29c1e3c3)

	* src/sampleconf/mimeconf:
	

2009-10-29 18:09 +0000  dockes  <dockes>  (2de2f1804086)

	* src/common/rclconfig.cpp, src/common/rclconfig.h:
	support wildcard filtering in getConfNames() + implement config
	checking function in test driver

2009-10-29 18:08 +0000  dockes  <dockes>  (78c287d1d2da)

	* src/utils/conftree.cpp, src/utils/conftree.h:
	bugfix: if last line ended with backslash, entry was ignored. new
	function: filter by wildcard expr in getNames()

2009-10-29 13:44 +0000  dockes  <dockes>  (26ae4011727a)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap:
	chm+comments

2009-10-29 13:34 +0000  dockes  <dockes>  (178273f496f2)

	* src/sampleconf/recoll.conf.in:
	comment

2009-10-28 13:08 +0000  dockes  <dockes>  (9435a56f1962)

	* src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	fix signal/slot type mismatch for setSortParams

2009-10-26 13:19 +0000  dockes  <dockes>  (2a369661c70c)

	* src/qtgui/uiprefs_w.cpp:
	disable app-choosing button when use-desktop-prefs is activated

2009-10-26 11:16 +0000  dockes  <dockes>  (8cdb908a253d)

	* src/qtgui/rclmain_w.cpp:
	qt4 sometimes doesnt display the status bar if its not created in
	init

2009-10-26 10:00 +0000  dockes  <dockes>  (758f39788d0c)

	* src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h:
	arrange to send pageup/down and shift-home to the reslist

2009-10-24 15:02 +0000  dockes  <dockes>  (7d98b5c330c1)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb_p.h, src/rcldb/rclquery.cpp,
	src/rcldb/rclquery_p.h:
	unified retrying for databaseModified errors

2009-10-24 11:00 +0000  dockes  <dockes>  (9d49d2991eed)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/rcldb_p.h,
	src/rcldb/rclquery.cpp:
	renamed fields for clarity

2009-10-24 06:37 +0000  dockes  <dockes>  (1486d8f630fc)

	* src/filters/rclchm, src/filters/rclics, src/filters/rclzip:
	cleanup

2009-10-24 06:17 +0000  dockes  <dockes>  (6a8a9821c17c)

	* src/filters/rclexecm.py, src/filters/rclzip:
	use python zipfile

2009-10-23 16:45 +0000  dockes  <dockes>  (436e03b2f0c1)

	* src/filters/rclchm:
	comments

2009-10-23 16:03 +0000  dockes  <dockes>  (be653b19dd28)

	* src/filters/rclchm: new file.
	* src/filters/rclchm:
	first working

2009-10-23 16:03 +0000  dockes  <dockes>  (99a819213c2a)

	* src/filters/rclzip:
	comment

2009-10-22 17:28 +0000  dockes  <dockes>  (e5f16d6d23db)

	* src/doc/user/usermanual.sgml:
	%(fldname) specs

2009-10-22 17:27 +0000  dockes  <dockes>  (3e37f6aac6c5)

	* src/doc/user/docbook.css:
	new freebsd version

2009-10-22 17:27 +0000  dockes  <dockes>  (1535c07dd8a6)

	* src/sampleconf/mimeconf:
	ics

2009-10-22 17:16 +0000  dockes  <dockes>  (deaef902d7e3)

	* src/sampleconf/mimeconf:
	add ics + more programming languages

2009-10-22 17:16 +0000  dockes  <dockes>  (98009bab1e61)

	* src/sampleconf/mimemap:
	add ics + more programming languages

2009-10-22 17:13 +0000  dockes  <dockes>  (bf9a0c5eeb5c)

	* src/filters/rclics: new file.
	* src/filters/rclexecm.py, src/filters/rclics:
	initial support for icalendar splitting

2009-10-22 12:24 +0000  dockes  <dockes>  (f97b91cb8153)

	* src/filters/rclexecm.py: new file.
	* src/filters/rclexecm.py, src/filters/rclzip:
	made rclexecm a class in a separate module

2009-10-22 11:58 +0000  dockes  <dockes>  (9361ab690eec)

	* src/filters/rclzip:
	fully extracted common code

2009-10-21 21:00 +0000  dockes  <dockes>  (39b12da95a76)

	* src/filters/rclzip: new file.
	* src/filters/rclzip:
	initial

2009-10-21 20:59 +0000  dockes  <dockes>  (ef17d33ea782)

	* website/download.html:
	1.12.2

2009-10-21 12:02 +0000  dockes  <dockes>  (2baccf2235b6)

	* src/qtgui/rclmain_w.cpp, src/query/docseqdb.cpp,
	src/query/docseqdb.h, src/query/reslistpager.cpp,
	src/query/reslistpager.h, src/utils/Makefile, src/utils/smallut.cpp,
	src/utils/smallut.h:
	fix queryBuildAbstract option functionality. Allow substituting
	%(fieldname) in reslist paragraph format

2009-10-21 12:00 +0000  dockes  <dockes>  (30a02a6bada8)

	* src/internfile/mimehandler.h:
	warning

2009-10-21 11:58 +0000  dockes  <dockes>  (ebc82bec7704)

	* src/kde/kioslave/recoll/CMakeLists.txt, src/utils/closefrom.cpp:
	linux

2009-10-21 11:32 +0000  dockes  <dockes>  (1cc979921a0d)

	* src/internfile/mh_text.cpp, src/utils/closefrom.cpp:
	gcc43+linux compile

2009-10-21 07:48 +0000  dockes  <dockes>  (72168c28c9bb)

	* src/makestaticdist.sh:
	cleanup .svn directories

2009-10-21 07:24 +0000  dockes  <dockes>  (a550073d34d4)

	* src/makestaticdist.sh:
	get makestaticdist to work with qt4

2009-10-21 07:15 +0000  dockes  <dockes>  (e44497010880)

	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/menu, packaging/debian/rules,
	packaging/rpm/recollmdk.spec, tests/lyx/lyx.txt:
	1.12.2 release fixes

2009-10-21 07:15 +0000  dockes  <dockes>  (cecbbb5e3c23)

	* website/pics/mario.png, website/pics/smile.png: new file.
	* website/mario.png, website/smile.png: deleted file.
	* website/BUGS.html, website/CHANGES.html, website/devel.html,
	website/download.html, website/features.html, website/index.html.en,
	website/index.html.fr, website/mario.png, website/pics/index.html,
	website/pics/mario.png, website/pics/recoll5-thumb.png,
	website/pics/recoll5.png, website/pics/smile.png, website/smile.png:
	1.12.2 release

2009-10-19 16:20 +0000  dockes  <dockes>  (b2a9b0c5fc47)

	* src/lib/Makefile, src/lib/mkMake:
	add closefrom

2009-10-19 16:19 +0000  dockes  <dockes>  (5b3c0f9438a9)

	* src/README, src/doc/man/recoll.conf.5, src/doc/man/recollindex.1,
	src/doc/user/usermanual.sgml, src/filters/rclsvg:
	explict(e)ly errors again

2009-10-19 10:51 +0000  dockes  <dockes>  (70ed5ded2a5e)

	* src/qtgui/uiprefs.ui:
	move the use-desktop-preference checkbox close to the choose editors
	button

2009-10-19 07:30 +0000  dockes  <dockes>  (d25d7050d60c)

	* src/rcldb/rcldb.cpp, src/rcldb/rclquery.cpp:
	catch xapian exceptions in 2 more places.

2009-10-18 07:57 +0000  dockes  <dockes>  (cbcf397757a1)

	* src/qtgui/reslist.cpp:
	reslist: rightclick popup would not work inside table

2009-10-17 06:38 +0000  dockes  <dockes>  (cb08cd6b282b)

	* src/Makefile.in, src/index/recollindex.cpp, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	rclversion.h must not include xapian.h. Replace with
	Rcl::version_string()

2009-10-15 15:50 +0000  dockes  <dockes>  (6d01b54d3cf5)

	* src/qtgui/preview_w.cpp:
	compile with qt3

2009-10-15 12:32 +0000  dockes  <dockes>  (749d93d72709)

	* src/index/rclmonprc.cpp:
	only call x11IsAlive from the main thread

2009-10-15 12:32 +0000  dockes  <dockes>  (7339dd810b4c)

	* src/utils/Makefile, src/utils/conftree.cpp, src/utils/execmd.cpp:
	small linux include and makefile adjustments

2009-10-14 12:25 +0000  dockes  <dockes>  (4bfcb9f6483a)

	* src/utils/execmd.cpp, src/utils/execmd.h:
	m_cancelRequest->m_killRequest to avoid confusion with cancelcheck +
	close descriptors before exec

2009-10-14 12:24 +0000  dockes  <dockes>  (834b841865f0)

	* src/internfile/mh_exec.cpp:
	no timeout if filtermaxseconds is -1

2009-10-14 12:23 +0000  dockes  <dockes>  (894b94a986c2)

	* src/qtgui/confgui/confguiindex.cpp, src/sampleconf/recoll.conf.in:
	add filtermaxseconds to config

2009-10-14 12:22 +0000  dockes  <dockes>  (eec367c78b29)

	* src/utils/closefrom.cpp, src/utils/closefrom.h: new file.
	* src/utils/closefrom.cpp, src/utils/closefrom.h:
	

2009-10-14 06:21 +0000  dockes  <dockes>  (48782c4d99bd)

	* src/filters/rclimg, src/index/recollindex.cpp,
	src/internfile/mh_execm.cpp, src/internfile/mh_execm.h,
	src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/utils/execmd.cpp:
	execm first working zip version

2009-10-13 17:32 +0000  dockes  <dockes>  (ac8388c11bcb)

	* src/utils/idfile.cpp, src/utils/idfile.h:
	allow working on memory string

2009-10-13 16:37 +0000  dockes  <dockes>  (25cd49e5f3b2)

	* src/internfile/mh_exec.cpp:
	comments

2009-10-13 12:22 +0000  dockes  <dockes>  (f8f821415451)

	* src/internfile/mh_exec.cpp:
	handle interrupt requests and set timeout on execs

2009-10-13 12:21 +0000  dockes  <dockes>  (0ec65928f00f)

	* src/utils/execmd.cpp:
	use process group to control/kill execd processes

2009-10-13 12:20 +0000  dockes  <dockes>  (ad3f88e0578e)

	* src/sampleconf/recoll.conf.in:
	added loop.ps to skippedFiles

2009-10-12 16:27 +0000  dockes  <dockes>  (2d5321b8e32c)

	* src/common/rclinit.cpp:
	also block USR1 USR2

2009-10-09 13:58 +0000  dockes  <dockes>  (9ef52b9903d4)

	* src/internfile/mh_execm.cpp, src/internfile/mh_execm.h: new file.
	* src/filters/rclimg, src/internfile/mh_exec.cpp,
	src/internfile/mh_exec.h, src/internfile/mh_execm.cpp,
	src/internfile/mh_execm.h, src/internfile/mimehandler.cpp,
	src/lib/Makefile, src/lib/mkMake, src/sampleconf/mimeconf:
	execm persistent filters

2009-10-09 13:57 +0000  dockes  <dockes>  (94243b4ecca6)

	* src/common/textsplit.cpp:
	process camelCase

2009-10-09 13:34 +0000  dockes  <dockes>  (9129980cfe0e)

	* src/utils/execmd.cpp, src/utils/execmd.h, src/utils/netcon.cpp,
	src/utils/netcon.h:
	Execmd: added count parameter to receive(), and new getline()
	function Netcon: fix receive() to properly handle the case where
	there is initially data in the line buffer

2009-10-04 13:25 +0000  dockes  <dockes>  (f81cdfd36952)

	* src/utils/readfile.cpp:
	

2009-10-04 13:24 +0000  dockes  <dockes>  (fe1c983b582e)

	* src/mk/commondefs:
	remove -I/usr/local/include from commondefs!

2009-09-30 15:53 +0000  dockes  <dockes>  (401a53878320)

	* src/internfile/mh_text.cpp:
	dont set ipath for the first page in text files to avoid dual
	records for files under the page size

2009-09-30 15:45 +0000  dockes  <dockes>  (1ce015f48d3a)

	* src/internfile/mh_text.cpp, src/internfile/mh_text.h,
	src/qtgui/confgui/confguiindex.cpp, src/sampleconf/recoll.conf.in,
	src/utils/readfile.cpp, src/utils/readfile.h:
	implemented paged text files

2009-09-29 15:58 +0000  dockes  <dockes>  (b288f2d22754)

	* src/internfile/mh_text.cpp, src/qtgui/confgui/confguiindex.cpp,
	src/sampleconf/recoll.conf.in:
	textfilemaxmbs

2009-09-29 15:58 +0000  dockes  <dockes>  (a41ae31020fa)

	* src/utils/execmd.cpp:
	loglevels

2009-09-29 14:49 +0000  dockes  <dockes>  (89ab6fcd4bef)

	* src/utils/netcon.cpp, src/utils/netcon.h: new file.
	* src/utils/netcon.cpp, src/utils/netcon.h:
	

2009-09-29 14:49 +0000  dockes  <dockes>  (254aad5cdd17)

	* src/utils/netcon.cpp, src/utils/netcon.h: deleted file.
	* src/utils/netcon.cpp, src/utils/netcon.h:
	

2009-09-29 08:47 +0000  dockes  <dockes>  (302c0dd0dfa0)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	got rid of the preview tabdata array

2009-09-29 07:48 +0000  dockes  <dockes>  (f65d40e808c6)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	make print a slot in the editor, not the preview

2009-09-28 18:19 +0000  dockes  <dockes>  (5c03bd6d7d00)

	* src/doc/user/usermanual.sgml, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h:
	Preview printing

2009-09-28 17:53 +0000  dockes  <dockes>  (564c8022205f)

	* src/utils/execmd.cpp:
	adjust log levels

2009-09-26 09:30 +0000  dockes  <dockes>  (231f842cfa1a)

	* src/utils/netcon.cpp, src/utils/netcon.h: new file.
	* src/lib/Makefile, src/lib/mkMake, src/utils/execmd.cpp,
	src/utils/execmd.h, src/utils/netcon.cpp, src/utils/netcon.h:
	execmd uses netcon

2009-09-26 09:05 +0000  dockes  <dockes>  (3883518b318e)

	* src/rcldb/rclquery.cpp:
	dont abort on get_mset exception

2009-08-13 06:34 +0000  dockes  <dockes>  (71e1aa73c37e)

	* src/utils/refcntr.h:
	add release() method

2009-08-13 06:32 +0000  dockes  <dockes>  (75501a297534)

	* src/index/indexer.cpp, src/internfile/internfile.cpp,
	src/internfile/internfile.h, src/internfile/mimehandler.cpp,
	src/internfile/mimehandler.h:
	xattrs: make them work with non-text files. Use ctime for up to date
	checks

2009-08-13 06:29 +0000  dockes  <dockes>  (45721e5ace5a)

	* src/common/autoconfig.h.in:
	allow choosing the "file" command from configure

2009-08-13 06:28 +0000  dockes  <dockes>  (817bbeb36f34)

	* src/qtgui/rclmain_w.cpp:
	Make sure db is open at all times (caused problems when sorting
	query started from the command line)

2009-08-13 06:27 +0000  dockes  <dockes>  (05b809bbb7d0)

	* src/qtgui/preview_w.cpp:
	

2009-08-13 06:26 +0000  dockes  <dockes>  (b5b49b39dc8a)

	* src/configure, src/configure.ac, src/index/mimetype.cpp:
	allow choosing the "file" command from configure

2009-08-13 06:24 +0000  dockes  <dockes>  (902b5dc99b09)

	* src/ChangeLog:
	

2009-08-13 06:23 +0000  dockes  <dockes>  (3ee15899a458)

	* src/sampleconf/recoll.conf.in:
	add indexedmimetypes to sample file

2009-07-02 13:26 +0000  dockes  <dockes>  (a0f0be9546bb)

	* src/filters/rclman:
	

2009-07-02 10:26 +0000  dockes  <dockes>  (82d09aa4b256)

	* src/index/indexer.cpp, src/qtgui/rclmain_w.cpp:
	improve periodic indexing status reporting and timer processing

2009-07-02 06:17 +0000  dockes  <dockes>  (b8cdf0ab08a9)

	* src/qtgui/main.cpp, src/rcldb/searchdata.h, src/utils/mimeparse.cpp,
	src/utils/mimeparse.h:
	explicitely->explicitly

2009-06-26 09:25 +0000  dockes  <dockes>  (98153ad73366)

	* src/filters/rclman, src/sampleconf/mimemap:
	improve man page handling

2009-06-22 16:41 +0000  dockes  <dockes>  (5003fe921249)

	* src/qtgui/main.cpp, src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h:
	moved periodic timer control from main.cpp to rclmain_w.cpp

2009-06-22 15:25 +0000  dockes  <dockes>  (a420554375c5)

	* src/qtgui/idxthread.cpp, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp:
	use proper locking/sleeping object for idx thread sync

2009-06-22 08:58 +0000  dockes  <dockes>  (d4fdc68fab47)

	* src/filters/rclman:
	use groff html output!

2009-06-22 08:57 +0000  dockes  <dockes>  (01a166e9f9e7)

	* src/index/indexer.cpp:
	debug trace

2009-06-01 06:32 +0000  dockes  <dockes>  (272067257953)

	* src/qtgui/main.cpp:
	fixed bug in handling remaining arguments as question pieces

2009-05-29 06:28 +0000  dockes  <dockes>  (091488ca1543)

	* src/bincimapmime/convert.h, src/utils/base64.cpp:
	change strchr() return parameter to const for new libc

2009-05-25 08:59 +0000  dockes  <dockes>  (6231c20d3e23)

	* src/filters/rcllyx:
	bug report from d.prost: spaces and accents in lyx file names

2009-05-04 08:06 +0000  dockes  <dockes>  (20f1f5746b3e)

	* src/qtgui/guiutils.cpp, src/qtgui/preview_w.h,
	src/qtgui/spell_w.cpp:
	gcc44

2009-04-27 11:49 +0000  dockes  <dockes>  (ba8db4a9fcf6)

	* packaging/rpm/recollfedora10.spec: new file.
	* packaging/rpm/recollfedora10.spec:
	

2009-04-27 11:42 +0000  dockes  <dockes>  (85e5723e268a)

	* tests/cjk/cjk.txt: new file.
	* tests/cjk/cjk.txt:
	

2009-04-27 09:40 +0000  dockes  <dockes>  (a7cf61bb3e6a)

	* website/BUGS.html, website/download.html, website/index.html.en,
	website/index.html.fr:
	1.12 release changes

2009-04-27 09:15 +0000  dockes  <dockes>  (eb2d1da3c9ee)

	* website/BUGS.html:
	

2009-04-27 08:05 +0000  dockes  <dockes>  (c26df870665c)

	* src/utils/md5.cpp, src/utils/readfile.cpp:
	gcc 4.4 includes fixes

2009-04-27 08:03 +0000  dockes  <dockes>  (5e892d5aa963)

	* src/python/recoll/setup.py:
	pathhash->fileudi

2009-02-24 18:30 +0000  dockes  <dockes>  (d897d4f128ce)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp:
	implement option to display the catg filter as a toolbar combobox

2009-02-23 07:57 +0000  dockes  <dockes>  (5eb3b91eca18)

	* src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts:
	new ru/uk translations from Michael

2009-02-06 16:49 +0000  dockes  <dockes>  (0946c032bea8)

	* src/utils/refcntr.h:
	make RefCntr(x*) explicit

2009-02-06 16:48 +0000  dockes  <dockes>  (1f50a0e7a3ac)

	* src/internfile/mimehandler.cpp:
	comments

2009-02-05 14:35 +0000  dockes  <dockes>  (1eb8b93ed85b)

	* src/utils/execmd.cpp, src/utils/execmd.h:
	1st execcmd cleanup

2009-01-30 13:27 +0000  dockes  <dockes>  (55d06dfa9b04)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts, src/qtgui/reslist.cpp:
	small pbs with reslist translations

2009-01-30 11:43 +0000  dockes  <dockes>  (af28dae4f689)

	* src/INSTALL, src/README:
	

2009-01-30 11:43 +0000  dockes  <dockes>  (581a47458445 [RECOLL_1_12_0])

	* website/BUGS.html, website/CHANGES.html:
	1.12.0?

2009-01-30 11:42 +0000  dockes  <dockes>  (fd6cc84e76ce)

	* src/doc/user/usermanual.sgml:
	1.12 manual

2009-01-30 10:22 +0000  dockes  <dockes>  (f683b3907dd1)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts:
	updated message files, translated french

2009-01-29 14:24 +0000  dockes  <dockes>  (f09b8b421535)

	* src/filters/rcltext:
	simplified rcltext. No need for awk and no assumptions on charset

2009-01-29 11:27 +0000  dockes  <dockes>  (c8b882dea260)

	* src/ChangeLog, website/CHANGES.html, website/doc.html:
	

2009-01-29 11:04 +0000  dockes  <dockes>  (0bf58162416f)

	* src/VERSION:
	1.12.0 une

2009-01-29 10:47 +0000  dockes  <dockes>  (40e8e1f2f59b)

	* packaging/debian/changelog, packaging/rpm/recoll.spec,
	packaging/rpm/recollCooker.spec, packaging/rpm/recollfedora.spec,
	packaging/rpm/recollmdk.spec:
	

2009-01-29 10:08 +0000  dockes  <dockes>  (2af56852a361)

	* src/qtgui/main.cpp, src/qtgui/ssearch_w.cpp, src/qtgui/ssearch_w.h:
	have ssearch install the lang help section when needed

2009-01-28 17:41 +0000  dockes  <dockes>  (8654c9b9d56d)

	* src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp:
	erase history would crash with empty reslist docsource

2009-01-28 17:21 +0000  dockes  <dockes>  (8b56ccfdd91b)

	* src/qtgui/rclmain_w.cpp:
	fixed status bar messages (were cleared by periodic100 every 100ms)

2009-01-28 17:05 +0000  dockes  <dockes>  (b435cf90abb0)

	* src/qtgui/rclhelp.cpp, src/qtgui/rclhelp.h: new file.
	* src/qtgui/rclhelp.cpp, src/qtgui/rclhelp.h:
	F1 context-enhanced help

2009-01-28 16:56 +0000  dockes  <dockes>  (e5410627d9d5)

	* src/qt4gui/recoll.pro.in:
	F1 context-enhanced help

2009-01-28 16:56 +0000  dockes  <dockes>  (741df5618110)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h,
	src/qtgui/main.cpp, src/qtgui/preview_w.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h, src/qtgui/recoll.h,
	src/qtgui/recoll.pro.in, src/qtgui/reslist.cpp,
	src/qtgui/sort_w.cpp, src/qtgui/spell_w.cpp:
	F1 context-enhanced help

2009-01-28 14:58 +0000  dockes  <dockes>  (7e804d156dc5)

	* src/qtgui/rclmain_w.cpp:
	dont encode urls used for starting help browser

2009-01-28 14:22 +0000  dockes  <dockes>  (e696212a674c)

	* src/Makefile.in:
	add xapian version to version string

2009-01-28 08:45 +0000  dockes  <dockes>  (46251043fd88)

	* src/qtgui/advsearch.ui, src/qtgui/sort.ui, src/qtgui/spell.ui,
	src/qtgui/uiprefs.ui:
	avoid setting 0 sizes

2009-01-28 08:40 +0000  dockes  <dockes>  (1c551a065bdd)

	* src/configure, src/configure.ac:
	allow setting QMAKE in the environment

2009-01-27 18:12 +0000  dockes  <dockes>  (fb41a05985ed)

	* src/utils/pxattr.cpp:
	

2009-01-27 11:19 +0000  dockes  <dockes>  (3f5897bb4b8d)

	* tests/stemming/stemming.sh, tests/stemming/stemming.txt: new file.
	* tests/Maildir1/Maildir1.sh, tests/Maildir1/Maildir1.txt,
	tests/andor/andor.sh, tests/andor/andor.txt,
	tests/badsuffs/badsuffs.sh, tests/badsuffs/badsuffs.txt,
	tests/badsuffs1/badsuffs1.sh, tests/badsuffs1/badsuffs1.txt,
	tests/boolean/boolean.sh, tests/boolean/boolean.txt,
	tests/cjk/cjk.sh, tests/delete/delete.sh, tests/delete/delete.txt,
	tests/dirwithblanks/dirwithblanks.sh,
	tests/dirwithblanks/dirwithblanks.txt, tests/djvu/djvu.sh,
	tests/djvu/djvu.txt, tests/dvi/dvi.sh, tests/dvi/dvi.txt,
	tests/empty/empty.sh, tests/empty/empty.txt, tests/html/html.sh,
	tests/html/html.txt, tests/images/images.sh,
	tests/images/images.txt, tests/koi8r/koi8r.sh,
	tests/koi8r/koi8r.txt, tests/lyx/lyx.sh, tests/lyx/lyx.txt,
	tests/mail/mail.sh, tests/mail/mail.txt, tests/media/media.sh,
	tests/media/media.txt, tests/msword/msword.sh,
	tests/msword/msword.txt, tests/notypes/notypes.sh,
	tests/notypes/notypes.txt, tests/ooff/ooff.sh, tests/ooff/ooff.txt,
	tests/pdf/pdf.sh, tests/pdf/pdf.txt, tests/postscript/postscript.sh,
	tests/postscript/postscript.txt, tests/ppt/ppt.sh,
	tests/ppt/ppt.txt, tests/rfc2231/rfc2231.sh,
	tests/rfc2231/rfc2231.txt, tests/rtf/rtf.sh, tests/rtf/rtf.txt,
	tests/runtests.sh, tests/scribus/scribus.sh,
	tests/scribus/scribus.txt, tests/skipped/skipped.sh,
	tests/skipped/skipped.txt, tests/special/special.sh,
	tests/special/special.txt, tests/stemming/stemming.sh,
	tests/stemming/stemming.txt, tests/txt/txt.sh, tests/txt/txt.txt,
	tests/utf8/utf8.sh, tests/utf8/utf8.txt, tests/xls/xls.sh,
	tests/xls/xls.txt:
	remove recoll query text from compared test outputs

2009-01-27 10:25 +0000  dockes  <dockes>  (57dd90e8b55d)

	* src/common/textsplit.cpp, src/common/textsplit.h:
	Emit a_b intermediary span when splitting a_b.c

2009-01-26 18:30 +0000  dockes  <dockes>  (e2238061ec9d)

	* src/query/plaintorich.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/searchdata.cpp:
	modified the time at which we unaccent so that we can do the
	Capitalized->nostemming test on single words (this had been broken
	by the change of noac/split order done earlier to get japanese to
	work)

2009-01-26 18:26 +0000  dockes  <dockes>  (8529cb7d58c7)

	* tests/cjk/cjk.sh:
	

2009-01-26 17:52 +0000  dockes  <dockes>  (8a5b4971a703)

	* tests/cjk/cjk.sh: new file.
	* tests/cjk/cjk.sh:
	

2009-01-26 17:34 +0000  dockes  <dockes>  (e65566ba6690)

	* website/BUGS.html, website/CHANGES.html, website/features.html,
	website/index.html.en, website/index.html.fr,
	website/pics/index.html, website/pics/recoll-
	HTML_search_results.html, website/pics/recoll0.html,
	website/pics/recoll0.txt, website/pics/recoll1.html,
	website/pics/recoll2.html, website/pics/recoll3.html,
	website/pics/recoll4.html, website/pics/recoll5.html,
	website/pics/recoll_chinese.html:
	website

2009-01-26 13:29 +0000  dockes  <dockes>  (61198659243f)

	* src/utils/smallut.cpp, src/utils/smallut.h:
	add overloaded neutchars with different parameters

2009-01-26 13:27 +0000  dockes  <dockes>  (61567bc09eab)

	* src/utils/transcode.cpp:
	tested and decided against cacheing iconv_open

2009-01-23 15:56 +0000  dockes  <dockes>  (1998b1608eb0)

	* src/ChangeLog, src/qtgui/advsearch_w.cpp, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/recoll.h:
	temp ckpt: need to test on real unix

2009-01-23 11:07 +0000  dockes  <dockes>  (3631372e04f1)

	* src/qtgui/uiprefs.ui:
	avoid name duplication

2009-01-23 11:03 +0000  dockes  <dockes>  (0dba2718e1aa)

	* src/qtgui/uiprefs.ui:
	one button for choosing native editors

2009-01-23 10:38 +0000  dockes  <dockes>  (167a153bcf3c)

	* src/kde/kioslave/recoll/data/searchable.html:
	simplified javascrip: no ie here!

2009-01-23 09:41 +0000  dockes  <dockes>  (b71166d61782)

	* src/qtgui/rclmain_w.cpp:
	toLocal8Bit->local8bit

2009-01-23 09:30 +0000  dockes  <dockes>  (c3565b4a7244)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/recoll.h, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp, src/qtgui/uiprefs_w.h:
	use normal text/html ext app for viewing help

2009-01-23 09:27 +0000  dockes  <dockes>  (c025fa3fe99d)

	* src/utils/execmd.cpp, src/utils/execmd.h:
	accept additional path argument to execmd::which

2009-01-22 14:25 +0000  dockes  <dockes>  (967d5e013a33)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	allow toggle show text/fields in preview

2009-01-21 16:42 +0000  dockes  <dockes>  (f950b7d75e66)

	* src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	added saveToFile menu entry to reslist

2009-01-21 13:55 +0000  dockes  <dockes>  (033fe406a666)

	* src/utils/pxattr.cpp, src/utils/pxattr.h: new file.
	* src/common/autoconfig.h.in, src/common/rclconfig.cpp,
	src/common/rclconfig.h, src/configure, src/configure.ac,
	src/internfile/internfile.cpp, src/internfile/mh_exec.h,
	src/internfile/mh_html.cpp, src/internfile/mh_mail.cpp,
	src/internfile/mh_mbox.cpp, src/internfile/mh_text.cpp,
	src/internfile/mh_unknown.h, src/internfile/mimehandler.cpp,
	src/internfile/mimehandler.h, src/lib/Makefile, src/lib/mkMake,
	src/sampleconf/fields, src/utils/pxattr.cpp, src/utils/pxattr.h:
	added optional extended file attributes support

2009-01-21 11:11 +0000  dockes  <dockes>  (f269f00857ec)

	* src/sampleconf/mimeconf:
	comments

2009-01-21 11:11 +0000  dockes  <dockes>  (fda5a0a6fccb)

	* src/filters/rcldoc:
	try to use wvWare if present and antiword fails

2009-01-21 10:49 +0000  dockes  <dockes>  (394e160f7032)

	* src/utils/readfile.cpp:
	initialize the error buffer for gnu strerror_r

2009-01-21 10:24 +0000  dockes  <dockes>  (7580c4ed79ce)

	* src/utils/readfile.cpp:
	fix errno printing

2009-01-21 10:17 +0000  dockes  <dockes>  (f1dca213efee)

	* src/rcldb/rcldb.cpp:
	fixed typo that would prevent stopfile use

2009-01-17 14:57 +0000  dockes  <dockes>  (90f03bbd715c)

	* src/doc/man/recoll.conf.5, src/doc/user/usermanual.sgml:
	added compressedfilemaxkbs

2009-01-17 14:56 +0000  dockes  <dockes>  (78d1dd932d5b)

	* src/internfile/internfile.cpp, src/qtgui/confgui/confguiindex.cpp,
	src/sampleconf/recoll.conf.in:
	added compressedfilemaxkbs

2009-01-16 17:40 +0000  dockes  <dockes>  (fcc2539b18b4)

	* src/kde/kioslave/recoll/data/searchable.html:
	

2009-01-16 16:42 +0000  dockes  <dockes>  (11cc037db8a9)

	* src/kde/kioslave/recoll/00README.txt:
	

2009-01-16 11:32 +0000  dockes  <dockes>  (baaf38fdbca9)

	* src/kde/kioslave/recoll/00README.txt,
	src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/notes.txt:
	fixed docs + removed dead code

2009-01-15 17:07 +0000  dockes  <dockes>  (144b35bd64c0)

	* src/filters/rcluncomp, src/internfile/internfile.cpp:
	fixed handling of decompression errors, which was wrong but not
	catastrophly so in most cases

2009-01-15 17:05 +0000  dockes  <dockes>  (4b10b961d158)

	* src/qtgui/reslist.cpp:
	disable printing to tmp file

2009-01-15 14:37 +0000  dockes  <dockes>  (9392e278bb0a)

	* src/query/docseq.h, src/query/filtseq.cpp, src/query/filtseq.h,
	src/query/sortseq.cpp, src/query/sortseq.h:
	refactor operations delegated to subsequence by sortseq and filtspec
	into superclass

2009-01-15 09:47 +0000  dockes  <dockes>  (f02a34f835b4)

	* src/rcldb/rcldb.cpp:
	removed unused variable

2009-01-15 09:45 +0000  dockes  <dockes>  (2440f3259cd0)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/reslist.cpp,
	src/qtgui/uiprefs_w.cpp:
	ensure reslist parformat is refreshed after edit (1.11 bug)

2009-01-14 07:52 +0000  dockes  <dockes>  (b3c89a56c9a1)

	* src/qtgui/advsearch.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/uiprefs_w.cpp, src/qtgui/uiprefs_w.h,
	src/qtgui/viewaction.ui, src/qtgui/viewaction_w.cpp,
	src/qtgui/viewaction_w.h:
	arrange so that the select action dialog is preselected on the right
	mime type after missing action

2009-01-13 16:03 +0000  dockes  <dockes>  (2d8517785a8e)

	* src/common/textsplit.cpp:
	add _ to wordsep/spanglue chars. Add non-ascii test to isCJK for
	optimization

2009-01-13 16:02 +0000  dockes  <dockes>  (cbfb1f939c9d)

	* src/common/uproplist.h:
	small fix : remove diaeresis from seps + comments

2009-01-13 08:56 +0000  dockes  <dockes>  (ee8989c89330)

	* src/doc/user/usermanual.sgml:
	

2009-01-13 08:49 +0000  dockes  <dockes>  (93e74953ed0b)

	* src/doc/user/usermanual.sgml:
	update version

2009-01-13 08:02 +0000  dockes  <dockes>  (051bf6d49898)

	* src/rcldb/rcldb.h, src/rcldb/rcldb_p.h, src/rcldb/rclquery.h:
	minor visibility cleanup

2009-01-13 08:01 +0000  dockes  <dockes>  (c550fb351f5f)

	* src/qtgui/ssearchb.ui:
	fix obsolete tooltip message

2009-01-12 18:31 +0000  dockes  <dockes>  (3cefac6eb52d)

	* src/doc/user/usermanual.sgml:
	doc: better adv search explanation + duplicates collapsing

2009-01-12 17:50 +0000  dockes  <dockes>  (f8cb21911962)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h:
	simplified dialog structure, apparently allowed to get rid of size
	hacks

2009-01-12 16:42 +0000  dockes  <dockes>  (48ca278dcd42)

	* src/qtgui/advsearch.ui:
	suppressed unused vbox

2009-01-12 15:55 +0000  dockes  <dockes>  (b5486bd5b85d)

	* src/qtgui/advsearch.ui, src/qtgui/searchclause_w.cpp,
	src/qtgui/searchclause_w.h:
	suppressed unused layout in searchClause

2009-01-09 14:56 +0000  dockes  <dockes>  (073523a33ffe)

	* src/internfile/mh_exec.cpp, src/internfile/mh_html.cpp,
	src/internfile/mh_mail.cpp, src/internfile/mh_text.cpp,
	src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h, src/rcldb/rclquery.cpp,
	src/rcldb/rclquery.h:
	compute md5 checksums for all docs and optionally collapse
	duplicates in results

2009-01-09 12:23 +0000  dockes  <dockes>  (f89119e58f79)

	* src/qtgui/reslist.cpp:
	add space/backspace as pager keys for reslist

2009-01-09 12:23 +0000  dockes  <dockes>  (36eb326513d5)

	* src/utils/Makefile, src/utils/md5.cpp, src/utils/md5.h,
	src/utils/readfile.cpp, src/utils/readfile.h:
	implement md5 convenience file and string wrappers. Modify readfile
	to support this

2009-01-09 07:27 +0000  dockes  <dockes>  (de3507d26de4)

	* src/rcldb/pathhash.cpp, src/rcldb/pathhash.h: deleted file.
	* src/lib/Makefile, src/lib/mkMake, src/rcldb/pathhash.cpp,
	src/rcldb/pathhash.h, src/rcldb/rcldb.cpp:
	got rid of pathhash in rcldb, not used since 11.0

2009-01-08 09:55 +0000  dockes  <dockes>  (1fc0cdb06859)

	* src/excludefile:
	adapt to svn

2009-01-08 09:50 +0000  dockes  <dockes>  (867f1a9f6b02)

	* src/makesrcdist.sh:
	adapt distrib script to svn

2009-01-08 09:40 +0000  dockes  <dockes>  (33a7fbc42386 [RECOLL_1_12_1exp5])

	* src/VERSION:
	

2009-01-06 18:48 +0000  dockes  <dockes>  (2e111dad7cba)

	* src/doc/user/bldloop: new file.
	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/FreeBSD/recoll/pkg-
	plist, src/doc/user/bldloop, tests/koi8r/koi8r.sh, tests/shared.sh:
	*** empty log message ***

2009-01-06 18:40 +0000  dockes  <dockes>  (c82fbe0ee8fc)

	* packaging/debian/changelog, packaging/rpm/recoll.spec,
	packaging/rpm/recollfedora.spec, packaging/rpm/recollmdk.spec,
	src/ChangeLog, website/devel.html, website/download.html:
	*** empty log message ***

2009-01-06 18:40 +0000  dockes  <dockes>  (7ebc18a8b4d7)

	* unac/builder.in, unac/unac.c, unac/unac.h:
	new unac approach for japanese: dont decompose at all

2009-01-06 17:40 +0000  dockes  <dockes>  (a0b7ed1f2bda)

	* website/xapUpg100.html: new file.
	* website/BUGS.html, website/BUGS.txt, website/CHANGES.html,
	website/doc.html, website/download.html, website/index.html.en,
	website/index.html.fr, website/xapUpg100.html:
	*** empty log message ***

2009-01-06 17:30 +0000  dockes  <dockes>  (636e0f9f2a77)

	* website/howtos/index.html,
	website/howtos/prevent_indexing_a_directory/index.html,
	website/howtos/use_multiple_indexes/index.html,
	website/pics/piclist.txt, website/pics/recoll-HTML_search_results-
	thumb.png, website/pics/recoll-HTML_search_results.html,
	website/pics/recoll-HTML_search_results.png, website/pics/recoll-
	HTML_search_results.txt, website/pics/recoll0-thumb.png,
	website/pics/recoll0.html, website/pics/recoll0.png,
	website/pics/recoll0.txt, website/pics/recoll1-thumb.png,
	website/pics/recoll1.html, website/pics/recoll1.png,
	website/pics/recoll1.txt, website/pics/recoll2-thumb.png,
	website/pics/recoll2.html, website/pics/recoll2.png,
	website/pics/recoll2.txt, website/pics/recoll3-thumb.png,
	website/pics/recoll3.html, website/pics/recoll3.png,
	website/pics/recoll3.txt, website/pics/recoll4-thumb.png,
	website/pics/recoll4.html, website/pics/recoll4.png,
	website/pics/recoll4.txt, website/pics/recoll5-thumb.png,
	website/pics/recoll5.html, website/pics/recoll5.png,
	website/pics/recoll5.txt, website/pics/recoll_chinese-thumb.png,
	website/pics/recoll_chinese.html, website/pics/recoll_chinese.png,
	website/pics/recoll_chinese.txt: new file.
	* website/howtos/index.html,
	website/howtos/prevent_indexing_a_directory/index.html,
	website/howtos/use_multiple_indexes/index.html,
	website/pics/piclist.txt, website/pics/recoll-HTML_search_results-
	thumb.png, website/pics/recoll-HTML_search_results.html,
	website/pics/recoll-HTML_search_results.png, website/pics/recoll-
	HTML_search_results.txt, website/pics/recoll0-thumb.png,
	website/pics/recoll0.html, website/pics/recoll0.png,
	website/pics/recoll0.txt, website/pics/recoll1-thumb.png,
	website/pics/recoll1.html, website/pics/recoll1.png,
	website/pics/recoll1.txt, website/pics/recoll2-thumb.png,
	website/pics/recoll2.html, website/pics/recoll2.png,
	website/pics/recoll2.txt, website/pics/recoll3-thumb.png,
	website/pics/recoll3.html, website/pics/recoll3.png,
	website/pics/recoll3.txt, website/pics/recoll4-thumb.png,
	website/pics/recoll4.html, website/pics/recoll4.png,
	website/pics/recoll4.txt, website/pics/recoll5-thumb.png,
	website/pics/recoll5.html, website/pics/recoll5.png,
	website/pics/recoll5.txt, website/pics/recoll_chinese-thumb.png,
	website/pics/recoll_chinese.html, website/pics/recoll_chinese.png,
	website/pics/recoll_chinese.txt:
	*** empty log message ***

2008-12-21 13:17 +0000  dockes  <dockes>  (74da01dd27c2)

	* src/unac/unac.c, src/unac/unac.h:
	new unac approach for japanese: dont decompose at all

2008-12-21 13:05 +0000  dockes  <dockes>  (273dad0916bb)

	* unac/unac_version.h: new file.
	* unac/unac_version.h:
	*** empty log message ***

2008-12-19 09:55 +0000  dockes  <dockes>  (1a2dd90e07b4)

	* src/rcldb/rcldb.h, src/rcldb/rclquery.cpp, src/rcldb/searchdata.cpp:
	getMainConfig not actually needed and possibly harmful

2008-12-19 09:44 +0000  dockes  <dockes>  (3a16629b24f5)

	* src/rcldb/searchdata.cpp, src/unac/unac.c, src/unac/unac.h:
	dont unaccent japanese + fix bug in unac/split ordering in
	searchdata

2008-12-19 08:39 +0000  dockes  <dockes>  (b895714a6500)

	* src/python/recoll/setup.py:
	pyrecoll: port to linux, update

2008-12-18 14:11 +0000  dockes  <dockes>  (33bffc499e78)

	* src/query/xadump.cpp:
	diag: prevent char combination by inserting spaces

2008-12-18 11:58 +0000  dockes  <dockes>  (a3863a0c1f62)

	* unac/builder.in, unac/unac.c:
	no going out of the basic plane!

2008-12-18 11:12 +0000  dockes  <dockes>  (ac1315d2a94f)

	* unac/unac.c:
	added recoll memory allocation checks

2008-12-18 11:05 +0000  dockes  <dockes>  (cfb4210ce7d5)

	* unac/CaseFolding-5.1.0.txt, unac/UnicodeData-5.1.0.txt: new file.
	* unac/CaseFolding-5.1.0.txt, unac/UnicodeData-5.1.0.txt:
	*** empty log message ***

2008-12-18 11:04 +0000  dockes  <dockes>  (cc609462a402)

	* unac/builder.in, unac/configure, unac/configure.ac, unac/unac.c,
	unac/unac.h:
	use unicode 5.1.0 + dont unaccent katakana/hiragana. Main change in
	unicode is that letters ae and o with stroke dont decompose anymore
	into a+e and o+e we may actually want to restore this if it proves a
	problem

2008-12-17 16:20 +0000  dockes  <dockes>  (65fd4fda84d3)

	* src/rcldb/rcldb.cpp:
	fix to previous abstract fix

2008-12-17 15:12 +0000  dockes  <dockes>  (9e9e84a23da6)

	* src/qtgui/reslist.cpp:
	use local hiliter

2008-12-17 14:26 +0000  dockes  <dockes>  (ada853f1e3b8)

	* src/common/Makefile, src/rcldb/rcldb.cpp:
	fix abstract generation when the match term is a multiword span
	(esp. for japanese)

2008-12-17 14:26 +0000  dockes  <dockes>  (9705bf172f13)

	* src/rcldb/searchdata.cpp:
	comment

2008-12-17 08:01 +0000  dockes  <dockes>  (42bc5b3b5abf)

	* src/index/indexer.cpp, src/index/indexer.h,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/python/recoll/pyrecoll.cpp, src/qtgui/main.cpp,
	src/query/recollq.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	simplified db open by getting rid of the illusion that we could have
	several writeable dbs per config

2008-12-16 17:43 +0000  dockes  <dockes>  (1d040e634db3 [RECOLL_1_12_1exp4])

	* src/README, src/VERSION,
	src/kde/kioslave/recoll/data/searchable.html,
	src/kde/kioslave/recoll/data/welcome.html:
	*** empty log message ***

2008-12-16 17:30 +0000  dockes  <dockes>  (18f65ef55dd6)

	* src/kde/kioslave/recoll/data/searchable.html:
	*** empty log message ***

2008-12-16 17:28 +0000  dockes  <dockes>  (e991bdd3d8c7)

	* src/kde/kioslave/recoll/data/searchable.html: new file.
	* src/kde/kioslave/recoll/data/searchable.html,
	src/kde/kioslave/recoll/data/welcome.html,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h:
	updated kioslave for small changes in reslistpager after main i/f
	integration. + javascript to search page

2008-12-16 14:20 +0000  dockes  <dockes>  (7bc14752b5f3)

	* src/qtgui/preview_w.h, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/query/plaintorich.h, src/query/reslistpager.cpp,
	src/query/reslistpager.h, src/utils/debuglog.cpp,
	src/utils/debuglog.h:
	converted qt reslist to reslistpager

2008-12-16 08:54 +0000  dockes  <dockes>  (c702627139c8)

	* src/query/wasastringtoquery.cpp:
	OR chain longer than 2 would swallow preceding AND terms

2008-12-15 15:04 +0000  dockes  <dockes>  (62e1b7eaa7b9)

	* src/kde/kioslave/recoll/htmlif.cpp, src/query/reslistpager.cpp:
	kio: use right ipath for preview

2008-12-15 14:39 +0000  dockes  <dockes>  (30b71a18e961)

	* src/query/xadump.cpp, src/rcldb/searchdata.cpp:
	make gcc happy

2008-12-15 13:51 +0000  dockes  <dockes>  (f93dda12024f)

	* website/howtos/template.html:
	*** empty log message ***

2008-12-15 11:20 +0000  dockes  <dockes>  (4a74871e9823)

	* website/howtos/buildindex.sh, website/howtos/fragend.html,
	website/howtos/fraghead.html, website/howtos/newdir.sh,
	website/howtos/template.html: new file.
	* website/BUGS.html, website/BUGS.txt, website/CHANGES.html,
	website/copydocs, website/download.html,
	website/howtos/buildindex.sh, website/howtos/fragend.html,
	website/howtos/fraghead.html, website/howtos/newdir.sh,
	website/howtos/template.html, website/index.html.en,
	website/index.html.fr, website/pics/index.html:
	*** empty log message ***

2008-12-15 09:33 +0000  dockes  <dockes>  (afc0ef4911b2)

	* src/doc/user/usermanual.sgml:
	more search tips

2008-12-15 09:24 +0000  dockes  <dockes>  (59cd1bdd4d3f)

	* src/rcldb/searchdata.cpp:
	reorganize code + add boost to phrase element to match boost of
	original user terms

2008-12-12 11:53 +0000  dockes  <dockes>  (4121cbc09d70)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/rcldb/rcldb.cpp:
	dont insert space in cjk abstracts

2008-12-12 11:02 +0000  dockes  <dockes>  (37fd1c31af49)

	* src/rcldb/rcldb.cpp:
	message level

2008-12-12 11:01 +0000  dockes  <dockes>  (d2a8c016d05c)

	* src/qtgui/reslist.cpp:
	add %i for displaying ipath

2008-12-12 11:00 +0000  dockes  <dockes>  (151d6a590152)

	* src/qtgui/main.cpp:
	add all extra cmd line args to the question

2008-12-08 17:43 +0000  dockes  <dockes>  (90b62656b326)

	* src/kde/kioslave/recoll/htmlif.cpp:
	set name as preview title

2008-12-08 17:42 +0000  dockes  <dockes>  (5717c313d23a)

	* src/kde/kioslave/recoll/dirif.cpp:
	removed a few traces

2008-12-08 14:34 +0000  dockes  <dockes>  (de392f657f81)

	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt:
	previews

2008-12-08 11:22 +0000  dockes  <dockes>  (877b674c328c)

	* src/utils/Makefile, src/utils/readfile.cpp:
	file_to_string: stat+reserve makes faster

2008-12-05 13:15 +0000  dockes  <dockes>  (19ef9198e3d5)

	* src/VERSION:
	branched maintenance for 1.11 kio devs on main now 1.12

2008-12-05 11:09 +0000  dockes  <dockes>  (b27d4070bbf8)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/common/uproplist.h, src/kde/kioslave/recoll/kio_recoll.cpp,
	src/qtgui/ssearch_w.cpp, src/query/recollq.cpp,
	src/query/wasatorcl.cpp, src/rcldb/searchdata.cpp:
	take care of splitting user string with respect to unicode white
	space, not only ascii

2008-12-05 07:38 +0000  dockes  <dockes>  (d102970d3aee)

	* src/utils/smallut.h:
	comment

2008-12-04 12:41 +0000  dockes  <dockes>  (a3f25963b2da [RECOLL_1_11_1exp3])

	* src/kde/kioslave/recoll/recollf.protocol: new file.
	* src/kde/kioslave/recoll/recollf.protocol:
	*** empty log message ***

2008-12-04 12:23 +0000  dockes  <dockes>  (adffbb42e449)

	* src/kde/kioslave/recoll/dirif.cpp:
	kde 4.0 compile

2008-12-04 11:50 +0000  dockes  <dockes>  (fef6cc6c4c97)

	* src/VERSION:
	*** empty log message ***

2008-12-04 11:49 +0000  dockes  <dockes>  (d1b1a426ddfa)

	* src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt, src/query/reslistpager.cpp,
	src/query/reslistpager.h, src/rcldb/rcldb.cpp, src/utils/pathut.h:
	kio_recoll: html/dir switching

2008-12-03 17:04 +0000  dockes  <dockes>  (a762165399a2)

	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt:
	cleaned up virtual tree and url handling. Drag to desktop now works
	with appropriate name. recollf protocol

2008-12-03 10:02 +0000  dockes  <dockes>  (127dbb400363)

	* src/kde/kioslave/recoll/dirif.cpp:
	better stat

2008-12-02 13:41 +0000  dockes  <dockes>  (6e55b23fb64f)

	* src/kde/kioslave/recoll/dirif.cpp:
	*** empty log message ***

2008-12-02 13:38 +0000  dockes  <dockes>  (66b031be3559)

	* src/kde/kioslave/recoll/dirif.cpp:
	*** empty log message ***

2008-12-02 13:16 +0000  dockes  <dockes>  (619e41b1537b)

	* src/INSTALL, src/README, src/VERSION, src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-12-02 13:14 +0000  dockes  <dockes>  (fff18d4ea953)

	* src/kde/kioslave/recoll/00README.txt,
	src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/data/welcome.html,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/notes.txt, src/query/reslistpager.cpp:
	kio goes to testing

2008-12-01 18:42 +0000  dockes  <dockes>  (714fdf15621e)

	* src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h:
	small cleanups and comments. Still some weirdness

2008-12-01 15:37 +0000  dockes  <dockes>  (8d9ea1f1c645)

	* src/kde/kioslave/recoll/cleancmakestuff.sh:
	*** empty log message ***

2008-12-01 15:36 +0000  dockes  <dockes>  (8504e2e278dd)

	* src/kde/kioslave/recoll/data/help.html: new file.
	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/cleancmakestuff.sh,
	src/kde/kioslave/recoll/data/help.html,
	src/kde/kioslave/recoll/data/welcome.html,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt:
	seems to work by re-rerunning search whenever it changes. Still had
	one crash, needs cleanup

2008-11-28 09:14 +0000  dockes  <dockes>  (ee6a7d32843e)

	* src/kde/kioslave/recoll/recollnolist.protocol: new file.
	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt,
	src/kde/kioslave/recoll/recoll.protocol,
	src/kde/kioslave/recoll/recollnolist.protocol:
	ensured compatibility with kde4.0

2008-11-27 17:48 +0000  dockes  <dockes>  (d461029ef29c)

	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt,
	src/kde/kioslave/recoll/recoll.protocol:
	bits of dual mode working

2008-11-27 14:05 +0000  dockes  <dockes>  (8cc177e8775a)

	* src/query/reslistpager.cpp:
	safety check

2008-11-27 13:35 +0000  dockes  <dockes>  (4d28c4942bc1)

	* src/sampleconf/mimeconf:
	*** empty log message ***

2008-11-27 09:49 +0000  dockes  <dockes>  (394d882caa0c)

	* src/sampleconf/mimeconf:
	remove obsolete [prefixes] section

2008-11-27 09:39 +0000  dockes  <dockes>  (0ec8260d8d7c)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-11-26 15:03 +0000  dockes  <dockes>  (b6a62dc24003)

	* src/kde/kioslave/recoll/cleancmakestuff.sh,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/notes.txt: new file.
	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/cleancmakestuff.sh,
	src/kde/kioslave/recoll/dirif.cpp,
	src/kde/kioslave/recoll/htmlif.cpp,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h,
	src/kde/kioslave/recoll/notes.txt,
	src/kde/kioslave/recoll/recoll.protocol:
	listdir doesnt work on kde 4.0 because on parent/child assumptions
	in kdirmodel have to check on kde 4.1

2008-11-24 17:42 +0000  dockes  <dockes>  (9333f13ac4c7)

	* src/VERSION:
	*** empty log message ***

2008-11-24 17:38 +0000  dockes  <dockes>  (a761936ec65e)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	check for dlopen

2008-11-24 16:42 +0000  dockes  <dockes>  (0f7e0292212f)

	* src/kde/kioslave/recoll/CMakeLists.txt:
	have to cc the pic objects, cant use librcl

2008-11-24 15:47 +0000  dockes  <dockes>  (d06dd2891012)

	* src/Makefile.in, src/aspell/Makefile, src/common/Makefile,
	src/common/autoconfig.h.in, src/common/rclconfig.h, src/configure,
	src/configure.ac, src/index/Makefile, src/internfile/Makefile,
	src/lib/Makefile, src/lib/mkMake, src/mk/Darwin, src/mk/FreeBSD,
	src/mk/OpenBSD, src/mk/SunOS, src/mk/commondefs,
	src/qt4gui/recoll.pro.in, src/qtgui/recoll.pro.in,
	src/query/Makefile, src/unac/unac.c, src/utils/pathut.cpp:
	make it easier to maintain the kio cmake by moving as much stuff as
	possible to autoconfig.h, merging libmime and librcl etc.

2008-11-24 15:23 +0000  dockes  <dockes>  (7d9add059cc1)

	* src/qtgui/confgui/main.cpp, src/qtgui/guiutils.cpp,
	src/qtgui/main.cpp, src/qtgui/recoll.h:
	replace local variable recoll_datadir with access to config

2008-11-24 14:54 +0000  dockes  <dockes>  (7005bf515a0b)

	* src/unac/unac_version.h: new file.
	* src/unac/unac.c, src/unac/unac_version.h:
	*** empty log message ***

2008-11-21 16:43 +0000  dockes  <dockes>  (5c4559fa9d49)

	* src/makesrcdist.sh:
	*** empty log message ***

2008-11-21 16:37 +0000  dockes  <dockes>  (e92347cad84d)

	* src/kde/kioslave/recoll/00README.txt, src/makesrcdist.sh:
	ccmake cleanup in kio_recoll

2008-11-21 16:02 +0000  dockes  <dockes>  (f691d6ad3333)

	* src/excludefile:
	*** empty log message ***

2008-11-20 18:00 +0000  dockes  <dockes>  (5063f4280d8d)

	* src/kde/kioslave/recoll/Makefile: deleted file.
	* src/kde/kioslave/recoll/Makefile:
	*** empty log message ***

2008-11-20 15:10 +0000  dockes  <dockes>  (dc45badd0c45)

	* src/VERSION:
	*** empty log message ***

2008-11-20 14:16 +0000  dockes  <dockes>  (c653773059df)

	* src/kde/kioslave/recoll/00README.txt:
	*** empty log message ***

2008-11-20 13:10 +0000  dockes  <dockes>  (8b5eea7103b5)

	* src/kde/kioslave/recoll/data/welcome.html: new file.
	* src/kde/kioslave/recoll/00README.txt,
	src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/data/welcome.html,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h, src/query/reslistpager.cpp,
	src/query/reslistpager.h:
	kioslave sort of works

2008-11-19 12:28 +0000  dockes  <dockes>  (93e6b483f5c4)

	* src/kde/kioslave/recoll/kio_recoll.cpp:
	*** empty log message ***

2008-11-19 12:19 +0000  dockes  <dockes>  (9b0d90b61574)

	* src/query/plaintorich.cpp, src/query/plaintorich.h,
	src/query/reslistpager.cpp, src/query/reslistpager.h: new file.
	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h: deleted file.
	* src/lib/Makefile, src/lib/mkMake, src/qt4gui/recoll.pro.in,
	src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/recoll.pro.in, src/query/plaintorich.cpp,
	src/query/plaintorich.h, src/query/reslistpager.cpp,
	src/query/reslistpager.h:
	moved plaintorich from qtgui/ to query/

2008-11-19 10:06 +0000  dockes  <dockes>  (350dd565c80d)

	* src/qtgui/reslist.cpp, src/utils/smallut.cpp, src/utils/smallut.h:
	moved code from qtgui to smallut

2008-11-18 13:51 +0000  dockes  <dockes>  (fae04b17c778)

	* src/utils/cancelcheck.h:
	comment

2008-11-18 13:25 +0000  dockes  <dockes>  (4d54c32dbee7)

	* src/index/csguess.cpp, src/index/mimetype.cpp,
	src/index/rclmonprc.cpp, src/index/rclmonrcv.cpp,
	src/query/wasatorcl.cpp:
	add a few includes for new gcc version

2008-11-18 13:24 +0000  dockes  <dockes>  (9455c0affe0a)

	* src/utils/cancelcheck.h:
	comments

2008-11-18 10:23 +0000  dockes  <dockes>  (d09d14bf2e24)

	* src/utils/debuglog.h:
	*** empty log message ***

2008-11-17 14:51 +0000  dockes  <dockes>  (9d4e9515342e)

	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/Makefile.kde3: new file.
	* src/kde/kioslave/recoll/CMakeLists.txt,
	src/kde/kioslave/recoll/Makefile,
	src/kde/kioslave/recoll/Makefile.kde3,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h:
	1st kde test. cmake doesnt work need to use buildit script

2008-11-14 15:49 +0000  dockes  <dockes>  (13ca00d869a1)

	* src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.h:
	*** empty log message ***

2008-11-13 10:57 +0000  dockes  <dockes>  (5cd3ce5481df)

	* src/kde/kioslave/recoll/00README.txt,
	src/kde/kioslave/recoll/Makefile,
	src/kde/kioslave/recoll/kio_recoll.cpp,
	src/kde/kioslave/recoll/kio_recoll.la, src/query/docseqdb.cpp:
	got the kio_slave working again

2008-11-08 11:00 +0000  dockes  <dockes>  (81b9fe1d7644)

	* src/qtgui/reslist.cpp:
	Copy entries in the rght clck menu copy both to selection and
	clipboard

2008-10-18 07:04 +0000  dockes  <dockes>  (33b4eec42ac8)

	* website/BUGS.html: new file.
	* website/BUGS.html, website/download.html:
	*** empty log message ***

2008-10-18 06:51 +0000  dockes  <dockes>  (b885092a2488)

	* website/CHANGES.html: new file.
	* website/CHANGES.txt: deleted file.
	* website/BUGS.txt, website/CHANGES.html, website/CHANGES.txt,
	website/download.html, website/index.html.en, website/index.html.fr:
	*** empty log message ***

2008-10-15 08:30 +0000  dockes  <dockes>  (6657f5e0f698)

	* src/sampleconf/recoll.conf.in:
	add .git .hg .bzr to skipped

2008-10-14 07:50 +0000  dockes  <dockes>  (2321044edfb9 [RECOLL_1_11_0])

	* src/rcldb/searchdata.cpp, src/rcldb/searchdata.h,
	src/utils/refcntr.h:
	highlighting would not work with cat filt active because ClausSub
	did not implement getTerms

2008-10-14 06:07 +0000  dockes  <dockes>  (6ecc84bb82aa)

	* src/index/recollindex.cpp:
	print version in recollindex help

2008-10-13 11:46 +0000  dockes  <dockes>  (1cd1451bbb74)

	* src/excludefile, src/makesrcdist.sh:
	change in excludefile handling

2008-10-13 11:46 +0000  dockes  <dockes>  (609bbaa80120)

	* src/qtgui/ssearch_w.cpp, src/query/filtseq.cpp:
	warnings

2008-10-13 11:44 +0000  dockes  <dockes>  (809f8c3eb265)

	* src/qtgui/plaintorich.cpp:
	compil warn

2008-10-13 08:35 +0000  dockes  <dockes>  (a5d743b90fe8)

	* src/INSTALL, src/README:
	*** empty log message ***

2008-10-13 08:23 +0000  dockes  <dockes>  (5874f0e6fc82)

	* src/query/recollq.cpp:
	dont change recollq output, used for tests!

2008-10-13 07:57 +0000  dockes  <dockes>  (bf5637bbe652)

	* src/doc/user/usermanual.sgml, src/qtgui/i18n/recoll_de.ts,
	src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_tr.ts,
	src/qtgui/i18n/recoll_uk.ts, src/qtgui/i18n/recoll_xx.ts,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp:
	messages and manual

2008-10-10 08:19 +0000  dockes  <dockes>  (d5a5fb9959b7)

	* src/doc/user/usermanual.sgml:
	added python api doc

2008-10-10 08:18 +0000  dockes  <dockes>  (4771280faa9c)

	* src/python/recoll/pyrecoll.cpp, src/python/samples/rclmbox.py,
	src/python/samples/recollqsd.py:
	fix executesd

2008-10-10 08:05 +0000  dockes  <dockes>  (f613511f9e1a)

	* src/python/recoll/pyrecoll.cpp:
	add delete purge

2008-10-10 08:04 +0000  dockes  <dockes>  (2547574a0242)

	* src/internfile/internfile.cpp:
	log levels

2008-10-09 09:36 +0000  dockes  <dockes>  (4fb973a50769)

	* src/python/recoll/pyrecoll.cpp:
	stemming went from query to searchdata

2008-10-09 09:21 +0000  dockes  <dockes>  (e112c834fca2)

	* src/filters/rclflac, src/filters/rclid3, src/sampleconf/mimeconf:
	improved mp3/flac filter. use pstotext directly

2008-10-09 09:19 +0000  dockes  <dockes>  (cf2e0559c3d9)

	* src/internfile/mh_exec.cpp, src/internfile/mimehandler.cpp:
	need to transcode text to utf-8

2008-10-09 09:19 +0000  dockes  <dockes>  (d250c2a0a26f)

	* src/utils/transcode.h:
	comments

2008-10-09 06:41 +0000  dockes  <dockes>  (721f4b3d08f4)

	* src/filters/rclimg:
	*** empty log message ***

2008-10-09 06:38 +0000  dockes  <dockes>  (e9d7fde008f9)

	* src/filters/rclimg:
	*** empty log message ***

2008-10-09 06:31 +0000  dockes  <dockes>  (4b76370655c3)

	* src/filters/rclimg:
	conform to filter error usual protocol

2008-10-08 16:15 +0000  dockes  <dockes>  (d60a26ce4397)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/filters/rcldvi, src/index/indexer.cpp, src/index/indexer.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/utils/smallut.cpp, src/utils/smallut.h:
	added menu to display missing helpers

2008-10-08 16:12 +0000  dockes  <dockes>  (30da9114943c)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-10-08 08:27 +0000  dockes  <dockes>  (8a78ee8cc158)

	* src/filters/rclabw, src/filters/rcldjvu, src/filters/rclid3,
	src/filters/rclkwd, src/filters/rclogg, src/filters/rclopxml,
	src/filters/rclppt, src/filters/rclsoff, src/filters/rclsvg,
	src/filters/rclxls, src/sampleconf/fields, src/sampleconf/mimeconf:
	improved rclid3 and rclogg

2008-10-07 16:19 +0000  dockes  <dockes>  (c922f7984106)

	* src/qtgui/preview_w.cpp:
	message

2008-10-07 08:07 +0000  dockes  <dockes>  (7e7e59b8a48f)

	* src/doc/user/usermanual.sgml:
	query language precisions

2008-10-07 06:52 +0000  dockes  <dockes>  (0b46df2d0a1d)

	* src/query/wasatorcl.cpp:
	*** empty log message ***

2008-10-07 06:44 +0000  dockes  <dockes>  (a6e8f2583e65)

	* src/ChangeLog, src/common/rclconfig.cpp,
	src/python/recoll/pyrecoll.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/rclquery.cpp, src/sampleconf/fields:
	let rclconfig take care of field name lowercasing

2008-10-06 06:22 +0000  dockes  <dockes>  (26eae5316b88)

	* src/internfile/mh_exec.cpp, src/internfile/mh_exec.h,
	src/internfile/mimehandler.cpp, src/utils/execmd.cpp:
	Disable filters with missing helpers for the whole indexing pass

2008-10-04 14:26 +0000  dockes  <dockes>  (556c7fa5998c)

	* src/index/indexer.cpp, src/internfile/Filter.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/internfile/mh_exec.cpp, src/internfile/mh_exec.h,
	src/internfile/mh_html.h, src/internfile/mh_mail.cpp,
	src/internfile/mh_mail.h, src/internfile/mh_mbox.cpp,
	src/internfile/mh_mbox.h, src/internfile/mh_text.h,
	src/internfile/mh_unknown.h, src/internfile/mimehandler.cpp,
	src/internfile/mimehandler.h:
	allow specifying format and charset for ext filters. Cache and reuse
	filters

2008-10-03 16:02 +0000  dockes  <dockes>  (6f5d875c2923)

	* src/utils/Makefile:
	*** empty log message ***

2008-10-03 16:02 +0000  dockes  <dockes>  (8d1e930cc9e2)

	* src/qtgui/preview_w.cpp:
	message

2008-10-03 08:19 +0000  dockes  <dockes>  (cf75be4a88cf)

	* src/common/rclconfig.cpp:
	*** empty log message ***

2008-10-03 08:09 +0000  dockes  <dockes>  (068bc565bf8b)

	* src/common/rclconfig.cpp, src/qtgui/guiutils.cpp,
	src/qtgui/guiutils.h, src/qtgui/plaintorich.cpp,
	src/qtgui/plaintorich.h, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp:
	add option to preview html instead of plain text

2008-10-03 06:23 +0000  dockes  <dockes>  (bd1a6a560e25)

	* src/internfile/internfile.cpp, src/internfile/internfile.h:
	arrange for setting aside an html version when working for preview

2008-10-03 06:17 +0000  dockes  <dockes>  (b10d8b6906a0)

	* src/internfile/mh_html.cpp, src/internfile/mh_html.h:
	save transcoded html for preview

2008-10-02 13:30 +0000  dockes  <dockes>  (f469cf040425)

	* src/internfile/mh_exec.cpp, src/internfile/mh_exec.h:
	comments

2008-09-30 12:38 +0000  dockes  <dockes>  (6ff81f690928)

	* src/index/recollindex.cpp, src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/idxthread.cpp, src/qtgui/idxthread.h, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb_p.h:
	added index format version checking

2008-09-29 11:33 +0000  dockes  <dockes>  (2691a6abf645)

	* src/kde/kioslave/recoll/kio_recoll.cpp,
	src/python/recoll/pyrecoll.cpp, src/qtgui/rclmain_w.cpp,
	src/qtgui/reslist.cpp, src/query/docseq.h, src/query/docseqdb.cpp,
	src/query/docseqdb.h, src/query/filtseq.cpp, src/query/filtseq.h,
	src/query/recollq.cpp, src/query/sortseq.cpp, src/query/sortseq.h,
	src/rcldb/rclquery.cpp, src/rcldb/rclquery.h,
	src/rcldb/searchdata.cpp, src/rcldb/searchdata.h:
	move stemlang from RclQuery to SearchData. Allow DocSequences to do
	the sorting/filtering themselves

2008-09-29 08:59 +0000  dockes  <dockes>  (00bc43d91e91)

	* src/kde/kioslave/recoll/kio_recoll.cpp,
	src/python/recoll/pyrecoll.cpp, src/qtgui/reslist.cpp,
	src/query/docseq.cpp, src/query/docseq.h, src/query/docseqdb.cpp,
	src/query/docseqdb.h, src/query/docseqhist.cpp,
	src/query/docseqhist.h, src/query/filtseq.cpp, src/query/filtseq.h,
	src/query/recollq.cpp, src/query/sortseq.cpp, src/query/sortseq.h,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/rclquery.cpp,
	src/rcldb/rclquery.h:
	doc.pc now only place where relevancy is stored

2008-09-29 07:13 +0000  dockes  <dockes>  (da809a196cc5)

	* src/qtgui/reslist.h:
	comments

2008-09-29 06:58 +0000  dockes  <dockes>  (dccf6cb38207)

	* src/python/recoll/pyrecoll.cpp, src/query/recollq.cpp,
	src/rcldb/rclquery.cpp, src/rcldb/rclquery.h,
	src/rcldb/searchdata.cpp, src/rcldb/searchdata.h:
	move sort params from searchdata to rclquery

2008-09-28 14:20 +0000  dockes  <dockes>  (0ce1cca8cac2)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h, src/qtgui/sort_w.cpp,
	src/query/filtseq.h, src/query/sortseq.cpp, src/query/sortseq.h,
	src/sampleconf/mimeconf:
	1st impl of catg filtering in reslist

2008-09-28 07:40 +0000  dockes  <dockes>  (5e29feefc554)

	* src/query/filtseq.cpp, src/query/filtseq.h: new file.
	* src/lib/Makefile, src/lib/mkMake, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/query/docseq.h, src/query/docseqdb.cpp, src/query/docseqdb.h,
	src/query/filtseq.cpp, src/query/filtseq.h:
	rearranged some reslist/rclmain functions + add but not use filtseq
	code

2008-09-25 09:08 +0000  dockes  <dockes>  (8588b8cc05d1)

	* src/python/samples/rcldlkp.py, src/python/samples/rclmbox.py:
	*** empty log message ***

2008-09-25 09:07 +0000  dockes  <dockes>  (40e028763fab)

	* src/python/xesam/xesam-recoll-service:
	arret apres hackfest

2008-09-25 06:17 +0000  dockes  <dockes>  (811009efeb96)

	* src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_tr.ts,
	src/qtgui/i18n/recoll_uk.ts, src/qtgui/i18n/recoll_xx.ts:
	*** empty log message ***

2008-09-25 06:14 +0000  dockes  <dockes>  (ce29702ab7cc)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts:
	*** empty log message ***

2008-09-25 06:02 +0000  dockes  <dockes>  (a065c833e601)

	* src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts:
	new russian/ukrainian translations

2008-09-25 06:00 +0000  dockes  <dockes>  (ba80af83d32f)

	* src/qtgui/advsearch_w.cpp, src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts, src/qtgui/rclmain_w.cpp,
	src/qtgui/reslist.cpp, src/qtgui/uiprefs.ui:
	fixed typos

2008-09-24 06:50 +0000  dockes  <dockes>  (695914bd6d5d)

	* src/kde/recoll_applet/0README.Recoll:
	*** empty log message ***

2008-09-24 06:44 +0000  dockes  <dockes>  (48bbf0a115cc)

	* src/query/recollq.cpp:
	command line args must be processed as local 8 bit

2008-09-24 06:34 +0000  dockes  <dockes>  (e90ac2ed62fe)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-09-24 05:35 +0000  dockes  <dockes>  (36e2522b06b2)

	* src/qtgui/main.cpp:
	command line args must be processed as local 8 bit

2008-09-24 05:31 +0000  dockes  <dockes>  (9b420f1d25f8)

	* src/qtgui/main.cpp:
	command line args must be processed as local 8 bit

2008-09-23 14:32 +0000  dockes  <dockes>  (cd440e5917d3)

	* src/configure, src/configure.ac:
	use $QMAKE not qmake when checking version

2008-09-16 10:19 +0000  dockes  <dockes>  (2bc72ad13a9b)

	* src/python/recoll/pyrecoll.cpp:
	fields, indexing i/f

2008-09-16 10:13 +0000  dockes  <dockes>  (ff10e8072c66)

	* src/qtgui/rclmain_w.cpp:
	have to setkeydir before calling internfile when opening

2008-09-16 08:18 +0000  dockes  <dockes>  (c78945994f7c)

	* src/python/samples/recollqsd.py: new file.
	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/internfile/internfile.cpp, src/python/recoll/pyrecoll.cpp,
	src/python/recoll/setup.py, src/python/samples/recollqsd.py,
	src/python/xesam/xesam-recoll-service, src/query/recollq.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/rcldb_p.h,
	src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h, src/rcldb/rclquery.cpp,
	src/rcldb/rclquery.h, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h, src/sampleconf/fields:
	general field name handling cleanup + sort facility in rclquery

2008-09-16 08:13 +0000  dockes  <dockes>  (bd4c0f6fd812)

	* src/internfile/mh_mail.cpp:
	emit field for recipients

2008-09-15 08:03 +0000  dockes  <dockes>  (11ba5592559e)

	* src/sampleconf/fields, src/sampleconf/mimeconf,
	src/sampleconf/mimemap, src/sampleconf/mimeview:
	added rcltext/python/purple

2008-09-15 08:02 +0000  dockes  <dockes>  (8af411ff9bf6)

	* src/filters/rclpurple: new file.
	* src/filters/rclpurple, src/qtgui/mtpics/README,
	src/utils/base64.cpp, src/utils/smallut.cpp, src/utils/smallut.h,
	src/utils/transcode.cpp:
	*** empty log message ***

2008-09-15 07:55 +0000  dockes  <dockes>  (49401228a5ef)

	* src/filters/rclpython, src/qtgui/mtpics/pidgin.png,
	src/qtgui/mtpics/text-x-python.png: new file.
	* src/filters/rclpython, src/qtgui/mtpics/pidgin.png,
	src/qtgui/mtpics/text-x-python.png:
	*** empty log message ***

2008-09-13 12:56 +0000  dockes  <dockes>  (299644545ca0)

	* src/python/xesam/xesam-recoll-service: new file.
	* src/python/xesam/xesam-recoll-service:
	*** empty log message ***

2008-09-12 11:35 +0000  dockes  <dockes>  (5c85f26d124d)

	* src/sampleconf/mimeconf:
	index c code with the new rcltext generic filter

2008-09-12 11:30 +0000  dockes  <dockes>  (b8277032f494)

	* src/filters/rcltext: new file.
	* src/filters/rcltext:
	*** empty log message ***

2008-09-09 12:58 +0000  dockes  <dockes>  (a3afe9b35b57)

	* src/rcldb/rcldb.cpp:
	debug messages

2008-09-08 16:49 +0000  dockes  <dockes>  (a18ab0c682a4)

	* src/rcldb/rcldoc.cpp, src/sampleconf/fields: new file.
	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/internfile/internfile.cpp, src/lib/Makefile, src/lib/mkMake,
	src/python/recoll/pyrecoll.cpp, src/python/samples/recollq.py,
	src/qtgui/preview_w.cpp, src/qtgui/reslist.cpp, src/query/docseq.h,
	src/query/docseqdb.cpp, src/query/recollq.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/rcldoc.cpp, src/rcldb/rcldoc.h, src/recollinstall.in,
	src/sampleconf/fields:
	foundation work for configurable stored/indexed fields

2008-09-08 15:47 +0000  dockes  <dockes>  (861e4211280b)

	* src/rcldb/searchdata.h:
	unused args warning

2008-09-08 15:47 +0000  dockes  <dockes>  (3f6468e20038)

	* src/utils/smallut.cpp:
	test driver

2008-09-08 15:46 +0000  dockes  <dockes>  (581ee503208b)

	* src/ChangeLog:
	*** empty log message ***

2008-09-07 07:22 +0000  dockes  <dockes>  (dfe4dd53d0b9)

	* src/Makefile.in, src/qt4gui/uifrom3:
	cleanup

2008-09-07 07:08 +0000  dockes  <dockes>  (95c2a94321a3)

	* src/Makefile.in:
	cleaning

2008-09-07 06:43 +0000  dockes  <dockes>  (6294638c2504)

	* src/Makefile.in, src/VERSION, src/mk/localdefs.in:
	improved cleaning

2008-09-05 11:45 +0000  dockes  <dockes>  (8532ebb84453)

	* src/rcldb/rclquery.cpp:
	gcc4.3

2008-09-05 10:36 +0000  dockes  <dockes>  (2ada099a7545)

	* src/internfile/internfile.cpp, src/internfile/internfile.h:
	strimline and restructure the doctree-exploring loop to make it
	close to understandable

2008-09-05 10:34 +0000  dockes  <dockes>  (404aa368d498)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb_p.h, src/rcldb/rclquery.cpp:
	add relevancyrating to the metadata when querying

2008-09-05 10:33 +0000  dockes  <dockes>  (bc0210deda18)

	* src/internfile/myhtmlparse.cpp:
	accept iso date format (2008-09-05T11:55:32)

2008-09-05 10:26 +0000  dockes  <dockes>  (4b17d6defb3c)

	* src/doc/man/recollindex.1:
	*** empty log message ***

2008-09-01 20:39 +0000  dockes  <dockes>  (39ff03712b54)

	* src/sampleconf/mimeconf, src/sampleconf/mimeview:
	openxml types

2008-09-01 17:31 +0000  dockes  <dockes>  (f0fde685acc8)

	* src/filters/rclopxml:
	sort of works

2008-09-01 17:21 +0000  dockes  <dockes>  (dfd3281994ff)

	* src/filters/rclopxml: new file.
	* src/filters/rclopxml:
	almost almost ok excepts outputs some formatting directives for ppt

2008-08-31 15:28 +0000  dockes  <dockes>  (7756d792699d [RECOLL_1_11_1exp1, RECOLL_1_11_1exp2, RECOLL_1_11_1exp])

	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/rules:
	*** empty log message ***

2008-08-30 12:21 +0000  dockes  <dockes>  (60b122f6f4d6)

	* src/rcldb/rcldb.cpp:
	typo in xfsn len fix

2008-08-30 07:38 +0000  dockes  <dockes>  (d516181ad7a0)

	* src/rcldb/rcldb.cpp:
	truncate simple file names at max term length

2008-08-30 07:34 +0000  dockes  <dockes>  (59326d99e18d)

	* src/utils/smallut.cpp:
	utf8truncate

2008-08-30 07:31 +0000  dockes  <dockes>  (8f5c5fba53d1)

	* src/utils/smallut.cpp, src/utils/smallut.h:
	utf8truncate

2008-08-29 14:12 +0000  dockes  <dockes>  (41c405565cd4)

	* tests/boolean/boolean.sh:
	or->OR

2008-08-29 13:05 +0000  dockes  <dockes>  (6454f838026e)

	* src/internfile/mh_mbox.cpp:
	accept weird date format in From lines used by (old?) tbird

2008-08-29 09:51 +0000  dockes  <dockes>  (b830b6d6b04d)

	* src/index/recollindex.cpp:
	be more informative when monitoring not configured

2008-08-28 15:44 +0000  dockes  <dockes>  (27a9bf47f895)

	* src/python/recoll/pyrecoll.cpp, src/python/samples/rcldlkp.py,
	src/python/samples/rclmbox.py, src/rcldb/rcldb.cpp,
	src/sampleconf/mimeview:
	*** empty log message ***

2008-08-28 15:43 +0000  dockes  <dockes>  (d28eac37bdd9)

	* src/query/wasatorcl.cpp, src/rcldb/searchdata.h:
	use a refcntr for the sub SearchData

2008-08-28 15:42 +0000  dockes  <dockes>  (417a8f1346df)

	* src/rcldb/searchdata.cpp:
	ensure that a negative clause is not first or only in list

2008-08-27 12:34 +0000  dockes  <dockes>  (658ca4b955c8)

	* src/python/recoll/pyrecoll.cpp:
	reorganize+traces

2008-08-27 12:12 +0000  dockes  <dockes>  (37791b8e66aa)

	* src/python/recoll/pyrecoll.cpp:
	doc

2008-08-26 13:50 +0000  dockes  <dockes>  (af43f86ffe99)

	* src/query/wasastringtoquery.cpp:
	make AND and OR case-sensitive

2008-08-26 13:47 +0000  dockes  <dockes>  (bda91f767e32)

	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h,
	src/query/wasatorcl.cpp:
	try to parse the whole of Xesam user language 0.95

2008-08-26 07:56 +0000  dockes  <dockes>  (6a17726c7e41)

	* src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py,
	src/python/samples/rcldlkp.py, src/python/samples/rclmbox.py,
	src/python/samples/recollq.py:
	renamed a few things

2008-08-26 07:38 +0000  dockes  <dockes>  (c97de92889e3)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	copy author back from data record to Doc

2008-08-26 07:36 +0000  dockes  <dockes>  (d6e27e630844)

	* src/python/samples/rcldlkp.py, src/python/samples/rclmbox.py,
	src/python/samples/recollq.py: new file.
	* src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py,
	src/python/samples/rcldlkp.py, src/python/samples/rclmbox.py,
	src/python/samples/recollq.py:
	*** empty log message ***

2008-08-26 07:33 +0000  dockes  <dockes>  (1d6816c32358)

	* src/rcldb/rcldoc.h:
	comments

2008-08-26 07:33 +0000  dockes  <dockes>  (4e86d4c4f3d9)

	* src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/reslist.cpp:
	move ipath computations from reslist to internfile

2008-08-26 07:31 +0000  dockes  <dockes>  (b44f4950a084)

	* src/internfile/mh_exec.cpp, src/internfile/mh_exec.h:
	implement skip_to_document

2008-08-25 16:12 +0000  dockes  <dockes>  (936499917659)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	opxml formats

2008-07-30 13:16 +0000  dockes  <dockes>  (0f1387a8a565)

	* src/rcldb/stemdb.cpp:
	fixed inocuous but nasty bad string value test

2008-07-29 08:25 +0000  dockes  <dockes>  (a7888d48c2a6)

	* src/rcldb/rcldb.h, src/rcldb/rcldoc.h:
	comments

2008-07-29 06:25 +0000  dockes  <dockes>  (28ebb7cac39d)

	* src/index/indexer.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/rcldb_p.h, src/rcldb/rcldoc.h:
	use explicit parent udi term instead of Qterm structure to express
	parent-child relationship

2008-07-28 12:24 +0000  dockes  <dockes>  (5cb926be362f)

	* src/index/indexer.cpp, src/lib/Makefile, src/lib/mkMake,
	src/query/docseqhist.cpp, src/rcldb/pathhash.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/rcldoc.h,
	src/utils/Makefile, src/utils/fileudi.cpp:
	replaced path|ipath with unique doc id in rcldb i/f. Still depends
	on udi structure for parent/child

2008-07-28 10:20 +0000  dockes  <dockes>  (07bc933efb70)

	* src/utils/fileudi.cpp, src/utils/fileudi.h: new file.
	* src/utils/fileudi.cpp, src/utils/fileudi.h:
	*** empty log message ***

2008-07-28 08:42 +0000  dockes  <dockes>  (825cb66f8be3)

	* src/index/indexer.cpp, src/qtgui/uiprefs_w.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/rcldb.h, src/rcldb/rcldb_p.h, src/rcldb/rcldoc.h,
	src/utils/base64.h:
	begin i/f cleanup: opacify doc uptodate sig (size+mtime)

2008-07-04 09:29 +0000  dockes  <dockes>  (6551cb55fa98 [RECOLL_1_10_3])

	* src/qtgui/plaintorich.cpp:
	turn dbg off

2008-07-01 13:00 +0000  dockes  <dockes>  (19e926f99256)

	* src/ChangeLog, src/VERSION:
	1.10.3: checkpoint for 1.10 branch maintenance

2008-07-01 12:11 +0000  dockes  <dockes>  (910f409cb0be)

	* src/bincimapmime/convert.h:
	suppressed a few wasteful string-cstr conversions

2008-07-01 11:57 +0000  dockes  <dockes>  (913963d84bc5)

	* src/bincimapmime/convert.cc, src/bincimapmime/convert.h,
	src/bincimapmime/mime-parseonlyheader.cc, src/bincimapmime/mime-
	printheader.cc:
	suppressed a few wasteful string-cstr conversions

2008-07-01 11:51 +0000  dockes  <dockes>  (54f3a868fb92)

	* src/bincimapmime/address.cc, src/internfile/mh_mail.cpp,
	src/query/wasastringtoquery.cpp, src/query/xadump.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rclquery.cpp, src/rcldb/searchdata.h,
	src/utils/conftree.cpp, src/utils/conftree.h, src/utils/idfile.cpp,
	src/utils/mimeparse.cpp, src/utils/pathut.cpp, src/utils/pathut.h,
	src/utils/smallut.cpp:
	suppressed a few wasteful string-cstr conversions

2008-07-01 10:29 +0000  dockes  <dockes>  (3e1aa9958af4)

	* src/index/mimetype.cpp, src/index/mimetype.h,
	src/internfile/mh_mail.cpp:
	mh_mail now uses mimetype() to try and better identify application
	/octet-stream

2008-07-01 08:31 +0000  dockes  <dockes>  (3665315a4fdd)

	* src/ChangeLog:
	*** empty log message ***

2008-07-01 08:31 +0000  dockes  <dockes>  (928e08cb2cc8)

	* src/rcldb/rclquery.cpp, src/rcldb/rclquery.h,
	src/rcldb/rclquery_p.h:
	small cleanups and comments

2008-07-01 08:28 +0000  dockes  <dockes>  (e5847d808877)

	* src/rcldb/rcldb.h:
	comments

2008-07-01 08:27 +0000  dockes  <dockes>  (97cd50050ecf)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/reslist.cpp:
	cleaned up plaintorich. Now a proper subclassable class + highlights
	multiple groups, not just the first

2008-07-01 08:27 +0000  dockes  <dockes>  (3ef1709e5955)

	* src/qtgui/confgui/confguiindex.cpp:
	typo

2008-07-01 08:26 +0000  dockes  <dockes>  (f6ddabbf59a2)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/utils/pathut.cpp,
	src/utils/pathut.h:
	moved printableUrl() to pathut

2008-07-01 08:24 +0000  dockes  <dockes>  (413a8a75c5af)

	* src/python/recoll/pyrecoll.cpp:
	added abstract i/f

2008-06-17 11:43 +0000  dockes  <dockes>  (009a912c3daf)

	* src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py:
	basic functionality ok, more funcs and options needed

2008-06-13 18:23 +0000  dockes  <dockes>  (58a4b54fa103)

	* src/utils/refcntr.h:
	separated rcldb and rclquery

2008-06-13 18:22 +0000  dockes  <dockes>  (a52ef2510839)

	* src/rcldb/rcldb_p.h, src/rcldb/rclquery.cpp, src/rcldb/rclquery.h,
	src/rcldb/rclquery_p.h: new file.
	* src/kde/kioslave/recoll/kio_recoll.cpp, src/lib/Makefile,
	src/lib/mkMake, src/python/recoll/pyrecoll.cpp,
	src/python/recoll/setup.py, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/query/docseq.h, src/query/docseqdb.cpp,
	src/query/docseqdb.h, src/query/recollq.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/rcldb.h, src/rcldb/rcldb_p.h, src/rcldb/rclquery.cpp,
	src/rcldb/rclquery.h, src/rcldb/rclquery_p.h,
	src/rcldb/searchdata.h, src/utils/pathut.cpp, src/utils/refcntr.h:
	separated rcldb and rclquery

2008-06-13 18:14 +0000  dockes  <dockes>  (e39af9faad92)

	* src/common/autoconfig.h.in, src/configure, src/configure.ac,
	src/mk/Darwin, src/mk/FreeBSD, src/mk/Linux, src/mk/OpenBSD:
	move few things from the mk/sys files to autoconf

2008-06-10 06:30 +0000  dockes  <dockes>  (822b88ae3d1f)

	* src/qtgui/mtpics/License_sidux.txt: new file.
	* src/qtgui/mtpics/License_sidux.txt:
	*** empty log message ***

2008-06-09 09:14 +0000  dockes  <dockes>  (c9953f1a54ee)

	* src/filters/rclsiduxman, src/qtgui/mtpics/sidux-book.png: new file.
	* src/filters/rclsiduxman, src/qtgui/mtpics/sidux-book.png,
	src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	sidux manual support

2008-05-27 10:46 +0000  dockes  <dockes>  (2afb8b8ec073)

	* 1.10.2

2008-05-27 10:45 +0000  dockes  <dockes>  (62c7f8ba0eb8)

	* packaging/debian/changelog, packaging/rpm/recoll.spec,
	packaging/rpm/recollfedora.spec, packaging/rpm/recollmdk.spec,
	src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py,
	website/BUGS.txt, website/CHANGES.txt, website/download.html,
	website/features.html, website/index.html.en, website/index.html.fr,
	website/styles/style.css:
	1.10.2

2008-05-27 06:47 +0000  dockes  <dockes>  (b120e7a059cd [RECOLL_1_10_2])

	* src/README:
	*** empty log message ***

2008-05-27 06:46 +0000  dockes  <dockes>  (70d9bb153b58)

	* src/VERSION:
	1.10.2

2008-05-27 06:18 +0000  dockes  <dockes>  (305829599fb1)

	* src/utils/pathut.cpp:
	suppress warning

2008-05-27 05:40 +0000  dockes  <dockes>  (f611211f012a)

	* src/internfile/internfile.cpp:
	log message

2008-05-26 09:07 +0000  dockes  <dockes>  (dbb469971d76)

	* src/ChangeLog:
	*** empty log message ***

2008-05-21 07:21 +0000  dockes  <dockes>  (b1ee79619cca)

	* src/qtgui/advsearch_w.cpp, src/qtgui/confgui/confgui.cpp,
	src/qtgui/confgui/confgui.h, src/qtgui/preview_w.cpp,
	src/qtgui/reslist.cpp, src/utils/idfile.cpp:
	openSuse 11 compile issues

2008-05-20 10:09 +0000  dockes  <dockes>  (f047b0f61753)

	* src/qtgui/advsearch_w.cpp, src/rcldb/rcldb.cpp:
	*** empty log message ***

2008-05-20 10:09 +0000  dockes  <dockes>  (f2e76fada01c)

	* src/unac/unac.c:
	make strict gcc happy

2008-05-09 12:34 +0000  dockes  <dockes>  (be08db2c226e)

	* src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py: new
	file.
	* src/python/recoll/pyrecoll.cpp, src/python/recoll/setup.py:
	*** empty log message ***

2008-05-08 10:00 +0000  dockes  <dockes>  (2ff9f42dc279)

	* src/rcldb/searchdata.h:
	comments

2008-05-08 09:57 +0000  dockes  <dockes>  (bd6106d7f9ab)

	* src/utils/smallut.cpp, src/utils/smallut.h:
	*** empty log message ***

2008-05-08 09:31 +0000  dockes  <dockes>  (70f8eab20535)

	* src/ChangeLog:
	*** empty log message ***

2008-05-07 06:14 +0000  dockes  <dockes>  (f3d36126287d)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-05-05 20:31 +0000  dockes  <dockes>  (d271616c4b99)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-05-05 20:28 +0000  dockes  <dockes>  (02b1484f3eee)

	* src/doc/user/usermanual.sgml, src/qtgui/guiutils.cpp,
	src/qtgui/guiutils.h, src/qtgui/preview_w.cpp,
	src/qtgui/reslist.cpp, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp:
	allow setting query term highlight color in prefs

2008-05-05 16:38 +0000  dockes  <dockes>  (763298305d15)

	* src/qtgui/reslist.cpp:
	Edit -> Open in links

2008-05-05 13:13 +0000  dockes  <dockes>  (d2fc5c651024)

	* src/bincimapmime/mime-parsefull.cc:
	part data was sometimes truncated because of bad handling of
	consecutive mime boundaries. Most common symptom: error in base64
	decoding

2008-04-18 11:41 +0000  dockes  <dockes>  (32155182993c)

	* src/mk/localdefs.in:
	get CXXFLAGS from autoconf

2008-04-18 11:39 +0000  dockes  <dockes>  (72073f033a45)

	* src/query/xadump.cpp:
	xadump would sometimes dump core with -b

2008-04-18 11:38 +0000  dockes  <dockes>  (ef6566c2ac8e)

	* src/qtgui/preview_w.cpp:
	walking the search terms hits backwards would go forward

2008-04-18 11:37 +0000  dockes  <dockes>  (018890cfdbd7)

	* src/utils/Makefile, src/utils/base64.cpp, src/utils/readfile.cpp:
	base64 testing code

2008-02-19 08:02 +0000  dockes  <dockes>  (34b45c5acd1c)

	* src/qtgui/main.cpp:
	make first sort after -q work

2008-02-19 08:02 +0000  dockes  <dockes>  (1293fc15412b)

	* src/qtgui/rclmain_w.cpp:
	comments+debug

2008-02-19 07:41 +0000  dockes  <dockes>  (efbaeed44ee9)

	* src/rcldb/rcldb.cpp:
	traces

2008-02-11 10:21 +0000  dockes  <dockes>  (81923201adc7)

	* src/utils/idfile.cpp:
	hack for Mark B.: allow treating (single-message) mbox files as
	message/rfc822

2008-02-08 08:37 +0000  dockes  <dockes>  (ddcce838e7d0)

	* src/qtgui/i18n/recoll_de.ts:
	update by Frank Thieme

2008-02-05 10:45 +0000  dockes  <dockes>  (51a501984fd4)

	* src/sampleconf/mimeconf:
	*** empty log message ***

2008-02-03 16:24 +0000  dockes  <dockes>  (825bb43d67ca)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	rclsvg

2008-02-03 16:05 +0000  dockes  <dockes>  (81794c3a6d9e)

	* src/filters/rclsvg:
	*** empty log message ***

2008-02-03 16:04 +0000  dockes  <dockes>  (40c35a7fb1bb)

	* src/filters/rclsvg: new file.
	* src/filters/rclsvg:
	*** empty log message ***

2008-01-29 10:14 +0000  dockes  <dockes>  (fd74eae7e8b4 [RECOLL_1_10_1])

	* src/README:
	*** empty log message ***

2008-01-29 10:11 +0000  dockes  <dockes>  (a1fee09bfc3d)

	* src/rcldb/searchdata.h:
	m_haveWildCards was sometimes not init

2008-01-29 08:41 +0000  dockes  <dockes>  (ebc971754f92)

	* src/ChangeLog:
	*** empty log message ***

2008-01-24 09:34 +0000  dockes  <dockes>  (301425122a56)

	* src/qtgui/main.cpp:
	*** empty log message ***

2008-01-17 11:15 +0000  dockes  <dockes>  (af11c991aff3)

	* src/qtgui/idxthread.cpp, src/qtgui/idxthread.h,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h:
	allow stopping indexing through menu action

2008-01-17 11:14 +0000  dockes  <dockes>  (4c108ac6227a)

	* src/query/wasastringtoquery.h:
	comment

2008-01-17 11:13 +0000  dockes  <dockes>  (7b2a9225dbef)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-01-16 11:14 +0000  dockes  <dockes>  (ddfe49735bc2)

	* src/query/wasatorcl.cpp, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h:
	express query language OR chains as rcldb subqueries so that field
	specs will work inside them

2008-01-16 10:52 +0000  dockes  <dockes>  (6487da12360f)

	* src/ChangeLog, src/doc/user/usermanual.sgml:
	*** empty log message ***

2008-01-16 08:43 +0000  dockes  <dockes>  (592d1258c5e4)

	* src/rcldb/searchdata.cpp:
	splitString filename queries

2007-12-20 09:08 +0000  dockes  <dockes>  (e99decc750eb)

	* src/index/indexer.cpp, src/rcldb/rcldb.cpp:
	ensure that the names of files with filter errors get indexed anyway

2007-12-13 06:58 +0000  dockes  <dockes>  (de422a0df409)

	* src/aspell/rclaspell.cpp, src/bincimapmime/convert.h,
	src/common/rclconfig.cpp, src/common/rclinit.cpp,
	src/common/textsplit.cpp, src/common/unacpp.cpp,
	src/index/csguess.cpp, src/index/indexer.cpp,
	src/index/rclmonprc.cpp, src/index/rclmonrcv.cpp,
	src/index/recollindex.cpp, src/internfile/htmlparse.cpp,
	src/internfile/mh_mail.cpp, src/internfile/mh_mbox.cpp,
	src/internfile/myhtmlparse.cpp, src/query/docseqhist.cpp,
	src/query/history.cpp, src/query/recollq.cpp,
	src/rcldb/pathhash.cpp, src/rcldb/rcldb.cpp, src/utils/base64.cpp,
	src/utils/conftree.cpp, src/utils/copyfile.cpp,
	src/utils/fstreewalk.cpp, src/utils/idfile.cpp,
	src/utils/mimeparse.cpp, src/utils/pathut.cpp,
	src/utils/readfile.cpp, src/utils/wipedir.cpp:
	gcc 4 compat, thanks to Kartik Mistry

2007-12-04 10:17 +0000  dockes  <dockes>  (f2bd537aad87)

	* src/qtgui/rclmain_w.cpp:
	directly open editor action choice dialog when user says so

2007-12-04 10:16 +0000  dockes  <dockes>  (9a289ca30889)

	* src/qtgui/uiprefs_w.cpp, src/utils/utf8iter.cpp:
	*** empty log message ***

2007-11-25 07:29 +0000  dockes  <dockes>  (3782c85019d4)

	* src/qtgui/i18n/recoll_tr.ts:
	*** empty log message ***

2007-11-24 16:51 +0000  dockes  <dockes>  (a41099c58ac0)

	* src/qtgui/i18n/recoll_fr.ts:
	accents

2007-11-24 16:43 +0000  dockes  <dockes>  (eecb572a0935)

	* src/qtgui/confgui/confguiindex.h:
	make conftoppanelw a q_object for translations to work

2007-11-24 10:41 +0000  dockes  <dockes>  (343184d41f3b)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts:
	*** empty log message ***

2007-11-21 16:34 +0000  dockes  <dockes>  (966333a903a9)

	* src/VERSION:
	*** empty log message ***

2007-11-21 16:34 +0000  dockes  <dockes>  (aed5f0389421)

	* 1.10.0

2007-11-21 16:34 +0000  dockes  <dockes>  (4918fce7a71a)

	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/menu, packaging/debian/rules,
	packaging/rpm/recoll.spec, packaging/rpm/recollfedora.spec,
	packaging/rpm/recollmdk.spec, tests/shared.sh, website/CHANGES.txt,
	website/devel.html, website/download.html, website/features.html,
	website/fr/features.html, website/index.html.en,
	website/index.html.fr, website/pics/index.html,
	website/styles/style.css:
	1.10.0

2007-11-21 14:15 +0000  dockes  <dockes>  (9c57d53ad305 [RECOLL_1_10_0])

	* src/qtgui/confgui/confguiindex.cpp, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/recoll.h:
	allow opening config gui if no index on first start

2007-11-21 09:42 +0000  dockes  <dockes>  (b1db39055b6d)

	* src/excludefile:
	*** empty log message ***

2007-11-21 09:34 +0000  dockes  <dockes>  (cca64d1bdb79)

	* src/utils/conftree.cpp:
	explicitely detect lines beginning with #

2007-11-21 09:00 +0000  dockes  <dockes>  (2cb85a4bd555)

	* src/INSTALL, src/README:
	*** empty log message ***

2007-11-16 15:20 +0000  dockes  <dockes>  (1f90c7302746)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-11-16 14:28 +0000  dockes  <dockes>  (d7f21b7adf20)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/internfile/internfile.cpp, src/internfile/mimehandler.cpp,
	src/internfile/mimehandler.h:
	indexedmimetypes

2007-11-16 12:21 +0000  dockes  <dockes>  (8221e8f1ce4f)

	* src/query/wasastringtoquery.cpp, src/query/wasatorcl.cpp:
	very small effort to look like xesam simple query

2007-11-16 07:34 +0000  dockes  <dockes>  (1398d49de21d)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-11-16 07:19 +0000  dockes  <dockes>  (eedcef5d56b7)

	* src/qtgui/i18n/recoll_tr.ts:
	*** empty log message ***

2007-11-15 18:44 +0000  dockes  <dockes>  (99e585288200)

	* src/qtgui/preview_w.cpp:
	comment

2007-11-15 18:39 +0000  dockes  <dockes>  (1ee213030954)

	* src/qt4gui/q3richtext_p.h: new file.
	* src/qt4gui/q3richtext_p.h, src/qt4gui/recoll.pro.in:
	qt4 movetoanchor

2007-11-15 18:39 +0000  dockes  <dockes>  (335db8a5c8cb)

	* src/qtgui/i18n/recoll_it.ts:
	*** empty log message ***

2007-11-15 18:34 +0000  dockes  <dockes>  (b3bb7b017f2a)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	moveToAnchor qt4

2007-11-15 18:05 +0000  dockes  <dockes>  (1fe63dd4f268)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/recoll.pro.in:
	finally got anchors to work. qt3

2007-11-15 18:05 +0000  dockes  <dockes>  (3158e59fd92e)

	* src/qtgui/reslist.cpp:
	*** empty log message ***

2007-11-13 18:42 +0000  dockes  <dockes>  (1a7029e2dd4e)

	* src/doc/man/recoll.1:
	*** empty log message ***

2007-11-13 18:40 +0000  dockes  <dockes>  (a5a94cfbfa7d)

	* src/query/recollq.cpp:
	keep format constant

2007-11-13 18:40 +0000  dockes  <dockes>  (09f615e1a305)

	* src/doc/user/usermanual.sgml:
	text

2007-11-13 18:39 +0000  dockes  <dockes>  (ce5a12bb92bd)

	* tests/badsuffs1/badsuffs1.txt, tests/html/html.txt,
	tests/mail/mail.txt, tests/ooff/ooff.txt, tests/special/special.txt:
	1.10+small changes in dataset

2007-11-13 15:35 +0000  dockes  <dockes>  (3a8d3f5af0e8)

	* src/ChangeLog:
	*** empty log message ***

2007-11-13 15:34 +0000  dockes  <dockes>  (d23b6a94f4c0)

	* src/VERSION:
	1.10.0?

2007-11-13 10:07 +0000  dockes  <dockes>  (f3338fa8cb4e)

	* src/doc/man/recollq.1: new file.
	* src/doc/man/recollq.1:
	*** empty log message ***

2007-11-09 18:48 +0000  dockes  <dockes>  (7859ad070bfc)

	* src/qtgui/i18n/recoll_fr.ts:
	1.9 ?

2007-11-09 18:07 +0000  dockes  <dockes>  (557d4b9ce60a)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_tr.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/i18n/recoll_xx.ts:
	*** empty log message ***

2007-11-09 15:56 +0000  dockes  <dockes>  (2c201bdce017)

	* src/filters/rcltex:
	*** empty log message ***

2007-11-09 15:46 +0000  dockes  <dockes>  (7960c1dd4d0a)

	* src/kde/kioslave/recoll/00README.txt,
	src/kde/kioslave/recoll/Makefile,
	src/kde/kioslave/recoll/kio_recoll.cpp:
	get things to compile with recoll 1.9 and suse + kde 3.5.5

2007-11-09 13:44 +0000  dockes  <dockes>  (6196dbaf0aec)

	* src/sampleconf/mimeview:
	tex

2007-11-09 11:55 +0000  dockes  <dockes>  (10ce7112596d)

	* src/filters/rcltex: new file.
	* src/filters/rclmedia: deleted file.
	* src/filters/rclmedia, src/filters/rcltex, src/sampleconf/mimeconf,
	src/sampleconf/mimemap:
	added support for indexing TeX text

2007-11-09 11:54 +0000  dockes  <dockes>  (5a35ec87ecf2)

	* src/filters/rclid3:
	comments

2007-11-08 09:35 +0000  dockes  <dockes>  (bdde14acf3bd)

	* src/query/recollq.h: new file.
	* src/lib/Makefile, src/lib/mkMake, src/qtgui/main.cpp,
	src/qtgui/recoll.pro.in, src/query/Makefile, src/query/recollq.cpp,
	src/query/recollq.h:
	allow recoll to be used as a recollq driver

2007-11-08 09:34 +0000  dockes  <dockes>  (06e94674b8e2)

	* src/utils/execmd.cpp:
	include pthread

2007-11-08 09:34 +0000  dockes  <dockes>  (d6e84478935d)

	* src/rcldb/stemdb.cpp:
	debug

2007-11-08 09:32 +0000  dockes  <dockes>  (9f3349e7358b)

	* src/qt4gui/recoll.pro.in:
	turkish

2007-11-08 09:31 +0000  dockes  <dockes>  (cd6b8b7d2a36)

	* src/mk/OpenBSD:
	*** empty log message ***

2007-11-08 07:54 +0000  dockes  <dockes>  (6e986b6d1e64)

	* src/query/recollq.cpp:
	add -b option to only output url list

2007-11-06 11:55 +0000  dockes  <dockes>  (2b0e2fc0dd88)

	* src/qtgui/i18n/recoll_tr.ts: new file.
	* src/qtgui/i18n/recoll_tr.ts:
	*** empty log message ***

2007-10-27 16:40 +0000  dockes  <dockes>  (e8ac0b8f6c46)

	* src/rcldb/rcldb.cpp:
	comment

2007-10-27 08:40 +0000  dockes  <dockes>  (2ccaf4ef243e)

	* src/ChangeLog, src/qtgui/i18n/recoll_de.ts,
	src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-10-27 08:40 +0000  dockes  <dockes>  (e647e4592daa)

	* src/filters/rcluncomp:
	allow uncompressing suffix-less files

2007-10-27 08:40 +0000  dockes  <dockes>  (dc6d97a86685)

	* src/internfile/internfile.cpp:
	use pcSubst

2007-10-27 08:39 +0000  dockes  <dockes>  (54ba3ef75586)

	* src/rcldb/rcldb.cpp:
	adjust MatchDecider return type according to xapian version

2007-10-27 07:06 +0000  dockes  <dockes>  (54b798d7fa02)

	* src/qtgui/i18n/recoll_xx.ts:
	sent to ning

2007-10-26 10:42 +0000  dockes  <dockes>  (acfa4e6c24ba)

	* src/doc/user/usermanual.sgml:
	index config gui

2007-10-25 15:51 +0000  dockes  <dockes>  (12d12311134a)

	* src/qtgui/confgui/confguiindex.cpp:
	labels

2007-10-25 15:51 +0000  dockes  <dockes>  (2a1d29582446)

	* src/qtgui/confgui/confgui.cpp:
	use new style combobox constructor

2007-10-25 15:50 +0000  dockes  <dockes>  (8b45d32c605c)

	* src/internfile/mh_exec.h:
	cleanup

2007-10-25 08:04 +0000  dockes  <dockes>  (0bf8540b6c22)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-10-25 07:27 +0000  dockes  <dockes>  (5d57c38993af)

	* src/query/recollq.cpp, src/query/wasatorcl.cpp:
	added option to query language for filtering on directory

2007-10-25 07:09 +0000  dockes  <dockes>  (d1adc7006d08)

	* src/rcldb/rcldb.cpp:
	add filter topdir to query description

2007-10-24 15:38 +0000  dockes  <dockes>  (5f1863c33239)

	* src/rcldb/rcldb.cpp:
	use a Xapian MatchDecider to filter on dir path

2007-10-24 08:42 +0000  dockes  <dockes>  (2d337545271f)

	* src/rcldb/rcldb.cpp:
	make filter a xapian::MatchDecider, dont change mechanism

2007-10-19 15:25 +0000  dockes  <dockes>  (935a92d6db39)

	* src/qtgui/ssearch_w.cpp, src/utils/smallut.cpp:
	consider cr and lf as whitespace when splitting strings

2007-10-19 14:31 +0000  dockes  <dockes>  (bb88b5f4fc25)

	* src/qtgui/confgui/confgui.h, src/qtgui/confgui/confguiindex.cpp:
	small sizing adjustments

2007-10-18 10:39 +0000  dockes  <dockes>  (f34f0260a62a)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/reslist.cpp:
	let plaintorich do the chunking, easier to make sure we dont confuse
	textedit by cutting inside a tag

2007-10-18 10:15 +0000  dockes  <dockes>  (7c46f29559fe)

	* src/qtgui/confgui/confguiindex.cpp:
	qt3

2007-10-17 16:12 +0000  dockes  <dockes>  (41f711edeb0b)

	* src/qtgui/plaintorich.cpp:
	replaced utf8 cgj with good ole bel

2007-10-17 11:40 +0000  dockes  <dockes>  (102fcc4aa169)

	* src/internfile/mh_mail.cpp, src/internfile/mh_mail.h,
	src/utils/mimeparse.cpp:
	text/plain attachments were not transcoded to utf-8

2007-10-17 09:57 +0000  dockes  <dockes>  (dd33128e3a59)

	* src/common/rclconfig.cpp, src/internfile/internfile.cpp:
	*** empty log message ***

2007-10-15 13:08 +0000  dockes  <dockes>  (0a095e89bfb9)

	* src/kde/recoll_applet/0README.Recoll, src/kde/recoll_applet/AUTHORS,
	src/kde/recoll_applet/COPYING, src/kde/recoll_applet/ChangeLog,
	src/kde/recoll_applet/Doxyfile, src/kde/recoll_applet/INSTALL,
	src/kde/recoll_applet/Makefile.am,
	src/kde/recoll_applet/Makefile.cvs,
	src/kde/recoll_applet/Makefile.in, src/kde/recoll_applet/NEWS,
	src/kde/recoll_applet/README, src/kde/recoll_applet/TODO,
	src/kde/recoll_applet/acinclude.m4,
	src/kde/recoll_applet/aclocal.m4,
	src/kde/recoll_applet/admin/Doxyfile.am,
	src/kde/recoll_applet/admin/Doxyfile.global,
	src/kde/recoll_applet/admin/Makefile.common,
	src/kde/recoll_applet/admin/acinclude.m4.in,
	src/kde/recoll_applet/admin/am_edit,
	src/kde/recoll_applet/admin/bcheck.pl,
	src/kde/recoll_applet/admin/compile,
	src/kde/recoll_applet/admin/conf.change.pl,
	src/kde/recoll_applet/admin/config.guess,
	src/kde/recoll_applet/admin/config.pl,
	src/kde/recoll_applet/admin/config.sub,
	src/kde/recoll_applet/admin/configure.in.bot.end,
	src/kde/recoll_applet/admin/configure.in.min,
	src/kde/recoll_applet/admin/cvs.sh,
	src/kde/recoll_applet/admin/debianrules,
	src/kde/recoll_applet/admin/depcomp,
	src/kde/recoll_applet/admin/deps.am, src/kde/recoll_applet/admin
	/detect-autoconf.pl, src/kde/recoll_applet/admin/doxygen.sh,
	src/kde/recoll_applet/admin/install-sh,
	src/kde/recoll_applet/admin/libtool.m4.in,
	src/kde/recoll_applet/admin/ltmain.sh,
	src/kde/recoll_applet/admin/missing,
	src/kde/recoll_applet/admin/mkinstalldirs,
	src/kde/recoll_applet/admin/nmcheck,
	src/kde/recoll_applet/admin/oldinclude.m4.in,
	src/kde/recoll_applet/admin/pkg.m4.in,
	src/kde/recoll_applet/admin/ylwrap,
	src/kde/recoll_applet/config.h.in, src/kde/recoll_applet/configure,
	src/kde/recoll_applet/configure.files,
	src/kde/recoll_applet/configure.in,
	src/kde/recoll_applet/configure.in.in,
	src/kde/recoll_applet/doc/Makefile.am,
	src/kde/recoll_applet/doc/Makefile.in,
	src/kde/recoll_applet/doc/en/Makefile.am,
	src/kde/recoll_applet/doc/en/Makefile.in,
	src/kde/recoll_applet/doc/en/index.docbook,
	src/kde/recoll_applet/po/Makefile.am,
	src/kde/recoll_applet/po/Makefile.in,
	src/kde/recoll_applet/src/Makefile.am,
	src/kde/recoll_applet/src/Makefile.in,
	src/kde/recoll_applet/src/kpixmapcombo.cpp,
	src/kde/recoll_applet/src/kpixmapcombo.h,
	src/kde/recoll_applet/src/recoll_applet.cpp,
	src/kde/recoll_applet/src/recoll_applet.desktop,
	src/kde/recoll_applet/src/recoll_applet.h,
	src/kde/recoll_applet/src/recoll_applet.lsm,
	src/kde/recoll_applet/stamp-h.in, src/kde/recoll_applet/subdirs: new
	file.
	* src/kde/recoll_applet/0README.Recoll, src/kde/recoll_applet/AUTHORS,
	src/kde/recoll_applet/COPYING, src/kde/recoll_applet/ChangeLog,
	src/kde/recoll_applet/Doxyfile, src/kde/recoll_applet/INSTALL,
	src/kde/recoll_applet/Makefile.am,
	src/kde/recoll_applet/Makefile.cvs,
	src/kde/recoll_applet/Makefile.in, src/kde/recoll_applet/NEWS,
	src/kde/recoll_applet/README, src/kde/recoll_applet/TODO,
	src/kde/recoll_applet/acinclude.m4,
	src/kde/recoll_applet/aclocal.m4,
	src/kde/recoll_applet/admin/Doxyfile.am,
	src/kde/recoll_applet/admin/Doxyfile.global,
	src/kde/recoll_applet/admin/Makefile.common,
	src/kde/recoll_applet/admin/acinclude.m4.in,
	src/kde/recoll_applet/admin/am_edit,
	src/kde/recoll_applet/admin/bcheck.pl,
	src/kde/recoll_applet/admin/compile,
	src/kde/recoll_applet/admin/conf.change.pl,
	src/kde/recoll_applet/admin/config.guess,
	src/kde/recoll_applet/admin/config.pl,
	src/kde/recoll_applet/admin/config.sub,
	src/kde/recoll_applet/admin/configure.in.bot.end,
	src/kde/recoll_applet/admin/configure.in.min,
	src/kde/recoll_applet/admin/cvs.sh,
	src/kde/recoll_applet/admin/debianrules,
	src/kde/recoll_applet/admin/depcomp,
	src/kde/recoll_applet/admin/deps.am, src/kde/recoll_applet/admin
	/detect-autoconf.pl, src/kde/recoll_applet/admin/doxygen.sh,
	src/kde/recoll_applet/admin/install-sh,
	src/kde/recoll_applet/admin/libtool.m4.in,
	src/kde/recoll_applet/admin/ltmain.sh,
	src/kde/recoll_applet/admin/missing,
	src/kde/recoll_applet/admin/mkinstalldirs,
	src/kde/recoll_applet/admin/nmcheck,
	src/kde/recoll_applet/admin/oldinclude.m4.in,
	src/kde/recoll_applet/admin/pkg.m4.in,
	src/kde/recoll_applet/admin/ylwrap,
	src/kde/recoll_applet/config.h.in, src/kde/recoll_applet/configure,
	src/kde/recoll_applet/configure.files,
	src/kde/recoll_applet/configure.in,
	src/kde/recoll_applet/configure.in.in,
	src/kde/recoll_applet/doc/Makefile.am,
	src/kde/recoll_applet/doc/Makefile.in,
	src/kde/recoll_applet/doc/en/Makefile.am,
	src/kde/recoll_applet/doc/en/Makefile.in,
	src/kde/recoll_applet/doc/en/index.docbook,
	src/kde/recoll_applet/po/Makefile.am,
	src/kde/recoll_applet/po/Makefile.in,
	src/kde/recoll_applet/src/Makefile.am,
	src/kde/recoll_applet/src/Makefile.in,
	src/kde/recoll_applet/src/kpixmapcombo.cpp,
	src/kde/recoll_applet/src/kpixmapcombo.h,
	src/kde/recoll_applet/src/recoll_applet.cpp,
	src/kde/recoll_applet/src/recoll_applet.desktop,
	src/kde/recoll_applet/src/recoll_applet.h,
	src/kde/recoll_applet/src/recoll_applet.lsm,
	src/kde/recoll_applet/stamp-h.in, src/kde/recoll_applet/subdirs:
	*** empty log message ***

2007-10-14 16:07 +0000  dockes  <dockes>  (aea3ceac265d)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-10-09 14:08 +0000  dockes  <dockes>  (008fb8da2cfe)

	* src/qt4gui/recoll.pro.in, src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h, src/qtgui/idxthread.cpp,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/recoll.pro.in:
	indexing confgui seems to sort of work

2007-10-09 11:08 +0000  dockes  <dockes>  (8e165638db48)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h, src/qtgui/confgui/conflinkrcl.h,
	src/qtgui/confgui/main.cpp:
	*** empty log message ***

2007-10-09 09:43 +0000  dockes  <dockes>  (bda697547b28)

	* src/common/rclconfig.cpp, src/common/rclconfig.h:
	modified mechanism for confgui updates

2007-10-09 09:40 +0000  dockes  <dockes>  (314568630e50)

	* src/utils/conftree.h:
	*** empty log message ***

2007-10-07 20:22 +0000  dockes  <dockes>  (a4407de529dc)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confguiindex.cpp:
	*** empty log message ***

2007-10-06 07:44 +0000  dockes  <dockes>  (e12dcaba9422)

	* src/sampleconf/mimeconf:
	*** empty log message ***

2007-10-06 07:26 +0000  dockes  <dockes>  (8c03c83a6353)

	* src/ChangeLog, src/INSTALL, src/README, src/VERSION:
	*** empty log message ***

2007-10-06 07:13 +0000  dockes  <dockes>  (80c8e77d75e3)

	* src/qtgui/i18n/recoll_xx.ts: new file.
	* src/doc/user/usermanual.sgml, src/qtgui/i18n/recoll_xx.ts:
	*** empty log message ***

2007-10-05 14:00 +0000  dockes  <dockes>  (3f47738c7b7f)

	* src/query/wasatorcl.cpp:
	add rclcat prefix to query languages + adapt find_applet to use it

2007-10-05 08:03 +0000  dockes  <dockes>  (eb9ae456f872)

	* src/qtgui/main.cpp, src/qtgui/ssearch_w.cpp, src/qtgui/ssearch_w.h:
	add cmd line option to run query when starting

2007-10-04 12:26 +0000  dockes  <dockes>  (479712bd069b)

	* src/rcldb/searchdata.cpp:
	when search includes composite spans + other terms, increase slack
	instead of switching to word split

2007-10-04 12:21 +0000  dockes  <dockes>  (67c23cd41df2)

	* src/common/rclconfig.cpp, src/common/textsplit.cpp,
	src/common/textsplit.h:
	make cjk ngramlen configurable

2007-10-04 12:20 +0000  dockes  <dockes>  (e9e128bf43ab)

	* src/index/indexer.cpp:
	trace

2007-10-03 14:53 +0000  dockes  <dockes>  (b8852ea7a80c)

	* src/internfile/Makefile, src/internfile/mh_mbox.cpp,
	src/internfile/mh_mbox.h:
	Improve From_ line detection

2007-10-02 14:25 +0000  dockes  <dockes>  (3379ab8d9013)

	* src/doc/user/docbook.css, src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-10-02 14:22 +0000  dockes  <dockes>  (29a402a23d12)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	a few more image files

2007-10-02 14:00 +0000  dockes  <dockes>  (d0e7241eeb0e)

	* src/filters/rclflac, src/filters/rclogg: new file.
	* src/filters/rcljpeg: deleted file.
	* src/filters/rclflac, src/filters/rcljpeg, src/filters/rclogg:
	*** empty log message ***

2007-10-02 13:56 +0000  dockes  <dockes>  (e180ca729bea)

	* src/filters/rclimg:
	comments,GPL

2007-10-02 11:39 +0000  dockes  <dockes>  (7777fdc5d30a)

	* src/common/rclconfig.cpp, src/common/textsplit.cpp,
	src/common/textsplit.h:
	add flag to disable cjk processing

2007-10-01 17:56 +0000  dockes  <dockes>  (29b1aeb75d23)

	* src/filters/rclimg: new file.
	* src/filters/rclimg:
	initial version from Cedric Scott

2007-10-01 15:57 +0000  dockes  <dockes>  (b3aeb47d6a43)

	* src/utils/conftree.cpp:
	added updates/erase tests

2007-10-01 06:35 +0000  dockes  <dockes>  (b29617933c16)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp, src/qtgui/confgui/main.cpp,
	src/qtgui/confgui/trconf.pro:
	qt4 port

2007-10-01 06:19 +0000  dockes  <dockes>  (78068b236681)

	* src/VERSION, src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/qtgui/confgui/confgui.cpp, src/utils/conftree.cpp,
	src/utils/conftree.h:
	config update enabling functions

2007-09-29 09:06 +0000  dockes  <dockes>  (e38c26097ece)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h, src/qtgui/confgui/conflinkrcl.h,
	src/qtgui/confgui/main.cpp, src/qtgui/confgui/trconf.pro:
	*** empty log message ***

2007-09-27 15:47 +0000  dockes  <dockes>  (9ac07bf91591)

	* src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h, src/qtgui/confgui/conflinkrcl.h:
	new file.
	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/confguiindex.cpp,
	src/qtgui/confgui/confguiindex.h, src/qtgui/confgui/conflinkrcl.h,
	src/qtgui/confgui/main.cpp, src/qtgui/confgui/trconf.pro:
	*** empty log message ***

2007-09-27 11:03 +0000  dockes  <dockes>  (436530279a09)

	* src/utils/conftree.h:
	comment

2007-09-27 11:02 +0000  dockes  <dockes>  (a466c387c485)

	* src/utils/conftree.cpp, src/utils/conftree.h:
	avoid adding unneeded entries in confstack. fix erase-add resulting
	in duplicate

2007-09-26 12:16 +0000  dockes  <dockes>  (8e1e4edb4f4a)

	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/main.cpp, src/qtgui/confgui/trconf.pro: new file.
	* src/qtgui/confgui/confgui.cpp, src/qtgui/confgui/confgui.h,
	src/qtgui/confgui/main.cpp, src/qtgui/confgui/trconf.pro:
	*** empty log message ***

2007-09-22 08:51 +0000  dockes  <dockes>  (8072f3278663)

	* src/common/textsplit.cpp, src/utils/utf8iter.h:
	include assert.h when needed

2007-09-21 16:45 +0000  dockes  <dockes>  (d85479652341)

	* src/INSTALL, src/README, src/VERSION, src/doc/user/usermanual.sgml,
	src/qtgui/recoll.pro.in:
	*** empty log message ***

2007-09-20 12:22 +0000  dockes  <dockes>  (28a9c536ebba)

	* src/common/textsplit.cpp:
	logs

2007-09-20 08:45 +0000  dockes  <dockes>  (415256bd7508)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/utils/utf8iter.h:
	initial cjk support

2007-09-20 08:43 +0000  dockes  <dockes>  (66200ff61f31)

	* src/rcldb/searchdata.cpp:
	comments,formatting

2007-09-20 08:42 +0000  dockes  <dockes>  (750b59dea1e9)

	* src/qtgui/rclmain_w.cpp:
	restore cursor if cant start query

2007-09-18 20:35 +0000  dockes  <dockes>  (1d01904f2b55)

	* src/common/textsplit.cpp, src/common/textsplit.h:
	use m_ prefix for members

2007-09-18 20:34 +0000  dockes  <dockes>  (49381b7f40f6)

	* src/qt4gui/recoll.pro.in:
	add recoll_xx.ts

2007-09-18 07:01 +0000  dockes  <dockes>  (7dea06d57ada)

	* src/qtgui/i18n/recoll_it.ts:
	changes by Giovanni Cannizzaro

2007-09-11 08:23 +0000  dockes  <dockes>  (615a70a64b94 [RECOLL_1_9_0])

	* src/desktop/recoll-searchgui.desktop:
	desktop file corrected as per Kartik Mistry patch

2007-09-10 05:44 +0000  dockes  <dockes>  (78b0c9bd47bb)

	* src/qtgui/i18n/recoll_fr.ts:
	long menu labels cause pbs at least on macosx

2007-09-08 17:26 +0000  dockes  <dockes>  (ef2964b2e49e)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-09-08 17:25 +0000  dockes  <dockes>  (000b2b01844d)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/preview_w.cpp, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp:
	change hghlight text size limit to configurable value

2007-09-08 17:21 +0000  dockes  <dockes>  (c0ab1e961f0a)

	* src/qtgui/viewaction_w.cpp:
	added missing space in string

2007-09-08 17:21 +0000  dockes  <dockes>  (f70ce9c4c753)

	* src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp:
	renamed preferencesQuery_PrefsAction to queryPrefsAction

2007-09-08 17:19 +0000  dockes  <dockes>  (17eefeb77500 [RECOLL_1_9_1cjk2, RECOLL_1_9_1cjk1])

	* src/qtgui/plaintorich.cpp:
	comment

2007-09-08 09:44 +0000  dockes  <dockes>  (8aabe9bc2d85)

	* src/utils/readfile.cpp:
	small pb in solaris fix

2007-09-08 08:07 +0000  dockes  <dockes>  (4b862559adbb)

	* src/mk/SunOS, src/utils/pathut.cpp, src/utils/readfile.cpp:
	SunOS 2.8 fixes

2007-09-07 14:58 +0000  dockes  <dockes>  (f0b17af1f5d7)

	* src/configure, src/configure.ac:
	always add lz to lxapian

2007-09-07 12:39 +0000  dockes  <dockes>  (b10ac30fe130)

	* website/CHANGES.txt:
	*** empty log message ***

2007-09-07 08:05 +0000  dockes  <dockes>  (f031116372e8)

	* src/rcldb/rcldb.cpp:
	improve purge error message printing

2007-09-07 08:04 +0000  dockes  <dockes>  (276b259f9ec6)

	* src/qtgui/i18n/recoll_it.ts:
	new 1.9 translation by C. Rigamont

2007-09-07 08:04 +0000  dockes  <dockes>  (450e1342467c)

	* src/sampleconf/mimemap:
	fix wordperfect spurious extensions

2007-09-07 08:03 +0000  dockes  <dockes>  (624a100107be [RECOLL_1_9_1cjk])

	* website/BUGS.txt:
	update xapian near to 1.0.2

2007-09-07 08:03 +0000  dockes  <dockes>  (a0d360caf71e)

	* website/copydocs:
	to_mac

2007-09-01 19:12 +0000  dockes  <dockes>  (3ebdb5af664f)

	* src/qt4gui/recoll.pro.in, src/qtgui/i18n/recoll_de.ts,
	src/qtgui/recoll.pro.in:
	*** empty log message ***

2007-08-31 09:04 +0000  dockes  <dockes>  (32533d0d11d0)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h:
	pressing CR in advsearch would run query twice because of start
	autodefault

2007-08-31 07:23 +0000  dockes  <dockes>  (bb17fa4cfaca)

	* src/qtgui/images/d_firstpage.png, src/qtgui/images/firstpage.png:
	new file.
	* src/qtgui/images/d_firstpage.png, src/qtgui/images/firstpage.png:
	*** empty log message ***

2007-08-30 10:11 +0000  dockes  <dockes>  (c75b5f42b33d)

	* src/INSTALL, src/README, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-08-30 10:00 +0000  dockes  <dockes>  (7c4ccceae2a7)

	* website/BUGS.txt, website/CHANGES.txt, website/download.html,
	website/features.html:
	*** empty log message ***

2007-08-30 09:01 +0000  dockes  <dockes>  (687cad7b46de)

	* src/doc/user/usermanual.sgml, src/index/indexer.cpp,
	src/index/indexer.h, src/index/rclmonrcv.cpp,
	src/sampleconf/recoll.conf.in, src/utils/fstreewalk.cpp,
	src/utils/fstreewalk.h:
	add followLinks option

2007-08-30 08:39 +0000  dockes  <dockes>  (6af3a2216074)

	* src/doc/user/usermanual.sgml:
	add followLinks option

2007-08-28 08:12 +0000  dockes  <dockes>  (6385c6a9c88e)

	* src/index/indexer.cpp:
	allow symlinks in topdirs

2007-08-28 08:08 +0000  dockes  <dockes>  (a3df89087437)

	* src/utils/fstreewalk.cpp, src/utils/fstreewalk.h:
	follow top (entry) symlinks even if nofollow is set

2007-08-28 08:07 +0000  dockes  <dockes>  (19ac4f90b7e7)

	* src/internfile/internfile.cpp:
	error msg

2007-08-26 13:52 +0000  dockes  <dockes>  (fa08f95a4d95)

	* src/doc/user/usermanual.sgml:
	add wordperfect ext app info

2007-08-26 13:34 +0000  dockes  <dockes>  (ac877cc2e3ad)

	* src/filters/rclwpd: new file.
	* src/filters/rclwpd, src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	added wordperfect support

2007-08-26 13:34 +0000  dockes  <dockes>  (7472abcdbc4a)

	* src/sampleconf/recoll.conf.in:
	add commented entries for daem*

2007-08-07 08:45 +0000  dockes  <dockes>  (ad6dad566902)

	* src/qtgui/rclmain_w.cpp:
	*** empty log message ***

2007-08-07 08:42 +0000  dockes  <dockes>  (2040417c73e4)

	* src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp:
	qt3 adjustments

2007-08-07 08:26 +0000  dockes  <dockes>  (55c7dc79c190)

	* src/aspell/rclaspell.cpp, src/sampleconf/recoll.conf.in:
	*** empty log message ***

2007-08-05 05:55 +0000  dockes  <dockes>  (3acd192c01d1)

	* src/utils/conftree.h:
	comments

2007-08-05 05:49 +0000  dockes  <dockes>  (afee970ae166)

	* src/utils/conftree.h:
	*** empty log message ***

2007-08-04 07:22 +0000  dockes  <dockes>  (9afb2050f462)

	* src/utils/conftree.cpp, src/utils/conftree.h:
	Allow updates in confstacks

2007-08-03 07:50 +0000  dockes  <dockes>  (28ae2e572dcf)

	* src/utils/Makefile, src/utils/conftree.cpp, src/utils/conftree.h:
	have conftree preserve comments and ordering

2007-08-02 06:33 +0000  dockes  <dockes>  (4da8b2dbcaa6)

	* src/qt4gui/recoll.qrc, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp, src/qtgui/recoll.pro.in,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	added gotofirstpage action

2007-08-01 10:04 +0000  dockes  <dockes>  (c91831fab8a0)

	* src/qtgui/guiutils.h, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/ssearch_w.cpp,
	src/qtgui/uiprefs_w.cpp, src/qtgui/uiprefs_w.h,
	src/rcldb/stemdb.cpp, src/rcldb/stemdb.h:
	Allow stem expansion for several (all) stemming languages at a time

2007-08-01 07:55 +0000  dockes  <dockes>  (5d13d87e6e14)

	* src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/uiprefs_w.cpp,
	src/qtgui/uiprefs_w.h:
	allow setting stemlang from prefs menu

2007-07-20 14:50 +0000  dockes  <dockes>  (573069870fd4)

	* src/configure, src/configure.ac:
	check for uic3 during qt4 configure

2007-07-20 14:43 +0000  dockes  <dockes>  (32ae47904cca)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	preview: dont search for anchors if we have none

2007-07-20 14:32 +0000  dockes  <dockes>  (eac614c9a725)

	* src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	*** empty log message ***

2007-07-20 11:44 +0000  dockes  <dockes>  (6133f68f886f)

	* src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h:
	factorize previewNext/Prev

2007-07-20 11:38 +0000  dockes  <dockes>  (4dfc3942351a)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h:
	more preview window interface cleanup

2007-07-20 10:55 +0000  dockes  <dockes>  (d57bd5e6cb2d)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/rclmain_w.cpp:
	cleaned up preview window interface

2007-07-14 16:53 +0000  dockes  <dockes>  (35087158d61f)

	* src/common/autoconfig.h.in, src/configure, src/configure.ac,
	src/mk/AIX, src/mk/Darwin, src/mk/Linux, src/mk/SunOS,
	src/utils/execmd.cpp:
	handle putenv arg constness in configure

2007-07-13 10:24 +0000  dockes  <dockes>  (98774298901d)

	* src/INSTALL, src/README, src/doc/man/recoll.conf.5,
	src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts,
	website/BUGS.txt, website/CHANGES.txt, website/download.html:
	*** empty log message ***

2007-07-13 07:17 +0000  dockes  <dockes>  (d2c5a6098bbd)

	* src/doc/user/docbook.css, src/doc/user/usermanual.sgml:
	1.9 changes

2007-07-13 07:10 +0000  dockes  <dockes>  (2569115962c0)

	* src/qtgui/uiprefs.ui:
	msg

2007-07-13 07:00 +0000  dockes  <dockes>  (2bd0371b8e12)

	* src/qtgui/plaintorich.cpp:
	adjust term beacon for better finding ?

2007-07-13 06:31 +0000  dockes  <dockes>  (f7d41e95166c)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/rclmain_w.cpp:
	better handle preview close during load

2007-07-12 17:28 +0000  dockes  <dockes>  (5b6f1204d077)

	* src/rcldb/rcldb.cpp:
	*** empty log message ***

2007-07-12 17:13 +0000  dockes  <dockes>  (9345d3db5ff2)

	* src/filters/rclpdf:
	dont use anchored regexps for stripping whitespace, ubuntu mawk
	ignores the anchor

2007-07-12 13:41 +0000  dockes  <dockes>  (1fb4e582fe5b)

	* src/utils/cancelcheck.h:
	*** empty log message ***

2007-07-12 10:53 +0000  dockes  <dockes>  (eb352f6c17ae)

	* src/index/rclmonrcv.cpp, src/utils/fstreewalk.cpp,
	src/utils/fstreewalk.h:
	monitor: dont add watch on created dir if in skippedXXX

2007-07-12 10:13 +0000  dockes  <dockes>  (d55862505674)

	* src/ChangeLog, src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/uiprefs.ui, src/qtgui/uiprefs_w.cpp:
	fix v1.8 default format string if we find it

2007-07-12 08:34 +0000  dockes  <dockes>  (b69b14b67cd2)

	* src/rcldb/rcldb.cpp:
	use uniform code for Xapian exception catching + catch a few more,
	esp. databaseModified cases

2007-07-12 08:23 +0000  dockes  <dockes>  (ffe9a12f9237)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/reslist.cpp,
	src/qtgui/uiprefs.ui, src/qtgui/uiprefs_w.cpp:
	icon now part of paragraph format

2007-07-11 10:05 +0000  dockes  <dockes>  (a8d4da32f304)

	* src/qtgui/reslist.cpp:
	dont create popup in irrelevant areas

2007-07-10 09:24 +0000  dockes  <dockes>  (993776d69bab)

	* src/sampleconf/recoll.conf.in:
	idxflushnb default 10

2007-07-10 09:23 +0000  dockes  <dockes>  (e800d4e4d1de)

	* src/doc/man/recollindex.1, src/index/indexer.cpp,
	src/index/indexer.h, src/index/recollindex.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/rcldb.h:
	recollindex -l

2007-07-10 05:44 +0000  dockes  <dockes>  (7247df0336ab)

	* src/sampleconf/recoll.conf.in:
	*** empty log message ***

2007-07-09 17:21 +0000  dockes  <dockes>  (ef8eddb1b94a)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-07-01 06:52 +0000  dockes  <dockes>  (03cb707d9122)

	* src/filters/rclid3: new file.
	* src/filters/rclid3, src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	audio tags support improvement: flac+ogg. use FORPREVIEW

2007-06-26 17:07 +0000  dockes  <dockes>  (ec5b66db8aea)

	* src/qtgui/i18n/recoll_de.ts, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_it.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-06-26 16:58 +0000  dockes  <dockes>  (34658791397a)

	* *** empty log message ***

2007-06-26 16:58 +0000  dockes  <dockes>  (26a811724423)

	* packaging/rpm/recollCooker.spec, website/fr/features.html,
	website/mario.png, website/perfs.html, website/smile.png: new file.
	* packaging/rpm/recollCooker.spec, src/doc/user/usermanual.sgml,
	website/BUGS.txt, website/CHANGES.txt, website/credits.html,
	website/doc.html, website/download.html, website/features.html,
	website/fr/features.html, website/index.html.en,
	website/index.html.fr, website/mario.png, website/perfs.html,
	website/rclidxfmt.html, website/smile.png, website/styles/style.css:
	*** empty log message ***

2007-06-26 16:09 +0000  dockes  <dockes>  (d4a3058d613e)

	* src/internfile/internfile.cpp, src/internfile/internfile.h:
	comments

2007-06-26 16:08 +0000  dockes  <dockes>  (7115d37ab33d)

	* src/configure, src/configure.ac, src/mk/Darwin,
	src/qtgui/reslist.cpp, src/recollinstall.in:
	get things to sort of compile / install on macosx

2007-06-26 15:38 +0000  dockes  <dockes>  (02621fd62ca0)

	* src/ChangeLog: new file.
	* src/ChangeLog:
	*** empty log message ***

2007-06-26 11:59 +0000  dockes  <dockes>  (51061217635d)

	* src/excludefile, src/makesrcdist.sh:
	small mkdist fixes

2007-06-25 18:31 +0000  dockes  <dockes>  (5f173fcd227f)

	* src/INSTALL, src/README:
	*** empty log message ***

2007-06-25 10:25 +0000  dockes  <dockes>  (048658cd678b)

	* src/rcldb/rcldb.cpp:
	simplified and hopefully improved abstract generation

2007-06-25 10:13 +0000  dockes  <dockes>  (14ecb9d719e7)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/reslist.cpp:
	plaintorich: only setup beacons if needed

2007-06-22 06:14 +0000  dockes  <dockes>  (0584daa67e7c)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/query/wasatorcl.cpp, src/rcldb/rcldb.cpp,
	src/rcldb/searchdata.cpp, src/sampleconf/mimeconf:
	handle mime: and ext: in qlang

2007-06-21 11:56 +0000  dockes  <dockes>  (e5102468f77e)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	slightly reorganized Db::close/~Db code

2007-06-21 11:14 +0000  dockes  <dockes>  (e360a50fdaa5)

	* src/common/rclconfig.cpp:
	beware of unsigneds diffs when comparing to 0 !

2007-06-20 13:16 +0000  dockes  <dockes>  (e515c5541bd4)

	* src/qtgui/preview_w.cpp, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/query/history.cpp, src/query/history.h:
	menu entry to reset document history

2007-06-19 16:19 +0000  dockes  <dockes>  (675d2fed7a32)

	* src/qtgui/rclmain_w.cpp, src/qtgui/sort_w.cpp:
	fix sort state restoration which didnt work

2007-06-19 15:48 +0000  dockes  <dockes>  (36fa1c12d616)

	* src/rcldb/rcldb.cpp:
	try to better print delete exception messages

2007-06-19 15:47 +0000  dockes  <dockes>  (304862edc545)

	* src/query/xadump.cpp:
	option X

2007-06-19 15:47 +0000  dockes  <dockes>  (23a728d3cdd7)

	* src/query/recollq.cpp:
	compile

2007-06-19 12:27 +0000  dockes  <dockes>  (5ee1b5e9168e)

	* src/internfile/internfile.cpp, src/internfile/internfile.h:
	get test driver to compile

2007-06-19 12:17 +0000  dockes  <dockes>  (8974a52d2baa)

	* src/internfile/htmlparse.h, src/internfile/mh_html.cpp,
	src/internfile/myhtmlparse.cpp, src/internfile/myhtmlparse.h:
	renamed the html charset values to stick to omega usage

2007-06-19 10:28 +0000  dockes  <dockes>  (e66870aeadb6)

	* src/internfile/htmlparse.cpp, src/internfile/htmlparse.h,
	src/internfile/myhtmlparse.cpp, src/internfile/myhtmlparse.h:
	updated html parser to omega 1.0.1 + moved entity decoder to
	myhtmlparse to minimize amount of diffs

2007-06-19 08:36 +0000  dockes  <dockes>  (e2533617731d)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/internfile/internfile.cpp, src/internfile/mh_html.cpp,
	src/internfile/myhtmlparse.cpp, src/internfile/myhtmlparse.h,
	src/qtgui/preview_w.cpp, src/qtgui/reslist.cpp, src/query/docseq.h,
	src/query/docseqdb.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/rcldoc.h, src/rcldb/searchdata.cpp,
	src/sampleconf/mimeconf:
	added open-ended field name handling

2007-06-19 07:52 +0000  dockes  <dockes>  (73ccb629ad66)

	* src/common/autoconfig.h.in, src/configure, src/configure.ac,
	src/index/csguess.cpp, src/utils/transcode.cpp:
	added test for iconv parm 2 constness

2007-06-18 13:04 +0000  dockes  <dockes>  (bb1262134776)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h, src/rcldb/searchdata.cpp,
	src/sampleconf/mimeconf:
	implement dynamic field name to prefix translation, query side

2007-06-15 11:41 +0000  dockes  <dockes>  (5eccc05a2ae7)

	* src/filters/rclabw, src/filters/rclsoff, src/sampleconf/mimeconf,
	src/sampleconf/mimemap, src/sampleconf/mimeview:
	added abiword + some oofice cleanup

2007-06-15 09:25 +0000  dockes  <dockes>  (f5b1666a10e6)

	* src/filters/rclabw: new file.
	* src/filters/rclabw:
	*** empty log message ***

2007-06-14 08:20 +0000  dockes  <dockes>  (dc698e7b3c84)

	* src/rcldb/rcldb.cpp:
	removed the "weak" date, not used and not in omega anymore

2007-06-13 17:03 +0000  dockes  <dockes>  (3d509dbc275c)

	* src/qtgui/reslist.cpp:
	textedit autext sometimes switched to plain at eol?

2007-06-12 13:31 +0000  dockes  <dockes>  (793abec1cee4)

	* src/qtgui/plaintorich.cpp, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h, src/qtgui/rclmain_w.cpp,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	somewhat fixed qt4 selection problems

2007-06-12 10:33 +0000  dockes  <dockes>  (261ca6c11087)

	* src/qtgui/ssearch_w.cpp:
	adjust event handling for qt4, get esc-spc to work

2007-06-12 10:32 +0000  dockes  <dockes>  (97c9f158e297)

	* src/qtgui/plaintorich.cpp:
	comments

2007-06-12 08:50 +0000  dockes  <dockes>  (28d503078074)

	* src/qtgui/rclmain_w.cpp:
	*** empty log message ***

2007-06-12 08:46 +0000  dockes  <dockes>  (d3f305e57522)

	* src/query/recollq.cpp:
	getMainConfig

2007-06-11 08:33 +0000  dockes  <dockes>  (5542196b466a)

	* src/qtgui/rclmain_w.cpp:
	set busy cursor while search runs

2007-06-11 05:51 +0000  dockes  <dockes>  (bf5090aed2fd)

	* src/Makefile.in:
	*** empty log message ***

2007-06-11 05:49 +0000  dockes  <dockes>  (9327b736d7ff)

	* src/Makefile.in, src/qt4gui/uifrom3:
	*** empty log message ***

2007-06-11 05:45 +0000  dockes  <dockes>  (cbb602782461)

	* src/desktop/recoll.png, src/desktop/recoll.xcf: new file.
	* src/desktop/recoll-searchgui.png, src/desktop/recoll-searchgui.xcf:
	deleted file.
	* src/desktop/recoll-searchgui.desktop, src/desktop/recoll-
	searchgui.png, src/desktop/recoll-searchgui.xcf,
	src/desktop/recoll.png, src/desktop/recoll.xcf,
	src/makestaticdist.sh, src/recollinstall.in:
	icon named recoll.png

2007-06-11 05:38 +0000  dockes  <dockes>  (9268fba2c65c)

	* src/index/indexer.cpp:
	changed level of missing helpers message

2007-06-10 12:26 +0000  dockes  <dockes>  (f5b6dcd36de0)

	* src/mk/OpenBSD: new file.
	* src/mk/OpenBSD:
	*** empty log message ***

2007-06-08 16:47 +0000  dockes  <dockes>  (96f2807957dd)

	* src/common/rclconfig.h, src/index/indexer.cpp,
	src/index/recollindex.cpp, src/mk/FreeBSD, src/qtgui/main.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	added file system usage check

2007-06-08 16:46 +0000  dockes  <dockes>  (0c11deb1a678)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-06-08 16:46 +0000  dockes  <dockes>  (4f2c0d45e15b)

	* src/desktop/recoll-searchgui.desktop, src/desktop/recoll-
	searchgui.png, src/desktop/recoll-searchgui.xcf:
	new icon

2007-06-08 16:05 +0000  dockes  <dockes>  (6835d2fbb56c)

	* src/rcldb/rcldb.h:
	comments and ordering

2007-06-08 15:30 +0000  dockes  <dockes>  (aeffac1f3f2d)

	* src/utils/pathut.cpp, src/utils/pathut.h:
	fsocc

2007-06-08 14:01 +0000  dockes  <dockes>  (7c47d8aae3cc)

	* src/filters/rclkwd: new file.
	* src/filters/rclkwd, src/sampleconf/mimeview:
	kword support

2007-06-08 13:51 +0000  dockes  <dockes>  (53a1012a564f)

	* src/filters/rcldjvu, src/filters/rcldoc, src/filters/rcldvi,
	src/filters/rclgaim, src/filters/rcljpeg, src/filters/rcllyx,
	src/filters/rclman, src/filters/rclmedia, src/filters/rclpdf,
	src/filters/rclppt, src/filters/rclps, src/filters/rclrtf,
	src/filters/rclscribus, src/filters/rclsoff, src/filters/rclxls,
	src/filters/recfiltcommon, src/sampleconf/mimeconf,
	src/sampleconf/mimemap:
	kword support

2007-06-08 12:33 +0000  dockes  <dockes>  (a56bc180327b)

	* src/query/recollq.cpp:
	added stopfile parameter

2007-06-08 12:32 +0000  dockes  <dockes>  (7b3710f69cd0)

	* src/filters/rcljpeg: new file.
	* src/filters/rcljpeg, src/sampleconf/mimeconf:
	rcljpeg

2007-06-08 12:31 +0000  dockes  <dockes>  (0b20447d105e)

	* src/common/rclconfig.cpp:
	improve message about bad config

2007-06-02 08:30 +0000  dockes  <dockes>  (dfa3e5682035)

	* src/rcldb/Makefile, src/rcldb/stoplist.cpp, src/rcldb/stoplist.h:
	new file.
	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/index/indexer.cpp, src/lib/Makefile, src/lib/mkMake,
	src/qtgui/main.cpp, src/rcldb/Makefile, src/rcldb/rcldb.cpp,
	src/rcldb/rcldb.h, src/rcldb/searchdata.cpp, src/rcldb/stoplist.cpp,
	src/rcldb/stoplist.h, src/utils/readfile.cpp, src/utils/readfile.h:
	minimal experimental stopword functionality

2007-06-01 05:44 +0000  dockes  <dockes>  (b9f3d4b61852)

	* src/qtgui/preview_w.cpp:
	preview: space and backspace bound to pgdown/pgup

2007-05-30 12:31 +0000  dockes  <dockes>  (105744d9f609)

	* src/index/indexer.cpp, src/internfile/mh_html.cpp,
	src/internfile/mh_html.h, src/qtgui/plaintorich.cpp,
	src/query/xadump.cpp, src/utils/transcode.cpp:
	improve transcode error printing

2007-05-30 12:30 +0000  dockes  <dockes>  (d4fa167018eb)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-05-30 12:30 +0000  dockes  <dockes>  (6027fd8afb12)

	* src/rcldb/rcldb.cpp:
	improve add_document error message printing

2007-05-30 12:29 +0000  dockes  <dockes>  (234dc300c26b)

	* src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	escape possibly not html-safe text

2007-05-24 09:35 +0000  dockes  <dockes>  (ec684a070c43)

	* src/rcldb/stemdb.cpp:
	comment

2007-05-24 07:48 +0000  dockes  <dockes>  (deedeff93a6e)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/sort_w.cpp,
	src/qtgui/uiprefs.ui, src/qtgui/uiprefs_w.cpp:
	optionally remember sorting state between invocations

2007-05-24 07:47 +0000  dockes  <dockes>  (e6bb3bced970)

	* src/configure, src/configure.ac, src/qt4gui/uifrom3:
	make uifrom3 a makefile

2007-05-23 09:19 +0000  dockes  <dockes>  (4f9ab7436818)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview.ui, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h:
	in preview window if search line empty look for search terms

2007-05-23 08:29 +0000  dockes  <dockes>  (644c4e20106b)

	* src/internfile/internfile.cpp:
	*** empty log message ***

2007-05-23 08:28 +0000  dockes  <dockes>  (1927522b5826)

	* src/common/rclinit.cpp, src/utils/execmd.cpp:
	cant block sigcld globally cause qt needs it

2007-05-22 08:33 +0000  dockes  <dockes>  (2c0d94ae674a)

	* src/internfile/internfile.cpp, src/internfile/mh_html.cpp:
	let email attachments inherit date and author from parent message

2007-05-22 07:40 +0000  dockes  <dockes>  (fc644359e793)

	* src/index/indexer.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	implemented adjustable indexing flush threshold

2007-05-21 14:26 +0000  dockes  <dockes>  (d70d7b6988f0)

	* src/qtgui/rclmain_w.cpp:
	reopen db for each search during query

2007-05-21 13:30 +0000  dockes  <dockes>  (7f65a405e028)

	* src/common/rclinit.cpp, src/common/rclinit.h,
	src/index/rclmonprc.cpp, src/index/rclmonrcv.cpp,
	src/index/recollindex.cpp, src/qtgui/idxthread.cpp,
	src/qtgui/main.cpp, src/rcldb/rcldb.cpp, src/utils/execmd.cpp,
	src/utils/execmd.h:
	make sure signals are only handled by the main thread. Fix bus error
	on rclmon exit (double delete)

2007-05-21 12:03 +0000  dockes  <dockes>  (7af2d0c361be)

	* src/utils/smallut.h:
	*** empty log message ***

2007-05-21 09:00 +0000  dockes  <dockes>  (9ee50650bd6f)

	* src/index/indexer.cpp, src/index/rclmonprc.cpp:
	better handle aspell errors: dont exit from monitor on aux db
	creation failure, and dont retry forever

2007-05-21 07:24 +0000  dockes  <dockes>  (53f18ed9c2f8)

	* src/VERSION, src/configure, src/configure.ac,
	src/doc/user/usermanual.sgml, src/qt4gui/uifrom3,
	src/sampleconf/recoll.conf.in:
	removed --enable-qt4, rely on qmake output instead

2007-05-21 06:46 +0000  dockes  <dockes>  (d6267bb0e30f)

	* website/BUGS.txt, website/CHANGES.txt, website/devel.html,
	website/doc.html, website/download.html, website/index.html.en,
	website/index.html.fr:
	*** empty log message ***

2007-05-19 07:32 +0000  dockes  <dockes>  (cbbd4158e0a8)

	* website/doc.html: new file.
	* website/doc.html:
	*** empty log message ***

2007-05-18 12:05 +0000  dockes  <dockes>  (75610b300ee1 [RECOLL_1_8_2])

	* src/recollinstall.in:
	qt4 install glitches

2007-05-18 11:16 +0000  dockes  <dockes>  (c9a0be6210be)

	* src/README:
	*** empty log message ***

2007-05-18 07:49 +0000  dockes  <dockes>  (eaf500145dd5)

	* src/VERSION:
	1.8.2

2007-05-18 07:49 +0000  dockes  <dockes>  (fc64434e87c0)

	* packaging/debian/changelog, tests/runtests.sh, website/BUGS.txt,
	website/CHANGES.txt, website/download.html:
	*** empty log message ***

2007-05-18 07:41 +0000  dockes  <dockes>  (6bec0784b8fd)

	* src/doc/user/usermanual.sgml:
	doc fix

2007-05-18 07:41 +0000  dockes  <dockes>  (022d354a0a2f)

	* src/sampleconf/recoll.conf.in:
	add .beagle to stops

2007-05-18 07:41 +0000  dockes  <dockes>  (451a13663a00)

	* src/rcldb/rcldb.cpp, src/rcldb/stemdb.cpp:
	change method name deprecated in xap 1.0

2007-05-18 07:40 +0000  dockes  <dockes>  (54bfc83a6186)

	* src/query/Makefile:
	*** empty log message ***

2007-05-18 07:40 +0000  dockes  <dockes>  (ef599af3e2e7)

	* src/configure.ac:
	use $libdir instead of /usr/lib (64bits machs)

2007-05-16 11:28 +0000  dockes  <dockes>  (2cced3d0aa32)

	* src/qtgui/i18n/recoll_it.ts:
	*** empty log message ***

2007-04-22 07:36 +0000  dockes  <dockes>  (8628fca949e7)

	* src/qtgui/i18n/recoll_de.ts: new file.
	* src/qtgui/i18n/recoll_de.ts:
	*** empty log message ***

2007-03-28 19:30 +0000  dockes  <dockes>  (51c5bdb227cd)

	* website/BUGS.txt, website/download.html, website/index.html.en,
	website/index.html.fr:
	*** empty log message ***

2007-03-08 12:24 +0000  dockes  <dockes>  (0efcbb1564f2)

	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo:
	1.8.1

2007-03-08 12:04 +0000  dockes  <dockes>  (813c82bcc951 [RECOLL_1_8_1])

	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/FreeBSD/recoll/pkg-
	plist, packaging/debian/changelog, packaging/rpm/recoll.spec,
	packaging/rpm/recollfedora.spec, packaging/rpm/recollmdk.spec,
	src/VERSION, src/makestaticdist.sh, website/BUGS.txt,
	website/CHANGES.txt, website/download.html:
	version 1.8.1 ?

2007-02-20 09:30 +0000  dockes  <dockes>  (817cdab71c1c [RECOLL_1_8_0])

	* src/recollinstall.in:
	go back to not using xdg

2007-02-20 07:57 +0000  dockes  <dockes>  (d1f1b31e4a58)

	* website/index.html.en, website/index.html.fr: new file.
	* website/index.html: deleted file.
	* packaging/debian/changelog, website/BUGS.txt, website/CHANGES.txt,
	website/credits.html, website/download.html, website/features.html,
	website/index.html, website/index.html.en, website/index.html.fr:
	*** empty log message ***

2007-02-20 07:43 +0000  dockes  <dockes>  (1f4b07f4cb62)

	* src/qtgui/recoll.pro.in:
	*** empty log message ***

2007-02-20 07:33 +0000  dockes  <dockes>  (dc922603c639)

	* src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_it.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2007-02-20 07:19 +0000  dockes  <dockes>  (d6b63dc759cd)

	* src/INSTALL, src/README:
	*** empty log message ***

2007-02-19 18:15 +0000  dockes  <dockes>  (a1331ff143f7)

	* src/qtgui/preview_w.cpp, src/qtgui/preview_w.h:
	make shift-arrow in preview work with qt4 and avoid reentrancy while
	loading a file

2007-02-19 18:14 +0000  dockes  <dockes>  (66c79bcff30e)

	* src/utils/execmd.cpp:
	block sigcld, it sometimes causes eintrs during the select() call

2007-02-19 18:05 +0000  dockes  <dockes>  (db9e1830a040)

	* src/internfile/internfile.cpp:
	check file name not empty on return from uncomp exec

2007-02-19 16:28 +0000  dockes  <dockes>  (19982a948347)

	* src/qtgui/spell_w.cpp:
	stemming language choice was not observed in term explorer

2007-02-19 16:10 +0000  dockes  <dockes>  (26815f6c7ce0)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h:
	cleanup ign file types handling/saving

2007-02-14 15:02 +0000  dockes  <dockes>  (714300cb7780)

	* tests/empty/empty.sh, tests/empty/empty.txt, tests/html/html.sh,
	tests/html/html.txt, tests/images/images.sh,
	tests/images/images.txt, tests/koi8r/koi8r.sh,
	tests/koi8r/koi8r.txt, tests/mail/mail.sh, tests/mail/mail.txt,
	tests/notypes/notypes.sh, tests/notypes/notypes.txt,
	tests/rfc2231/rfc2231.sh, tests/rfc2231/rfc2231.txt,
	tests/special/special.sh, tests/special/special.txt,
	tests/txt/txt.sh, tests/txt/txt.txt, tests/utf8/utf8.sh,
	tests/utf8/utf8.txt: new file.
	* tests/empty/empty.sh, tests/empty/empty.txt, tests/html/html.sh,
	tests/html/html.txt, tests/images/images.sh,
	tests/images/images.txt, tests/koi8r/koi8r.sh,
	tests/koi8r/koi8r.txt, tests/lyx/lyx.txt, tests/mail/mail.sh,
	tests/mail/mail.txt, tests/notypes/notypes.sh,
	tests/notypes/notypes.txt, tests/rfc2231/rfc2231.sh,
	tests/rfc2231/rfc2231.txt, tests/special/special.sh,
	tests/special/special.txt, tests/txt/txt.sh, tests/txt/txt.txt,
	tests/utf8/utf8.sh, tests/utf8/utf8.txt:
	*** empty log message ***

2007-02-14 11:52 +0000  dockes  <dockes>  (b3f3859ce5e5)

	* tests/boolean/boolean.sh, tests/boolean/boolean.txt,
	tests/delete/delete.sh, tests/delete/delete.txt,
	tests/dirwithblanks/dirwithblanks.sh,
	tests/dirwithblanks/dirwithblanks.txt, tests/djvu/djvu.sh,
	tests/djvu/djvu.txt, tests/dvi/dvi.sh, tests/dvi/dvi.txt,
	tests/lyx/lyx.sh, tests/lyx/lyx.txt, tests/media/media.sh,
	tests/media/media.txt, tests/msword/msword.sh,
	tests/msword/msword.txt, tests/ooff/ooff.sh, tests/ooff/ooff.txt,
	tests/pdf/pdf.sh, tests/pdf/pdf.txt, tests/postscript/postscript.sh,
	tests/postscript/postscript.txt, tests/ppt/ppt.sh,
	tests/ppt/ppt.txt, tests/rtf/rtf.sh, tests/rtf/rtf.txt,
	tests/scribus/scribus.sh, tests/scribus/scribus.txt,
	tests/xls/xls.sh, tests/xls/xls.txt: new file.
	* tests/Maildir1/Maildir1.txt, tests/andor/andor.txt,
	tests/badsuffs1/badsuffs1.txt, tests/boolean/boolean.sh,
	tests/boolean/boolean.txt, tests/delete/delete.sh,
	tests/delete/delete.txt, tests/dirwithblanks/dirwithblanks.sh,
	tests/dirwithblanks/dirwithblanks.txt, tests/djvu/djvu.sh,
	tests/djvu/djvu.txt, tests/dvi/dvi.sh, tests/dvi/dvi.txt,
	tests/lyx/lyx.sh, tests/lyx/lyx.txt, tests/media/media.sh,
	tests/media/media.txt, tests/msword/msword.sh,
	tests/msword/msword.txt, tests/ooff/ooff.sh, tests/ooff/ooff.txt,
	tests/pdf/pdf.sh, tests/pdf/pdf.txt, tests/postscript/postscript.sh,
	tests/postscript/postscript.txt, tests/ppt/ppt.sh,
	tests/ppt/ppt.txt, tests/rtf/rtf.sh, tests/rtf/rtf.txt,
	tests/scribus/scribus.sh, tests/scribus/scribus.txt,
	tests/shared.sh, tests/skipped/skipped.sh,
	tests/skipped/skipped.txt, tests/xls/xls.sh, tests/xls/xls.txt:
	*** empty log message ***

2007-02-14 10:10 +0000  dockes  <dockes>  (04c3156fd4dd)

	* src/doc/user/usermanual.sgml, src/makestaticdist.sh,
	src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp, src/recollinstall.in,
	src/sampleconf/mimeview:
	add user pref to use xdg-open for all document edits

2007-02-14 10:09 +0000  dockes  <dockes>  (7886dd99d419)

	* src/rcldb/rcldb.cpp:
	during indexing use simple file name as title if this is empty. This
	allows storing the sfn for subdocs for which the url sfn doesnt make
	sense as title

2007-02-14 10:08 +0000  dockes  <dockes>  (fb42e10e5a7b)

	* src/query/recollq.cpp:
	adjust format to help the test set scripts

2007-02-14 08:54 +0000  dockes  <dockes>  (5e02666b38db)

	* src/desktop/xdg-utils-1.0.1/scripts/xdg-open: new file.
	* src/desktop/xdg-utils-1.0.1/scripts/xdg-open:
	*** empty log message ***

2007-02-14 08:16 +0000  dockes  <dockes>  (eb0fd52ef15a)

	* tests/Maildir/Maildir.sh, tests/Maildir/Maildir.txt,
	tests/Maildir1/Maildir1.sh, tests/Maildir1/Maildir1.txt,
	tests/andor/andor.sh, tests/andor/andor.txt,
	tests/badsuffs/badsuffs.sh, tests/badsuffs/badsuffs.txt,
	tests/badsuffs1/badsuffs1.sh, tests/badsuffs1/badsuffs1.txt,
	tests/runtests.sh, tests/shared.sh, tests/skipped/skipped.sh,
	tests/skipped/skipped.txt: new file.
	* tests/Maildir/Maildir.sh, tests/Maildir/Maildir.txt,
	tests/Maildir1/Maildir1.sh, tests/Maildir1/Maildir1.txt,
	tests/andor/andor.sh, tests/andor/andor.txt,
	tests/badsuffs/badsuffs.sh, tests/badsuffs/badsuffs.txt,
	tests/badsuffs1/badsuffs1.sh, tests/badsuffs1/badsuffs1.txt,
	tests/runtests.sh, tests/shared.sh, tests/skipped/skipped.sh,
	tests/skipped/skipped.txt:
	*** empty log message ***

2007-02-13 10:58 +0000  dockes  <dockes>  (19c29e100995)

	* src/query/wasatorcl.cpp, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h:
	propagate wasa nostem modifier

2007-02-12 18:16 +0000  dockes  <dockes>  (bf3060f2e259)

	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h:
	add wasabi modifiers

2007-02-12 18:14 +0000  dockes  <dockes>  (6ae625065d64)

	* src/qtgui/guiutils.cpp:
	dont set Helvetica as default font

2007-02-08 17:05 +0000  dockes  <dockes>  (f23e18da0362)

	* src/index/indexer.cpp, src/index/indexer.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/qtgui/preview_w.cpp, src/utils/smallut.cpp, src/utils/smallut.h:
	improve handling of missing helpers messages

2007-02-08 17:03 +0000  dockes  <dockes>  (f53e952b71cd)

	* src/filters/rcldvi:
	typos

2007-02-08 12:25 +0000  dockes  <dockes>  (ba982598a66f)

	* src/internfile/internfile.h, src/query/recollq.cpp:
	clarify temp dir usage in internfile

2007-02-08 09:03 +0000  dockes  <dockes>  (876ec27bd9c0)

	* src/qtgui/reslist.cpp, src/qtgui/uiprefs_w.cpp,
	src/qtgui/uiprefs_w.h:
	qt4 compilation glitches

2007-02-07 17:18 +0000  dockes  <dockes>  (2f05854b010a)

	* src/filters/injectcommon.sh, src/filters/recfiltcommon: new file.
	* src/filters/injectcommon.sh, src/filters/recfiltcommon:
	*** empty log message ***

2007-02-07 17:17 +0000  dockes  <dockes>  (39e4d9e07461)

	* src/recoll.desktop, src/recoll.png, src/recoll.xcf: deleted file.
	* src/recoll.desktop, src/recoll.png, src/recoll.xcf,
	src/recollinstall.in:
	use xdg scripts to install desktop file and icon

2007-02-07 17:17 +0000  dockes  <dockes>  (3161a2dabc0a)

	* src/common/rclconfig.cpp, src/doc/user/usermanual.sgml:
	dont autocreate config specified with -c or RECOLL_CONFDIR

2007-02-07 16:31 +0000  dockes  <dockes>  (f89cbedba93f)

	* src/desktop/recoll-searchgui.desktop, src/desktop/recoll-
	searchgui.png, src/desktop/recoll-searchgui.xcf, src/desktop/xdg-
	utils-1.0.1/LICENSE, src/desktop/xdg-utils-1.0.1/scripts/xdg-
	desktop-menu, src/desktop/xdg-utils-1.0.1/scripts/xdg-icon-resource:
	new file.
	* src/desktop/recoll-searchgui.desktop, src/desktop/recoll-
	searchgui.png, src/desktop/recoll-searchgui.xcf, src/desktop/xdg-
	utils-1.0.1/LICENSE, src/desktop/xdg-utils-1.0.1/scripts/xdg-
	desktop-menu, src/desktop/xdg-utils-1.0.1/scripts/xdg-icon-resource,
	src/query/recollq.cpp:
	*** empty log message ***

2007-02-07 16:31 +0000  dockes  <dockes>  (2494c5157c22)

	* src/aspell/rclaspell.cpp:
	improve db creation error message

2007-02-07 12:00 +0000  dockes  <dockes>  (3c02ca709886)

	* src/query/recollq.cpp: new file.
	* src/query/Makefile, src/query/recollq.cpp, src/query/wasatorcl.cpp,
	src/query/wasatorcl.h:
	recollq

2007-02-06 18:01 +0000  dockes  <dockes>  (1992c71741c0)

	* src/index/indexer.cpp, src/internfile/internfile.cpp,
	src/internfile/internfile.h, src/internfile/mh_exec.cpp,
	src/qtgui/preview_w.cpp:
	arrange for error info about missing helpers to trickle up to the
	user

2007-02-06 18:01 +0000  dockes  <dockes>  (d5e12cec5aeb)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap:
	added config+filter for man pages

2007-02-06 15:08 +0000  dockes  <dockes>  (ef2eef3c33e9)

	* src/filters/rclman: new file.
	* src/filters/rcldjvu, src/filters/rcldoc, src/filters/rcldvi,
	src/filters/rclgaim, src/filters/rcllyx, src/filters/rclman,
	src/filters/rclmedia, src/filters/rclpdf, src/filters/rclppt,
	src/filters/rclps, src/filters/rclrtf, src/filters/rclscribus,
	src/filters/rclsoff, src/filters/rclxls:
	factored out filter script common code

2007-02-06 14:18 +0000  dockes  <dockes>  (7812fc3157a4)

	* src/common/rclconfig.cpp, src/utils/pathut.cpp, src/utils/pathut.h:
	make sure the -c argument is turned absolute before use

2007-02-06 10:19 +0000  dockes  <dockes>  (243d1fffdfb9)

	* src/qtgui/ssearch_w.cpp:
	no space in query -> phrase

2007-02-06 10:18 +0000  dockes  <dockes>  (d1b8dd6a7182)

	* src/qtgui/reslist.cpp:
	try to make sure that the old reslist is cleared while searching

2007-02-06 10:18 +0000  dockes  <dockes>  (24163d1804e5)

	* src/qt4gui/uifrom3:
	link images/ from qtgui to qt4gui

2007-02-03 16:46 +0000  dockes  <dockes>  (d27849ad572f)

	* website/styles/style.css:
	*** empty log message ***

2007-02-02 10:27 +0000  dockes  <dockes>  (3c82d463b36c)

	* src/doc/user/usermanual.sgml:
	add skippedPaths and daemSkippedPaths config variables

2007-02-02 10:12 +0000  dockes  <dockes>  (0232602ba055)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/index/indexer.cpp, src/index/rclmonrcv.cpp,
	src/utils/fstreewalk.cpp:
	add skippedPaths and daemSkippedPaths config variables

2007-02-02 10:10 +0000  dockes  <dockes>  (12a2a255dedc)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	sort and uniquify termMatch results out of stem expansion

2007-02-02 10:09 +0000  dockes  <dockes>  (344b11ebced1)

	* src/index/recollindex.cpp:
	do x11 check between sleeping and starting in recollindex -m

2007-02-02 10:06 +0000  dockes  <dockes>  (3a9bb20130c8)

	* src/doc/user/usermanual-italian.html: new file.
	* src/doc/user/usermanual-italian.html, src/qtgui/i18n/recoll_it.ts:
	*** empty log message ***

2007-02-02 10:06 +0000  dockes  <dockes>  (9a6092dbecea)

	* src/lib/Makefile, src/lib/mkMake:
	fix $(depth) usage for easier kio compilation

2007-02-02 10:05 +0000  dockes  <dockes>  (a645eeae729a)

	* src/doc/user/usermanual.sgml:
	added config examples

2007-02-02 10:01 +0000  dockes  <dockes>  (a0640e49ab3a)

	* src/recollinstall.in:
	removed old filter in examples cleanup

2007-02-01 15:01 +0000  dockes  <dockes>  (db53657c868d)

	* src/aspell/rclaspell.cpp, src/mk/localdefs.in:
	use configure libdir to search for aspell lib (mainly for 64 bits
	machines)

2007-02-01 12:43 +0000  dockes  <dockes>  (7f3d33405e53)

	* src/kde/kioslave/recoll/Makefile,
	src/kde/kioslave/recoll/kio_recoll.cpp:
	fixed kio compilation. Dont know if it works

2007-01-30 11:39 +0000  dockes  <dockes>  (1aa8e8c3d93a)

	* src/filters/rcldjvu, src/filters/rcldoc, src/filters/rcldvi,
	src/filters/rclpdf, src/filters/rclps, src/filters/rclrtf,
	src/filters/rclsoff:
	hide awk BEGIN statements - make debian linda happy

2007-01-29 13:51 +0000  dockes  <dockes>  (f207a83f0617)

	* src/rcldb/searchdata.cpp:
	more field name synonyms

2007-01-25 15:50 +0000  dockes  <dockes>  (ba53fd450dc5)

	* src/rcldb/searchdata.cpp, src/rcldb/searchdata.h:
	better wildcards handling. Tuning of user term boosting

2007-01-25 15:47 +0000  dockes  <dockes>  (026e24e9aafc)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-01-25 15:47 +0000  dockes  <dockes>  (31cd60d81a3a)

	* src/rcldb/rcldb.cpp:
	dont explicitely anchor regexp in termMatch

2007-01-25 15:46 +0000  dockes  <dockes>  (8c7afe9df6fb)

	* src/qtgui/ssearch_w.cpp:
	Dont add auto phrase if there are wildcards

2007-01-25 15:45 +0000  dockes  <dockes>  (d35369f54699)

	* src/query/wasatorcl.cpp:
	comment

2007-01-25 15:40 +0000  dockes  <dockes>  (2d7b13ebd2c8)

	* src/common/textsplit.cpp:
	[] are also wildcard chars

2007-01-25 12:04 +0000  dockes  <dockes>  (27310036f46c)

	* src/qtgui/i18n/recoll_it.ts:
	*** empty log message ***

2007-01-25 08:27 +0000  dockes  <dockes>  (876d5192bdde)

	* src/qtgui/i18n/recoll_it.ts: new file.
	* src/qtgui/i18n/recoll_it.ts:
	*** empty log message ***

2007-01-24 12:40 +0000  dockes  <dockes>  (dd470677dbf2)

	* src/qtgui/guiutils.cpp:
	make AND the initial default for ssearch

2007-01-24 11:20 +0000  dockes  <dockes>  (623c6533e0f0)

	* src/qtgui/uiprefs.ui, src/qtgui/viewaction.ui:
	change MyDialog and Form1 dialog captions

2007-01-24 11:15 +0000  dockes  <dockes>  (9dc93d749ea8)

	* src/filters/rclscribus:
	transate \r to <br> (for older scribus files)

2007-01-24 11:00 +0000  dockes  <dockes>  (7ea73b206760)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap:
	scribus scd files

2007-01-23 07:23 +0000  dockes  <dockes>  (0f9e96c72d1c)

	* src/filters/rcllyx:
	*** empty log message ***

2007-01-23 07:22 +0000  dockes  <dockes>  (5fc9550be90c)

	* src/filters/rcllyx:
	*** empty log message ***

2007-01-23 07:16 +0000  dockes  <dockes>  (55734c5d16c2)

	* src/filters/rcllyx:
	*** empty log message ***

2007-01-23 07:14 +0000  dockes  <dockes>  (dafabbcdaf1a)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap,
	src/sampleconf/mimeview:
	lyx filter

2007-01-23 07:14 +0000  dockes  <dockes>  (d5ac3c0cf64f)

	* src/filters/rcllyx: new file.
	* src/filters/rcllyx:
	lyx filter

2007-01-22 16:34 +0000  dockes  <dockes>  (e76e39a890d0)

	* src/sampleconf/mimeconf, src/sampleconf/mimemap:
	added scribus support

2007-01-22 16:32 +0000  dockes  <dockes>  (0b142f40e0c7)

	* src/filters/rclscribus: new file.
	* src/filters/rclscribus:
	added scribus support

2007-01-21 16:41 +0000  dockes  <dockes>  (8e06e0f7914e)

	* src/filters/rclsoff:
	fix shell syntax for debian

2007-01-19 15:22 +0000  dockes  <dockes>  (084098d57a50)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/query/docseq.h, src/query/docseqdb.cpp, src/query/docseqdb.h,
	src/query/docseqhist.h, src/query/sortseq.cpp, src/query/sortseq.h:
	try to limit the places which use Rcl:: stuff

2007-01-19 15:19 +0000  dockes  <dockes>  (1d1bdf98f176)

	* src/rcldb/stemdb.cpp:
	make sure that both the user term and the stem are in the expanded
	list

2007-01-19 10:32 +0000  dockes  <dockes>  (757f49c23d93)

	* src/query/docseqdb.cpp, src/query/docseqdb.h,
	src/query/docseqhist.cpp, src/query/docseqhist.h: new file.
	* src/lib/Makefile, src/lib/mkMake, src/qtgui/rclmain_w.cpp,
	src/qtgui/reslist.cpp, src/qtgui/ssearch_w.cpp,
	src/query/docseq.cpp, src/query/docseq.h, src/query/docseqdb.cpp,
	src/query/docseqdb.h, src/query/docseqhist.cpp,
	src/query/docseqhist.h, src/query/sortseq.cpp, src/query/sortseq.h:
	cleanup docseq, arrange things so that we can page reslist past the
	initial result count estimate if there are more

2007-01-19 10:23 +0000  dockes  <dockes>  (d4ecd356406a)

	* src/rcldb/searchdata.cpp:
	the relevance-boosted original term needs a prefix too

2007-01-19 10:23 +0000  dockes  <dockes>  (cacb9b50f1cf)

	* src/rcldb/rcldb.cpp:
	adjust makeAbstract for prefixed terms

2007-01-19 10:22 +0000  dockes  <dockes>  (95d569102c37)

	* src/query/wasatorcl.cpp, src/query/wasatorcl.h:
	add direct qstring to rcl function

2007-01-18 14:23 +0000  dockes  <dockes>  (157d8676b256)

	* src/utils/mimeparse.cpp:
	debug msg

2007-01-18 12:09 +0000  dockes  <dockes>  (b0647b310dec)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/rcldb/searchdata.cpp:
	handle wildcards in search terms

2007-01-17 14:06 +0000  dockes  <dockes>  (65d2617d690c)

	* src/query/Makefile, src/query/wasatorcl.cpp:
	*** empty log message ***

2007-01-17 13:53 +0000  dockes  <dockes>  (82c00cf9d054)

	* src/internfile/internfile.cpp, src/internfile/mh_html.cpp,
	src/internfile/mh_mail.cpp, src/internfile/myhtmlparse.cpp,
	src/internfile/myhtmlparse.h, src/lib/Makefile, src/lib/mkMake,
	src/query/Makefile, src/query/wasastringtoquery.cpp,
	src/query/wasastringtoquery.h, src/query/wasatorcl.cpp,
	src/rcldb/rcldb.cpp, src/rcldb/rcldoc.h, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h:
	added field/prefixes for author and title + command line query
	language

2007-01-16 10:58 +0000  dockes  <dockes>  (f56d8a303798)

	* src/sampleconf/recoll.conf.in:
	add recollrc to skipped

2007-01-16 10:58 +0000  dockes  <dockes>  (a28d7ea5359b)

	* website/BUGS.txt, website/CHANGES.txt, website/download.html,
	website/index.html:
	1.7.5

2007-01-16 10:58 +0000  dockes  <dockes>  (83b10dc2e5ea)

	* src/bincimapmime/trbinc.cc, src/utils/debuglog.cpp:
	wrong copyrights

2007-01-16 10:56 +0000  dockes  <dockes>  (e51d7ee21ffd)

	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/rpm/recoll.spec,
	packaging/rpm/recollfedora.spec, packaging/rpm/recollmdk.spec:
	1.7.5 packaging

2007-01-16 09:22 +0000  dockes  <dockes>  (7f8fea3bed13)

	* packaging/debian/manpages: deleted file.
	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/copyright, packaging/debian/manpages,
	packaging/debian/rules:
	2007-01-12 comments

2007-01-15 19:16 +0000  dockes  <dockes>  (740528a1cd7d)

	* packaging/debian/dirs: deleted file.
	* packaging/debian/dirs:
	*** empty log message ***

2007-01-15 13:06 +0000  dockes  <dockes>  (12e31e690f9e)

	* src/internfile/internfile.cpp, src/internfile/internfile.h:
	dont stop processing a complex document on the first next_document
	error: pop level and go on

2007-01-15 13:03 +0000  dockes  <dockes>  (6d3f8a71e602)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2007-01-13 15:21 +0000  dockes  <dockes>  (b04adc5188d5)

	* src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/uiprefs.ui,
	src/qtgui/uiprefs_w.cpp, src/qtgui/uiprefs_w.h:
	improved external index dialog with listview

2007-01-13 14:41 +0000  dockes  <dockes>  (f9567f0fed32)

	* src/query/xadump.cpp:
	add option to dump raw terms

2007-01-13 10:28 +0000  dockes  <dockes>  (fc890008108f)

	* src/internfile/mh_mail.cpp:
	handle multipart/signed

2007-01-12 09:01 +0000  dockes  <dockes>  (1782d39f9d4d)

	* src/qtgui/reslist.cpp:
	Use sample from Rcl::Doc if makeAbstract() fails

2007-01-12 06:42 +0000  dockes  <dockes>  (8223a4aa9ad4)

	* packaging/debian/copyright:
	include gpl statement

2007-01-10 16:03 +0000  dockes  <dockes>  (66247acdb470)

	* packaging/debian/changelog, packaging/debian/compat,
	packaging/debian/control, packaging/debian/copyright,
	packaging/debian/dirs, packaging/debian/docs,
	packaging/debian/manpages, packaging/debian/menu,
	packaging/debian/rules, packaging/debian/watch: new file.
	* packaging/debian/changelog, packaging/debian/compat,
	packaging/debian/control, packaging/debian/copyright,
	packaging/debian/dirs, packaging/debian/docs,
	packaging/debian/manpages, packaging/debian/menu,
	packaging/debian/rules, packaging/debian/watch, src/Makefile.in,
	src/VERSION:
	*** empty log message ***

2007-01-10 12:27 +0000  dockes  <dockes>  (733bc11b5526)

	* packaging/FreeBSD/recoll/Makefile:
	*** empty log message ***

2007-01-09 15:34 +0000  dockes  <dockes>  (9583ff723edf [RECOLL_1_7_3])

	* packaging/rpm/recollfedora.spec: new file.
	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/FreeBSD/recoll/pkg-
	descr, packaging/FreeBSD/recoll/pkg-plist,
	packaging/rpm/recoll.spec, packaging/rpm/recollfedora.spec,
	packaging/rpm/recollmdk.spec:
	1.7.3

2007-01-09 14:39 +0000  dockes  <dockes>  (f108471cd099)

	* website/BUGS.txt, website/CHANGES.txt, website/download.html:
	1.7.3

2007-01-09 07:25 +0000  dockes  <dockes>  (e0c1d14a73c5)

	* src/VERSION:
	*** empty log message ***

2007-01-09 07:25 +0000  dockes  <dockes>  (f06dbc019ff4)

	* src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts:
	french messages

2007-01-08 15:21 +0000  dockes  <dockes>  (906e56e99e81)

	* src/VERSION, src/qtgui/main.cpp:
	initial indexation with gui would not work

2007-01-08 13:00 +0000  dockes  <dockes>  (44d2b5d58ac6 [RECOLL_1_7_1])

	* src/VERSION:
	1.7.1

2007-01-08 12:43 +0000  dockes  <dockes>  (2cb748432b10)

	* src/qtgui/advsearch.ui:
	lost sizers?

2007-01-08 10:11 +0000  dockes  <dockes>  (67c4375292e5)

	* src/qtgui/rclmain_w.cpp:
	fix the previous icon fix

2007-01-08 10:01 +0000  dockes  <dockes>  (8eb24fe9db4f)

	* src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	reslist menu openParent opens containing folder if not a subdoc

2007-01-08 09:40 +0000  dockes  <dockes>  (b38401a650c3)

	* src/qtgui/uiprefs.ui:
	fix resizing of prefs dialog

2007-01-08 07:02 +0000  dockes  <dockes>  (5a2fb87a2c55)

	* src/qtgui/rclmain_w.cpp:
	get rid of messages about missing d_xxx images

2007-01-08 07:01 +0000  dockes  <dockes>  (8a2c6d2cba46)

	* src/qtgui/reslist.cpp:
	synthetic abstracts not displayed

2006-12-24 08:07 +0000  dockes  <dockes>  (e42dca990bea [RECOLL_1_7_0])

	* src/Makefile.in:
	better cleanup -> 1.7.0 NOW

2006-12-24 08:02 +0000  dockes  <dockes>  (916d6e831996 [RECOLL_1_7_2])

	* packaging/FreeBSD/recoll/pkg-plist, src/excludefile,
	website/BUGS.txt, website/CHANGES.txt, website/download.html,
	website/features.html, website/index.html, website/pics/index.html,
	website/rclidxfmt.html:
	1.7.0

2006-12-24 07:53 +0000  dockes  <dockes>  (b37a6e3566b9)

	* src/INSTALL, src/README, src/doc/user/usermanual.sgml:
	*** empty log message ***

2006-12-24 07:40 +0000  dockes  <dockes>  (69573fe97b89)

	* src/configure, src/configure.ac, src/doc/man/recollindex.1,
	src/doc/user/usermanual.sgml, src/index/rclmon.h,
	src/index/rclmonprc.cpp, src/index/recollindex.cpp:
	option -x to disable x11 session monitoring

2006-12-23 13:07 +0000  dockes  <dockes>  (fb731b7d3ab1)

	* src/configure, src/configure.ac, src/index/Makefile,
	src/index/rclmonprc.cpp, src/lib/Makefile, src/lib/mkMake,
	src/mk/localdefs.in, src/utils/pathut.cpp:
	x11 session end detection

2006-12-23 12:23 +0000  dockes  <dockes>  (00532204c17f)

	* src/utils/x11mon.cpp, src/utils/x11mon.h: new file.
	* src/utils/Makefile, src/utils/x11mon.cpp, src/utils/x11mon.h:
	*** empty log message ***

2006-12-22 16:48 +0000  dockes  <dockes>  (ee878b9d311e)

	* src/qt4gui/recoll.qrc, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp, src/qtgui/spell_w.cpp:
	get all icons out of .ui files to avoid qt4 startup messages

2006-12-22 11:01 +0000  dockes  <dockes>  (078acb3ab4fd)

	* src/doc/man/recollindex.1, src/doc/user/usermanual.sgml,
	src/qtgui/spell_w.h:
	*** empty log message ***

2006-12-21 10:08 +0000  dockes  <dockes>  (d36d26d5b5d5)

	* src/index/rclmonprc.cpp:
	try to be more responsive to interruptions

2006-12-21 09:22 +0000  dockes  <dockes>  (818387de5d92)

	* src/index/indexer.cpp, src/index/rclmonrcv.cpp,
	src/index/recollindex.cpp, src/sampleconf/mimemap,
	src/utils/fstreewalk.cpp:
	always skip indexing of confdir and dbdir. start index monitor with
	normal indexing pass

2006-12-21 09:21 +0000  dockes  <dockes>  (13c7229ee6dc)

	* src/qtgui/advsearch.ui, src/qtgui/ssearchb.ui:
	tooltips

2006-12-21 08:22 +0000  dockes  <dockes>  (c1e9892c3ba1)

	* src/utils/fstreewalk.cpp, src/utils/fstreewalk.h:
	add skipped paths

2006-12-20 14:28 +0000  dockes  <dockes>  (f580e9aa026a)

	* src/internfile/internfile.cpp:
	msg

2006-12-20 14:09 +0000  dockes  <dockes>  (e3d7f975546f)

	* src/qtgui/preview_w.cpp:
	try to improve error message for internfile failure

2006-12-20 13:55 +0000  dockes  <dockes>  (0a07075dd464)

	* src/qtgui/preview_w.cpp, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	reslist: added menu entry to see parent doc of attachment

2006-12-20 13:12 +0000  dockes  <dockes>  (733a59947cfb)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp,
	src/qtgui/advsearch_w.h, src/qtgui/guiutils.cpp,
	src/qtgui/guiutils.h, src/sampleconf/mimeconf:
	mime categories

2006-12-20 10:47 +0000  dockes  <dockes>  (591625eb1d38)

	* src/INSTALL, src/README:
	*** empty log message ***

2006-12-20 09:54 +0000  dockes  <dockes>  (c563fb138893)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/doc/user/usermanual.sgml, src/index/mimetype.cpp:
	changed stopsuffixes processing

2006-12-20 09:41 +0000  dockes  <dockes>  (64488c2687be)

	* src/index/recollindex.cpp:
	opt -e

2006-12-19 12:38 +0000  dockes  <dockes>  (6d4a0c0f8cc3)

	* src/qtgui/spell_w.cpp:
	qt4

2006-12-19 12:11 +0000  dockes  <dockes>  (a3e7c86f79d7)

	* src/qtgui/spell.ui, src/qtgui/spell_w.cpp, src/qtgui/spell_w.h,
	src/qtgui/ssearch_w.cpp, src/qtgui/viewaction.ui,
	src/qtgui/viewaction_w.cpp, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/searchdata.cpp, src/rcldb/stemdb.cpp, src/rcldb/stemdb.h,
	src/utils/smallut.cpp, src/utils/smallut.h:
	merge stemExpand into termExpand. return term frequencies from there
	and display in spellW

2006-12-19 08:40 +0000  dockes  <dockes>  (3bbff3062a89)

	* src/common/rclconfig.cpp, src/index/indexer.cpp,
	src/index/mimetype.cpp, src/index/mimetype.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/internfile/mimehandler.cpp, src/qtgui/preview_w.cpp,
	src/sampleconf/mimeconf, src/sampleconf/mimeview:
	index directory names

2006-12-19 07:48 +0000  dockes  <dockes>  (7301c237649a)

	* src/qtgui/mtpics/folder.png: new file.
	* src/qtgui/mtpics/folder.png:
	*** empty log message ***

2006-12-18 16:45 +0000  dockes  <dockes>  (0a640477a752)

	* src/qt4gui/recoll.pro.in, src/qtgui/viewaction.ui,
	src/qtgui/viewaction_w.cpp, src/qtgui/viewaction_w.h:
	qt4

2006-12-18 12:06 +0000  dockes  <dockes>  (5f17ab347621)

	* src/doc/user/usermanual.sgml, src/internfile/mh_mail.cpp,
	src/utils/smallut.cpp, src/utils/smallut.h:
	mh_mail needs to lowercase contentypes

2006-12-18 12:05 +0000  dockes  <dockes>  (03363b562546)

	* src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/viewaction_w.cpp, src/qtgui/viewaction_w.h:
	dblclick to edit in viewAction

2006-12-16 15:39 +0000  dockes  <dockes>  (a3027dd4b920)

	* src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/internfile/mh_html.h, src/internfile/mh_mail.cpp,
	src/internfile/mh_mail.h, src/internfile/mh_text.h,
	src/internfile/mimehandler.h, src/qtgui/main.cpp,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h:
	mail attachments sort of ok

2006-12-16 15:31 +0000  dockes  <dockes>  (7d335e595c2b)

	* src/utils/pathut.cpp, src/utils/pathut.h:
	added TempFile class

2006-12-16 15:30 +0000  dockes  <dockes>  (89fed05a6ace)

	* src/internfile/Filter.h:
	*** empty log message ***

2006-12-16 15:30 +0000  dockes  <dockes>  (5f74c84fa800)

	* src/index/indexer.cpp:
	dont clobber utf8fn from filter

2006-12-16 15:30 +0000  dockes  <dockes>  (b5f77fb6530b)

	* src/common/rclconfig.cpp, src/common/rclconfig.h:
	added getSuffixFromMimeType()

2006-12-16 07:15 +0000  dockes  <dockes>  (ef72575e285c)

	* src/internfile/Filter.h:
	*** empty log message ***

2006-12-15 16:33 +0000  dockes  <dockes>  (df6232340341)

	* src/index/indexer.cpp, src/internfile/Filter.h,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/internfile/mh_html.cpp, src/internfile/mh_mail.cpp,
	src/internfile/mh_mail.h, src/internfile/myhtmlparse.h:
	test data indexing result same terms as 1.6.3

2006-12-15 12:40 +0000  dockes  <dockes>  (5156a319f219)

	* src/internfile/Filter.h, src/internfile/mh_mbox.cpp,
	src/internfile/mh_mbox.h: new file.
	* src/internfile/Filter.h, src/internfile/Makefile,
	src/internfile/internfile.cpp, src/internfile/internfile.h,
	src/internfile/mh_exec.cpp, src/internfile/mh_exec.h,
	src/internfile/mh_html.cpp, src/internfile/mh_html.h,
	src/internfile/mh_mail.cpp, src/internfile/mh_mail.h,
	src/internfile/mh_mbox.cpp, src/internfile/mh_mbox.h,
	src/internfile/mh_text.cpp, src/internfile/mh_text.h,
	src/internfile/mh_unknown.h, src/internfile/mimehandler.cpp,
	src/internfile/mimehandler.h, src/internfile/myhtmlparse.h,
	src/lib/Makefile, src/lib/mkMake, src/utils/smallut.cpp,
	src/utils/smallut.h:
	Dijon filters 1st step: mostly working needs check and optim

2006-12-14 14:54 +0000  dockes  <dockes>  (2f7d4fb90b31)

	* src/rcldb/rcldoc.h: new file.
	* src/rcldb/rcldb.h, src/rcldb/rcldoc.h:
	split rcldb.h -> rcldoc.h

2006-12-14 13:53 +0000  dockes  <dockes>  (839454238284)

	* src/qtgui/viewaction.ui, src/qtgui/viewaction_w.cpp,
	src/qtgui/viewaction_w.h, src/sampleconf/mimeview: new file.
	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/doc/user/usermanual.sgml, src/index/indexer.cpp,
	src/qtgui/preview_w.cpp, src/qtgui/rclmain_w.cpp,
	src/qtgui/recoll.pro.in, src/qtgui/ssearch_w.cpp,
	src/qtgui/uiprefs.ui, src/qtgui/uiprefs_w.cpp,
	src/qtgui/uiprefs_w.h, src/qtgui/viewaction.ui,
	src/qtgui/viewaction_w.cpp, src/qtgui/viewaction_w.h,
	src/recollinstall.in, src/sampleconf/mimeconf,
	src/sampleconf/mimeview, src/utils/Makefile, src/utils/conftree.cpp,
	src/utils/conftree.h, src/utils/execmd.cpp, src/utils/execmd.h,
	src/utils/pathut.cpp, src/utils/pathut.h, src/utils/smallut.cpp,
	src/utils/smallut.h:
	created mimeview and the viewer conf edit dialog

2006-12-13 09:13 +0000  dockes  <dockes>  (ca4c21f5ad44)

	* src/common/rclconfig.cpp, src/internfile/internfile.cpp,
	src/internfile/mh_exec.cpp, src/internfile/mimehandler.cpp:
	move findFilter usage out of mh_exec

2006-12-11 14:56 +0000  dockes  <dockes>  (dd4f283c9753 [BEFORE_Dijon20061215])

	* src/qtgui/plaintorich.cpp:
	not calling textsplit with onlyspans improves highlighting

2006-12-11 14:50 +0000  dockes  <dockes>  (c6d552528f6c)

	* src/common/rclconfig.cpp, src/common/rclconfig.h,
	src/index/mimetype.cpp, src/utils/smallut.cpp, src/utils/smallut.h:
	rationalize stopsuffix list usage

2006-12-11 09:05 +0000  dockes  <dockes>  (87037320fddf)

	* packaging/FreeBSD/recoll/pkg-plist:
	try to cleanup the share/icons tree

2006-12-10 17:03 +0000  dockes  <dockes>  (0d0fec69b4e4 [MAPSTRMAPSTRSTR])

	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h,
	src/query/wasatorcl.cpp, src/query/wasatorcl.h:
	added sort and type specs parsing

2006-12-08 17:18 +0000  dockes  <dockes>  (9d443b2ad416)

	* src/query/wasatorcl.h:
	1st query

2006-12-08 10:54 +0000  dockes  <dockes>  (dc4914858b42)

	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h:
	*** empty log message ***

2006-12-08 07:11 +0000  dockes  <dockes>  (df1ce4c7c9bf)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/qtgui/ssearch_w.cpp:
	only autophrase if query has several terms

2006-12-08 06:45 +0000  dockes  <dockes>  (6b96cd852343)

	* src/qtgui/ssearch_w.cpp:
	make autophrase do the right thing: add a subclause, not modify the
	query string

2006-12-07 16:38 +0000  dockes  <dockes>  (e0b7c11d4054)

	* src/query/qtry.cpp, src/query/qxtry.cpp: deleted file.
	* src/query/Makefile, src/query/qtry.cpp, src/query/qxtry.cpp,
	src/query/xadump.cpp:
	removed qtry and merged qxtry into xadump

2006-12-07 13:24 +0000  dockes  <dockes>  (11f50dc2ced9)

	* src/rcldb/rcldb.cpp:
	comment

2006-12-07 13:14 +0000  dockes  <dockes>  (0137bc80c8a5)

	* website/rclidxfmt.html: new file.
	* website/rclidxfmt.html:
	*** empty log message ***

2006-12-07 13:02 +0000  dockes  <dockes>  (e36e165c1055)

	* src/rcldb/rcldb.cpp:
	comments

2006-12-07 08:23 +0000  dockes  <dockes>  (6bdb3421d1ca)

	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/FreeBSD/recoll/pkg-
	plist:
	1.6.3

2006-12-07 08:06 +0000  dockes  <dockes>  (2ca80dafce2a)

	* src/internfile/mh_mail.cpp:
	fix bug with bad message "From " delimiter detection

2006-12-07 07:07 +0000  dockes  <dockes>  (92354b8e641a)

	* src/qtgui/rclmain_w.cpp, src/utils/mimeparse.h,
	src/utils/smallut.cpp, src/utils/smallut.h:
	fix pb with executing viewer for files with single-quotes in
	pathnames

2006-12-07 07:06 +0000  dockes  <dockes>  (b415958c3148)

	* src/internfile/mh_mail.cpp:
	fix bug with bad message "From " delimiter detection

2006-12-05 15:25 +0000  dockes  <dockes>  (451489717e47)

	* src/internfile/mh_mail.cpp:
	use regexp to better discriminate From delimiter lines in mbox.
	Avoid reading mboxes twice

2006-12-05 15:23 +0000  dockes  <dockes>  (282880e83069)

	* src/qtgui/advsearch.ui, src/qtgui/main.cpp, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/qtgui/sort.ui, src/qtgui/sort_w.cpp, src/qtgui/sort_w.h:
	avoid generating abstracts before theyre needed (ie: not during
	sort). have the sort tools redisplay the results when sort criteria
	are applied

2006-12-05 15:18 +0000  dockes  <dockes>  (069f87c83682)

	* src/query/sortseq.cpp, src/query/sortseq.h:
	use refcntr to access docsequence

2006-12-05 15:17 +0000  dockes  <dockes>  (f7bad3e61904)

	* src/rcldb/rcldb.cpp, src/rcldb/rcldb.h:
	expose abstract synthesis to let users decide when they want it done

2006-12-05 15:17 +0000  dockes  <dockes>  (57148c851c44)

	* src/rcldb/searchdata.h:
	clauseCount

2006-12-05 15:16 +0000  dockes  <dockes>  (d6d5ee7b750b)

	* src/utils/refcntr.h:
	fix pbs with empty object

2006-12-04 09:56 +0000  dockes  <dockes>  (1173f38c9de4)

	* src/configure, src/configure.ac, src/qtgui/advsearch_w.h,
	src/qtgui/main.cpp, src/qtgui/preview_w.h, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/sort_w.h, src/qtgui/spell_w.h,
	src/qtgui/ssearch_w.h, src/qtgui/uiprefs_w.h, src/utils/refcntr.h:
	qt4 compiles and sort of works

2006-12-04 09:49 +0000  dockes  <dockes>  (00bc69d47f20)

	* src/qt4gui/recoll.qrc, src/qt4gui/uifrom3: new file.
	* src/qt4gui/recoll.pro.in, src/qt4gui/recoll.qrc, src/qt4gui/uifrom3:
	*** empty log message ***

2006-12-04 08:17 +0000  dockes  <dockes>  (c92f84765756)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp,
	src/qtgui/advsearch_w.h, src/qtgui/preview_w.cpp,
	src/qtgui/preview_w.h, src/qtgui/sort_w.cpp,
	src/qtgui/ssearch_w.cpp, src/qtgui/uiprefs_w.cpp,
	src/qtgui/uiprefs_w.h:
	compiles (doesnt work) on qt4

2006-12-04 06:19 +0000  dockes  <dockes>  (5a7d6794967e)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp,
	src/qtgui/advsearch_w.h, src/qtgui/guiutils.cpp, src/qtgui/main.cpp,
	src/qtgui/preview.ui, src/qtgui/preview_w.h, src/qtgui/rclmain.ui,
	src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/qtgui/searchclause_w.cpp, src/qtgui/searchclause_w.h,
	src/qtgui/sort_w.h, src/qtgui/spell.ui, src/qtgui/spell_w.h,
	src/qtgui/ssearch_w.h, src/qtgui/ssearchb.ui, src/qtgui/uiprefs_w.h:
	qt4 ckpt

2006-12-02 07:32 +0000  dockes  <dockes>  (45564d318a93)

	* src/utils/idfile.cpp:
	improved tests to check for mail

2006-12-01 10:05 +0000  dockes  <dockes>  (8c3b51bc117f)

	* src/query/xadump.cpp:
	*** empty log message ***

2006-11-30 18:12 +0000  dockes  <dockes>  (e41c0db701ae)

	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h,
	src/query/wasatorcl.cpp, src/query/wasatorcl.h: new file.
	* src/query/wasastringtoquery.cpp, src/query/wasastringtoquery.h,
	src/query/wasatorcl.cpp, src/query/wasatorcl.h:
	*** empty log message ***

2006-11-30 13:44 +0000  dockes  <dockes>  (5ef831ae4659)

	* website/download.html:
	*** empty log message ***

2006-11-30 13:38 +0000  dockes  <dockes>  (6e49658236c6)

	* src/qtgui/images/cancel.png, src/qtgui/images/close.png: new file.
	* packaging/FreeBSD/recoll/Makefile,
	packaging/FreeBSD/recoll/distinfo, packaging/FreeBSD/recoll/pkg-
	plist, packaging/rpm/recoll.spec, packaging/rpm/recollmdk.spec,
	src/README, src/aspell/rclaspell.cpp, src/doc/user/usermanual.sgml,
	src/index/indexer.cpp, src/index/indexer.h, src/makesrcdist.sh,
	src/makestaticdist.sh, src/mk/SunOS, src/qtgui/advsearch.ui,
	src/qtgui/advsearch_w.cpp, src/qtgui/guiutils.cpp,
	src/qtgui/guiutils.h, src/qtgui/i18n/recoll_fr.ts,
	src/qtgui/i18n/recoll_ru.ts, src/qtgui/i18n/recoll_uk.ts,
	src/qtgui/images/cancel.png, src/qtgui/images/close.png,
	src/qtgui/main.cpp, src/qtgui/plaintorich.cpp,
	src/qtgui/plaintorich.h, src/qtgui/preview.ui,
	src/qtgui/preview_w.cpp, src/qtgui/rclmain.ui,
	src/qtgui/recoll.pro.in, src/qtgui/reslist.cpp,
	src/qtgui/searchclause_w.cpp, src/qtgui/spell_w.cpp,
	src/qtgui/ssearch_w.cpp, src/qtgui/ssearchb.ui,
	src/rcldb/searchdata.cpp, src/recoll.desktop, src/recollinstall.in,
	src/sampleconf/recoll.conf.in, src/utils/execmd.cpp,
	src/utils/mimeparse.cpp, src/utils/smallut.cpp, website/BUGS.txt,
	website/CHANGES.txt, website/download.html, website/features.html,
	website/index.html:
	merged 1.6 maint branch modifs up to MERGED_TO_TRUNK_20061130

2006-11-22 09:29 +0000  dockes  <dockes>  (568c34cf75e9)

	* src/VERSION, website/BUGS.txt, website/CHANGES.txt,
	website/credits.html, website/download.html:
	*** empty log message ***

2006-11-21 14:00 +0000  dockes  <dockes>  (f247e019bf08 [RECOLL_1_6_0])

	* src/INSTALL, src/README:
	*** empty log message ***

2006-11-21 13:05 +0000  dockes  <dockes>  (23604b23773d)

	* src/aspell/rclaspell.cpp, src/configure, src/configure.ac:
	mdk 2006 aspell quirks

2006-11-21 09:18 +0000  dockes  <dockes>  (17597459707c)

	* packaging/FreeBSD/recoll/pkg-plist, packaging/rpm/recoll.spec,
	packaging/rpm/recollmdk.spec, src/doc/user/usermanual.sgml,
	src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts, website/BUGS.txt, website/CHANGES.txt,
	website/copydocs, website/download.html, website/index.html:
	*** empty log message ***

2006-11-21 08:47 +0000  dockes  <dockes>  (f434e776fec8)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h, src/qtgui/spell.ui,
	src/qtgui/spell_w.cpp, src/qtgui/spell_w.h, src/qtgui/uiprefs_w.cpp:
	added stem expansion mode to term explorer

2006-11-20 18:07 +0000  dockes  <dockes>  (bc85af9f678c)

	* src/doc/man/recoll.conf.5, src/doc/man/recollindex.1,
	src/doc/user/usermanual.sgml:
	doc

2006-11-20 17:46 +0000  dockes  <dockes>  (28cb0d8c325a)

	* src/doc/user/usermanual.sgml:
	*** empty log message ***

2006-11-20 17:06 +0000  dockes  <dockes>  (9252428377e4)

	* src/qtgui/i18n/recoll_fr.ts, src/qtgui/i18n/recoll_ru.ts,
	src/qtgui/i18n/recoll_uk.ts:
	*** empty log message ***

2006-11-20 15:35 +0000  dockes  <dockes>  (192c101b8b7c)

	* src/qtgui/advsearch.ui:
	tooltip

2006-11-20 15:29 +0000  dockes  <dockes>  (73ca6e78a1dd)

	* src/filters/rclxls, src/utils/transcode.cpp:
	*** empty log message ***

2006-11-20 15:28 +0000  dockes  <dockes>  (9bb875d3bfcf)

	* src/rcldb/rcldb.cpp:
	clear abstract if its only ...

2006-11-20 15:28 +0000  dockes  <dockes>  (5ef1b603c3be)

	* src/common/rclconfig.cpp:
	test driver

2006-11-20 15:28 +0000  dockes  <dockes>  (1c4807a363f9)

	* src/common/rclconfig.h:
	fix defaultcharset reset

2006-11-20 11:17 +0000  dockes  <dockes>  (ef95275586d1)

	* src/common/Makefile, src/common/textsplit.cpp,
	src/common/textsplit.h:
	improved textsplit speed (needs utf8iter modifs too

2006-11-20 11:16 +0000  dockes  <dockes>  (e05653621eb4)

	* src/utils/Makefile, src/utils/utf8iter.cpp, src/utils/utf8iter.h:
	cleaned and speeded up utf8iter

2006-11-19 18:37 +0000  dockes  <dockes>  (756bc7569b34)

	* src/common/textsplit.cpp, src/common/textsplit.h:
	optim ckpt

2006-11-18 12:56 +0000  dockes  <dockes>  (bf6e4de3a902)

	* src/qtgui/plaintorich.cpp:
	firsttermocc init was not always done

2006-11-18 12:31 +0000  dockes  <dockes>  (1703e5a7b03e)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/reslist.cpp:
	improve positionning on term groups by storing/passing an occurrence
	index

2006-11-18 12:30 +0000  dockes  <dockes>  (f065c8063ff3)

	* src/rcldb/searchdata.cpp:
	correctly generate highlighting term groups when stem-expanding NEAR
	queries

2006-11-17 15:26 +0000  dockes  <dockes>  (ee4a13877b24)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp,
	src/qtgui/advsearch_w.h, src/qtgui/guiutils.cpp,
	src/qtgui/guiutils.h:
	Save adv search clause list + add delete button

2006-11-17 12:55 +0000  dockes  <dockes>  (679a2cb3d3e7)

	* src/qtgui/rclmain_w.cpp, src/qtgui/rclmain_w.h,
	src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	get shift+clicklink to open new preview window instead of tab

2006-11-17 12:32 +0000  dockes  <dockes>  (51f7db5eff83)

	* src/qtgui/plaintorich.cpp:
	small opts + fixed near region detection code

2006-11-17 12:31 +0000  dockes  <dockes>  (c0ba08efc3dd)

	* src/qtgui/plaintorich.h:
	comments

2006-11-17 12:31 +0000  dockes  <dockes>  (e54183706237)

	* src/utils/utf8iter.h:
	removed not strictly needed error checking code

2006-11-17 10:09 +0000  dockes  <dockes>  (7e44d4280e2d)

	* src/qtgui/plaintorich.cpp, src/qtgui/plaintorich.h,
	src/qtgui/preview_w.cpp, src/qtgui/preview_w.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp, src/qtgui/reslist.h:
	Remember searchData and use it in plaintorich for phrase/group
	highlighting

2006-11-17 10:08 +0000  dockes  <dockes>  (c175799e9e72)

	* src/qtgui/advsearch_w.cpp:
	better data encap in searchdata

2006-11-17 10:06 +0000  dockes  <dockes>  (0ea302968170)

	* src/rcldb/rcldb.cpp, src/rcldb/searchdata.cpp,
	src/rcldb/searchdata.h:
	added code to remember search terms and term groups in searchdata

2006-11-15 14:57 +0000  dockes  <dockes>  (188b5b28427d)

	* src/common/Makefile, src/lib/Makefile, src/lib/mkMake,
	src/mk/commondefs, src/qtgui/recoll.pro.in, src/rcldb/pathhash.cpp,
	src/rcldb/pathhash.h, src/rcldb/rcldb.cpp, src/rcldb/searchdata.h,
	src/rcldb/stemdb.h:
	distributed files from common/ into rcld, internfile, common

2006-11-15 07:27 +0000  dockes  <dockes>  (5bfc0444c072)

	* src/internfile/Makefile: new file.
	* src/internfile/Makefile:
	*** empty log message ***

2006-11-14 18:29 +0000  dockes  <dockes>  (c45d7a2b1c63)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h:
	got rid of the static clause names

2006-11-14 18:17 +0000  dockes  <dockes>  (e4789b229585)

	* src/qtgui/advsearch.ui:
	*** empty log message ***

2006-11-14 17:56 +0000  dockes  <dockes>  (ae916c13c591)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp:
	added conjunction choice in advsearch

2006-11-14 17:41 +0000  dockes  <dockes>  (dfc71f06c1ce)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp,
	src/qtgui/advsearch_w.h, src/qtgui/searchclause_w.cpp,
	src/qtgui/searchclause_w.h, src/rcldb/searchdata.cpp:
	use SearchClauseW for all advsearch fields

2006-11-14 15:13 +0000  dockes  <dockes>  (300f3705d6cf)

	* src/qtgui/advsearch.ui, src/qtgui/advsearch_w.cpp:
	*** empty log message ***

2006-11-14 14:58 +0000  dockes  <dockes>  (c5f65c6f8fb9)

	* src/qtgui/recoll.pro.in:
	*** empty log message ***

2006-11-14 13:55 +0000  dockes  <dockes>  (9e98c3d86016)

	* src/qtgui/searchclause_w.cpp, src/qtgui/searchclause_w.h: new file.
	* src/doc/user/usermanual.sgml, src/qtgui/advsearch.ui,
	src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/searchclause_w.cpp,
	src/qtgui/searchclause_w.h, src/rcldb/rcldb.cpp, src/rcldb/rcldb.h,
	src/rcldb/searchdata.cpp, src/rcldb/searchdata.h:
	added dynamic clauses to adv search. Still needs work

2006-11-13 14:51 +0000  dockes  <dockes>  (5c9db8d08690)

	* src/rcldb/rcldb.cpp:
	*** empty log message ***

2006-11-13 14:48 +0000  dockes  <dockes>  (edec86240778)

	* src/rcldb/rcldb.cpp:
	use wdfs for better selection of doc extracts in makeAbstract

2006-11-13 11:59 +0000  dockes  <dockes>  (fdf0f43cd03e)

	* src/utils/smallut.h:
	*** empty log message ***

2006-11-13 08:58 +0000  dockes  <dockes>  (c48e54f96603)

	* src/utils/refcntr.h: new file.
	* src/utils/refcntr.h:
	*** empty log message ***

2006-11-13 08:58 +0000  dockes  <dockes>  (40853ad94507)

	* src/qtgui/advsearch_w.cpp, src/qtgui/advsearch_w.h,
	src/qtgui/rclmain.ui, src/qtgui/rclmain_w.cpp,
	src/qtgui/rclmain_w.h, src/qtgui/reslist.cpp, src/qtgui/reslist.h,
	src/qtgui/ssearch_w.cpp, src/qtgui/ssearch_w.h:
	make searchdata a more flexible struct

2006-11-13 08:50 +0000  dockes  <dockes>  (e585bfd6e725)

	* src/rcldb/searchdata.cpp: new file.
	* src/lib/Makefile, src/lib/mkMake, src/rcldb/rcldb.cpp,
	src/rcldb/rcldb.h, src/rcldb/searchdata.cpp, src/rcldb/searchdata.h:
	make searchdata a more flexible struct

2006-11-13 08:49 +0000  dockes  <dockes>  (db3490f9b522)

	* src/kde/kioslave/recoll/kio_recoll.cpp:
	*** empty log message ***

2006-11-13 08:15 +0000  dockes  <dockes>  (7240ec62ffac)

	* src/qtgui/plaintorich.cpp:
	new splitter interface

2006-11-12 08:35 +0000  dockes  <dockes>  (ff9f3aed6a5b)

	* src/common/textsplit.cpp, src/common/textsplit.h,
	src/rcldb/rcldb.cpp:
	phrase queries with bot spans and words must be splitted as words
	only

2006-11-11 15:30 +0000  dockes  <dockes>  (25647c7c5aac)

	* src/qtgui/reslist.cpp, src/qtgui/uiprefs.ui:
	have more compact list header + %N

2006-11-10 17:53 +0000  dockes  <dockes>  (d423490bea37)

	* src/qtgui/reslist.cpp:
	Really use the rich abstracts

2006-11-10 17:18 +0000  dockes  <dockes>  (9fc1a2d1b7af)

	* src/rcldb/rcldb.cpp:
	optimized abstract building: bybye big vector

2006-11-10 13:32 +0000  dockes  <dockes>  (8cfbbddd355a)

	* src/qtgui/guiutils.cpp, src/qtgui/guiutils.h,
	src/qtgui/rclmain_w.cpp, src/qtgui/reslist.cpp,
	src/qtgui/uiprefs.ui, src/qtgui/uiprefs_w.cpp:
	make result list paragraph format user-adjustable

2006-11-10 13:30 +0000  dockes  <dockes>  (933509968125)

	* src/utils/smallut.cpp, src/utils/smallut.h:
	pcSubst()

2006-11-10 13:29 +0000  dockes  <dockes>  (17e0ecfb5834)

	* src/internfile/internfile.cpp:
	errlog

2006-11-09 19:04 +0000  dockes  <dockes>  (814af75ba7a8)

	* src/qtgui/preview_w.cpp:
	better handle the situation of mbox file name matching search

2006-11-09 17:38 +0000  dockes  <dockes>  (3c996d97497a)

	* src/Makefile.in:
	*** empty log message ***

2006-11-09 17:37 +0000  dockes  <dockes>  (c13aab8ac186)

	* src/qtgui/reslist.cpp:
	nbsp to prevent line date wrap before tz

2006-11-09 17:37 +0000  dockes  <dockes>  (573934250b27)

	* src/rcldb/rcldb.cpp:
	dont continue adding ellipsis into the abstract when its maxlen!

2006-11-09 08:59 +0000  dockes  <dockes>  (baafe52b9d1b)

	* src/utils/mimeparse.cpp:
	test driver modifs

2006-11-08 15:34 +0000  dockes  <dockes>  (025fa484738a)

	* src/common/rclinit.cpp, src/utils/debuglog.cpp,
	src/utils/debuglog.h:
	fix pb with special log file names

2006-11-08 15:32 +0000  dockes  <dockes>  (a32333c18e9f)

	* src/configure, src/configure.ac:
	aspell help string

2006-11-08 13:04 +0000  dockes  <dockes>  (f5f0e953f42e)

	* src/qtgui/plaintorich.cpp:
	use vector instead of list for positions

2006-11-08 07:22 +0000  dockes  <dockes>  (de7777528655)

	* src/common/rclinit.cpp, src/common/rclinit.h,
	src/index/recollindex.cpp:
	allow daemon-specific log parameters

2006-11-08 06:56 +0000  dockes  <dockes>  (451b31555bc2)

	* src/utils/conftree.cpp, src/utils/conftree.h:
	volatile conf

2006-11-08 06:49 +0000  dockes  <dockes>  (ba1e8fb12e39)

	* src/recollinstall.in:
	install rclmon.sh

2006-11-07 18:28 +0000  dockes  <dockes>  (fb26679a6cec)

	* src/qtgui/reslist.cpp, src/utils/mimeparse.cpp:
	1.5.9: fix bad tz correction in email dates + display tz in reslist

2006-11-07 16:51 +0000  dockes  <dockes>  (affd0b42e8ae)

	* src/index/rclmon.h, src/index/rclmonprc.cpp,
	src/index/rclmonrcv.cpp:
	traces

2006-11-07 12:02 +0000  dockes  <dockes>  (70ed645d27f3)

	* src/rcldb/rcldb.cpp:
	use both size and mtime changes as updateneeding indicator

2006-11-07 09:11 +0000  dockes  <dockes>  (2491b468f55d)

	* src/qtgui/uiprefs.ui:
	improved autophrase tooltip

